Features
Top Next

RoboTask can easily automate any series of tasks on your computer system, whether you are a novice or advanced user. You don't even have to know how to program—use RoboTask to build your own automated solutions quickly and easily. Yet RoboTask is powerful.

For example, RoboTask can help you avoid losing important data when you create a backup task for placing files on a remote server.

The software can manage and trigger a wide variety of repetitive tasks to save your valuable time. With RoboTask, you don't need complicated batch files or scripts.

Here are many examples of what RoboTask can do for you:

· Runs applications and open documents.
· Manages automatic backups.
· Alerts you of any changes in your folders.
· Shuts down Windows and powers off your computer triggered by any event you choose.
· Processes files and folders (copies, moves, renames, deletes).
· Works with FTP and Web servers (downloads, uploads, etc).
· Sends letters and files by e-mail.
· Starts and stops Windows NT services.
· Sends network messages as WinPopups.
· Acts as an alarm clock.
· Much more!

RoboTask can be used for an unlimited number of tasks. When creating a task, you decide what the task needs to do and when. Every task has two parts:
1. Actions
2. Triggering events

Actions

First, you must decide what actions you want to accomplish. You can select built-in actions in RoboTask to accomplish the following:
· Run applications.
· Open or print documents.
· Emulate your keystrokes.
· File and folder processing (copy, move, delete, rename, synchronize folders).
· Work with FTP servers (download, upload, rename, delete).
· Work with e-mail (check for e-mail, send e-mail).
· Work with ZIP files (pack files, extract files).
· Work with windows (focus, maximize, minimize, restore, close, hide, unhide).
· Flow control (if-then, file loop, text loop, dataset loop, and so forth).

Triggering events

A triggering event can be one of the following:
· A specific time
· When something happens on your computer.

Practically anything that happens on your computer can trigger RoboTask to perform an action. An example would be when RoboTask automatically updates a log and uploads it to a website whenever you receive an email with a subject that is a particular string of words or contains a word such as "Important".

The following are examples of triggering events:
· Scheduler (at a specified time).
· Hot Keys (when a special key is pressed).
· Tray Icon (when you double-click it).
· File Monitor (when a particular file is created, destroyed, changed, renamed).
· Dial-up Connection Monitor (when a connection is made or broken).
· Window Watcher (when a window is created, activated, closed, and so forth).
· System Events (time, spooler, device, display changed, log on, log off, on idle).

note Related Topics
Getting Started in the RoboTask Window
Create Tasks
Run Tasks
Edit Tasks
Customize RoboTask


Getting Started in the RoboTask Window
Previous Top Next

The following information introduces you to the RoboTask main window.

To learn about the RoboTask window, click buttons or other items, such as the panes, in the following picture.

mainwindow

Shortcut Menus

If you select a task in the Task Name column and right-click, the following commands appear on the shortcut menu:
· Enabled - Allows the task to start automatically when a triggering event in the task occurs.
· New - Creates a new task.
· Edit - Modifies the task that you select.
· Delete - Removes a task.
· Run - Starts a task.
· Stop - Ends a task.
· Duplicate - Copies a task. This is useful if you want to create a new task quickly and then modify it.
· Create Shortcut - Adds a shortcut to the task on your desktop. This is useful if you want to quickly start a task without opening RoboTask.

If you point to the Log pane and right-click, the following commands appear on the shortcut menu:
· Clear Log - Removes all messages from the Log pane.
· Copy Selected to Clipboard - Copies the lines that you have selected in the Log pane and places them on the Windows Clipboard.
· Select All - Selects all the lines in the Log pane so that you can quickly copy them.

note Related Topics
Create Tasks
Run Tasks
Edit Tasks
Customize RoboTask


Create Tasks

1. Click Task > New.
2. On the Actions tab, click the Add button.
3. Select an action. Some of the actions require additional settings. A dialog box appears with specific settings that you can select.
4. After entering the settings, click the Triggering Events tab.
5. Click the Add button.
6. Select a triggering event. Some of the triggering events require additional settings. A dialog box appears with specific settings that you can select.
7. After entering the settings for the triggering event, click OK.
8. To run your task, click the Run Selected Task button in the main window.

Tip
Some actions or triggering events do not have specific settings that you can enter.

note Related Topics
Getting Started in the RoboTask Window
Run Tasks
Edit Tasks
Customize RoboTask
Task > New


Run Tasks

1. In the right pane of the RoboTask window, select a task.
2. Click Task > Run or press CTRL + ENTER on the keyboard
3. In the right pane of the RoboTask window, the status column displays the results of running the task.

Tip
· You can run a task without opening RoboTask. Select a task in the RoboTask window and click Task > Create Shortcut on Desktop. This adds a shortcut to that task on your desktop. You can double-click the task to start it.

note Related Topics
Getting Started in the RoboTask Window
Create Tasks
Edit Tasks
Customize RoboTask


Edit Tasks

1. In the RoboTask window, select a task.
2. Click Task > Edit.
3. On the Edit Task dialog box, select the options that you want.

Tip
· To remove a task from the list in the RoboTask window, select a task and click Task > Delete.

note Related Topics
Getting Started in the RoboTask Window
Create Tasks
Run Tasks
Customize RoboTask
Task > Edit


Customize RoboTask

1. Click Options > Settings.
2. On the Preferences dialog box, set the options you want.

note Related Topics
Getting Started in the RoboTask Window
Create Tasks
Run Tasks
Edit Tasks
Options > Settings


Purchasing

Click Help > Purchase.


License Agreement

RoboTask is distributed as try-before-you-buy. This means:

1. All copyrights to RoboTask are exclusively owned by the author - NeoWise Software.
2. Anyone may use this software during a test period of 30 days. Following this test period of 30 days or less, if you wish to continue to use RoboTask, you must purchase it.
3. Once purchased, the user is granted a non-exclusive license to use RoboTask on one computer (i.e. a single CPU), for any legal purpose, at a time. The licensed RoboTask software may not be rented or leased, but may be permanently transferred, if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions.
4. The RoboTask trial version may be freely distributed, provided the distribution package is not modified. No person or company may charge a fee for the distribution of RoboTask without written permission from the copyright holder.
5. ROBOTASK IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.
6. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution. All rights not expressly granted here are reserved by NeoWise Software.
7. Installing and using RoboTask signifies acceptance of these terms and conditions of the license.
8. If you do not agree with the terms of this license you must remove RoboTask files from your storage devices and cease to use the product.

Thank you for using the original RoboTask.

NeoWise Software
http://www.robotask.com


Trademarks and Copyrights

RoboTask is a trademark of NeoWise Software.

Microsoft, the Windows logo, Windows, and Windows NT are registered trademarks of Microsoft Corporation. All other brands and product names are trademarks or registered trademarks of their respective owners.


Using Variables

For building complex automation schemes, RoboTask provides two types of variables that you can use in actions and triggering events:
· System variables that are pre-defined.
· User variables that you can define yourself.

When you insert a variable name as a parameter or part of a parameter in an action or triggering event, the variable content is processed, instead of the variable name.

For example, if you want to show a message containing the day of the week, you should use the {DayOfWeek} variable.

When you run the task that contains the {DayOfWeek} variable, the variable is replaced by the name of current week day. If you insert this variable in a Show Message action that includes the message defined as "Today {DayOfWeek}!", when you run this task on Wednesday, the following message displays: "Today Wednesday!".

You can use as many variables as you need in an event or action. Any time that you define the same parameter many times, you should use a variable. This allows you to change the variable in one place and all your tasks that contain the variable update automatically.

Variables that Contain Other Variables

You can even use variables within other variables; this is useful if you want to specify a value of a variable for other variables. For example, you can define a variable with a name {Yesterday}. {Yesterday} contains another variable with a value {MonthIncDays(-1)}/{IncDays(-1)}/{YearIncDays(-1)}. When you use the {Yesterday} variable, it returns yesterday's date.

Arrays

To make your tasks even more powerful, you can use variables as arrays. This means you can specify more than one values separated with commas. To access the first value, use index 0: {MyVar(0)}. To access the second value, use index 1: {MyVar(1)}. And so on.

For example, if to add a variable with name {MyArray} and value One, Two, Three, you can use that variable as shown below:

· {MyArray} = One, Two, Three
· {MyArray(0)} = One
· {MyArray(1)} = Two
· {MyArray(2)} = Three

Another example:

· {MyArray} = "First item", "Second item", "Third item"
· {MyArray(0)} = First item
· {MyArray(1)} = Second item
· {MyArray(2)} = Third item

note Related Topics
Create a Variable
Add Variables to a Task
Options > Variables


Custom variables

RoboTask allows you to save intermediate data in users variables. There is also a whole set of actions that cannot work without user variables. For instance, loops. While using variables, you should remember about some peculiarities.

User variables are global for all tasks
It means that one and the same variable is visible, can be used and can be modified in any task. On the one hand, it is very convenient: data can be passed from one task to another. But on the other hand, if you have two tasks running simultaneously, they use one and the same variable and it is done unintentionally, you may get a completely unexpected result.

Tip
If you use variables that are not supposed to be used in other tasks, use special prefixes of this task in the names of these variables.
For example:
TSK1_Counter, TSK1_CurrentFile, etc.

RoboTask saves user variables for future sessions
Variables you create in tasks are stored until you remove them using the «RoboTask variables» form (Options | Variables) or the «Remove Variable» action inside the task. When you exit RoboTask, variables save their values for future sessions.
As a rule, variables make sense only for the task they are created in and after using RoboTask for a while, you may get a rather long list of user variables that you do not need anymore.

Tip
Insert actions removing unnecessary variables at the end of tasks.

note Related Topics
Using Variables
Add Variables to a Task


Create a Variable

1. To define a variable, click Options > Variables.
2. On the User Variables tab, click the Add button.
3. On the User Variable dialog box, enter the name of the variable in the Variable Name box.
4. Enter the values in the Initial Values box.

Tip
In the Initial Value edit box, you can also type the names of other variables to define a variable.

note Related Topics
Using Variables
Add Variables to a Task
Options > Variables


Add Variables to a Task

You can add variables to an action or triggering event contained in a task.

1. When you create a task, on the Edit Task dialog box, select an action or triggering event.
2. When you do this, some actions or triggering events display a dialog box in which you can enter specific settings for the action or event. On this dialog box, select a field and click the {V} button.
3. On the RoboTask Variables dialog box, select a variable in the list and click the Select button.
4. The variable appears in the field that you selected on the dialog box for the action or triggering event.

note Related Topics
Using Variables
Create a Variable
Options > Variables


Running tasks simultaneously

Each task runs in the background mode independently of other tasks. You can effectively use this feature while scheduling your tasks. Suppose you need to pack several independent folders into different archive files. You can create the following task:

Pack "Folder1" into "folder1.zip"
Pack "Folder2" into "folder2.zip"
Pack "Folder3" into "folder3.zip"

In this case, the task will pack Folder1, Folder2 and Folder3 one by one. That is, each next folder will be processed only after the previous one is packed.

The use of background processes would be more effective. In this case you need to create three different tasks and each of them will pack the corresponding folder. In this case, the main task will look like this:

Start task "Pack folder1" without waiting
Start task "Pack folder2" without waiting
Start task "Pack folder3" without waiting

Running such a task will be the same as running three tasks "Pack folder1", "Pack folder2" and "Pack folder3". Each of these tasks will run independently of the others and the total time of packing all three files will be a bit shorter than in case with successive processing.

note Related Topics
Task synchronization


Task synchronization

Let us try to make the task described in the previous section a bit more complicated. Suppose you need to pack three folders in three different files and then write them to a CD. As you remember, we have started three different tasks to pack the folders. It means that we must wait until all three tasks are finished before we can write the archives to a CD.
The "Wait for Task" action is used for that. Let us modify our task in the following way:

Start task "Pack folder1" without waiting
Start task "Pack folder2" without waiting
Start task "Pack folder3" without waiting
Wait for Task "Pack folder1" for 10 min.
Wait for Task "Pack folder2" for 10 min.
Wait for Task "Pack folder3" for 10 min.
Write files folder1.zip, folder2.zip, folder3.zip to CD

Thus, we start three simultaneous processes in order to pack the necessary data and after all three processes are sure to be finished, we write the archive files to a CD.

note Related Topics
Running tasks simultaneously
Wait for Task


Using built-in Basic

Sometimes we need to make some nonstandard calculation, analyze a string or modify it according to a certain algorithm. The Basic programming language will help you in that. The Basic plugin for RoboTask is not included in the main distribution package. You can download it from the RoboTask site and install additionally.
Basic is a simple and at the same time quite powerful programming tool oriented towards both beginners and professionals. You can use a BASIC script to access user and system variables in RoboTask, as well as other tasks. The BASIC plugin comes together with the full help on the BASIC language. The installation file also includes some sample uses. The description of the Evaluate and Basic script actions, as well as the mechanism of interaction with RoboTask is described below.
Almost anyone can learn how to write small procedures in the BASIC language. The use of BASIC in tasks extends available actions beyond the set of RoboTask actions. Experienced users can use Windows APIs and third-party COM objects in their procedures written in BASIC without any limitations.

note Related Topics
Evaluate
Basic script
Also see Basic language help


Running RoboTask as an NT service

RoboTask can run in two modes:

· As a regular application
· As an NT service

An NT service is started together with the operating system and runs even if you are not logged on. If you correctly create your tasks and configure triggering events, it will be enough just to switch on the computer for RoboTask to start doing what it is supposed to do. This mode is important for those computers that are used as servers in your office.

The NT service mode is not available on the Windows 9x/Me platform. The NT service mode is not installed by default. In order to install the RoboTask service, you should click the following shortcut in the system menu: Start | Programs | RoboTask | NT Service | Install Service.
The RoboTask group contains the following shortcuts for controlling the NT service mode:

· Install Service - installs the RoboTask service on the system;
· Uninstall Service - removes the RoboTask service from the system;
· Reinstall Service - reinstalls the RoboTask service with the default parameters;
· Start Service - starts the RoboTask service;
· Stop Service - stops the RoboTask service.

note Related Topics
Custom variables
Running tasks simultaneously
Task synchronization
Using built-in Basic
Errors processing


Errors processing

If there is an error occurs in any step during a task, RoboTask records an error message to the task log and stops the task by default. You can change this behavior. To do it, you should select the "Advanced" tab in the task editor and set the "If Error Occurred" parameter to "Continue Execution". In this case, the task will not be stopped in case of an error.
The system variable {IsError} is used to analyze if there was an error in the previous step. This variable contains "True" if there was an error in the previous step and "False" if there was no error in the previous step.

note Related Topics
Custom variables
Running tasks simultaneously
Task synchronization
Using built-in Basic
Running RoboTask as an NT service


Task > New

Allows you to add a new task. After you select the command, the Add Task dialog box displays, allowing you to select the following tabs to create a task:
· Actions tab
· Triggering Events tab
· Specific Settings tab

Actions tab

Action List
Displays a list of the actions you have selected for the task you are creating or modifying. Click the Add button to add an action. Select an action in the Action List and click the Edit button to modify the action parameters.

When you start the current task, the actions run in the order in which they appear in this list.
Click the Ç & È buttons to move an action up or down in the order listed.

Add
Place the cursor in a row of the Action List where you want to add an action. You can then click the Add button to display a list of actions that you can add to the task.

Edit
Select an action in the Action List and click the Edit button to modify the parameters, or settings, for the action.

Remove
Select an action and click the Remove button to remove the action from the task.

Move Step Up
Select an action in the Action List and click Ç to move the action up in the list. This ensures the action runs earlier in the process when the task runs.

Move Step Down
Select an action in the Action List and click È to move the action down in the list. This ensures the action runs later in the process when the task runs.

Enabled
If the check box is cleared, the task is disabled and you must run it manually by double-clicking the task in the RoboTask window.

Tip
· To change the Enabled setting, select a task in the RoboTask window and right-click.

Triggering Events tab

Event List
Displays a list of the events you have selected for the task you are creating or modifying. The order in which events appear in the list does not matter.

Run When RoboTask Starts
If this check box is selected, the task will run automatically when RoboTask starts.

Run When RoboTask Quits
If this check box is selected, the task will run automatically when RoboTask quits.

Add
Click the Add button to display a list of events that you can add to the task.

Edit
Select an event in the Event List and click the Edit button to modify the parameters, or settings, for the event.

Remove
Select an event and click the Remove button to remove the event from the task.

Advanced tab

Log Level

Select the status messages you want to record in the log file:
· Nothing
· Errors Only
· Errors and Warnings
· All Messages

Action After Completion

Select an option to run a task:
· Nothing - Nothing happens when the task completes all actions.
· Disable Task - The task is disabled when the task completes all actions. This is useful if you want to run a task once and save the task to use again later. You can change this later.
· Delete Task - The task is removed from the computer permanently when the task completes all actions. This is useful if you want to run a task once and do not need it again. You cannot use the task again when you select this option and run the task.

note Related Topics
Task > Edit
Task > Delete
Task > Run
Task > Stop
Task > Duplicate
Task > Create Shortcut on Desktop
Task > Exit


Task > Edit

Allows you to edit a task. After you select the command, the Edit Task dialog box displays, allowing you to select the following items to create a task:
· Actions tab
· Triggering Events tab
· Specific Settings tab

note Related Topics
Task > New
Task > Delete
Task > Run
Task > Stop
Task > Duplicate
Task > Create Shortcut on Desktop
Task > Exit


Task > Delete

Removes a task from the RoboTask and deletes its associated file.

note Related Topics
Task > New
Task > Edit
Task > Run
Task > Stop
Task > Duplicate
Task > Create Shortcut on Desktop
Task > Exit


Task > Run

Starts the task that you selected in the RoboTask window. This is useful for testing your task to ensure it runs correctly.

note Related Topics
Task > New
Task > Edit
Task > Delete
Task > Stop
Task > Duplicate
Task > Create Shortcut on Desktop
Task > Exit


Task > Stop

Allows you to stop the task that you are running in the RoboTask window.

note Related Topics
Task > New
Task > Edit
Task > Delete
Task > Run
Task > Duplicate
Task > Create Shortcut on Desktop
Task > Exit


Task > Duplicate

Copies the task that you have selected in the RoboTask window. This is useful if you want to quickly create several tasks and then edit them.

note Related Topics
Task > New
Task > Edit
Task > Delete
Task > Run
Task > Stop
Task > Create Shortcut on Desktop
Task > Exit


Task > Create Shortcut on Desktop

Adds a shortcut to the task on your desktop. This is useful if you want to quickly start a task without opening RoboTask window. After you select one or more tasks in the RoboTask window, click Task > Create Shortcut on Desktop. The shortcut appears on your desktop with the name of the task.

For example, if you select a task named "Hello, World!" and click this command, a shortcut called "Hello, World!" appears on your desktop.

note Related Topics
Task > New
Task > Edit
Task > Delete
Task > Run
Task > Stop
Task > Duplicate
Task > Exit


Task > Exit

Closes the RoboTask window and stops the software.

note Related Topics
Task > New
Task > Edit
Task > Delete
Task > Run
Task > Stop
Task > Duplicate
Task > Create Shortcut on Desktop


Options > View Log

Displays or hides the log window at the bottom of the RoboTask window. The log window shows the results of the task that you run and any errors that occur.

note Related Topics
Options > View Toolbar
Options > Settings
Options > Variables


Options > View Toolbar

Displays or hides the buttons at the top of the RoboTask window. These buttons allow you to add, edit, run, and stop tasks.

note Related Topics
Options > View Log
Options > Settings
Options > Variables


Options > Settings

Allows you to set preferences for RoboTask. You can set preferences for how RoboTask starts, plug-ins, or service mode.

· General tab
· Plug-ins tab
· NT Service tab

General tab

Minimize on Run
Click this check box so that RoboTask is minimized when you run the software.

Run on Windows Startup
Runs RoboTask as soon as Windows starts up.

Close as Minimize
If this option is selected, when you click the X button on the main window caption, RoboTask will minimize. This is useful for preventing of casual closing of RoboTask.

Task Folder
Set the folder where you want to save tasks that you create. You can click the browse button to select a folder.

Log Folder
Enter a folder where you want to save log files. You can click the browse button to select a folder.

Max Log Size (in Lines)
Enter how many lines of data to record in a log file. For example, if you enter 300, the log file will contain no more than 300 lines of text.

Plug-ins tab

List of Active Plug-ins
Displays a list of available plug-ins for RoboTask. You can get more information when you click the Information or About buttons.

Configure
Select a plug-in from the List of Active Plug-ins box and click Configure to enter settings.

Information
Displays a list of components for the plug-in that you have selected in the List of Active Plug-ins box.

About
Displays information about the company or authors of the plug-in that you have selected in the List of Active Plug-ins box.

Service tab

On Windows NT, Windows 2000 and Windows XP you can run RoboTask as a Service. An Service is a background process that is loaded by the Service Control Manager of the Windows NT operating system. Services are usually loaded when Windows boots up, before anyone logs on.

Service mode is useful if you want to run a process in the background. However, services are background programs that run all the time and are activated automatically when Windows NT boots up. Services stop when Windows NT shuts down.

When RoboTask is Running as NT Service
Allows you to specify settings when you want to run RoboTask as a Service.

Logon Process as Specified User
Select this option if you want the RoboTask log on as Specified User and get its privileges.

Domain Name
Enter the name of the domain or server whose account database contains the specified UserName account.

User Name
Enter the name of the user account to log on to.

Password
Enter the password of the user account.

note Related Topics
Options > View Log
Options > View Toolbar
Options > Variables


Options > Variables

Allows you to define variables for RoboTask. This command also displays a list of system variables available in RoboTask.
· System Variables tab
· User's Variables tab

Variables are strings that contain information such as drive, path, or file name. Variables can control the behavior of various processes. For example, the {TEMPDIR} system variable specifies the location where processes, such as tasks or programs, place temporary files.

You can not modify System variables, but can add, modify, or remove your own variables on the User Variables tab.

System Variables tab

The System Variables tab displays a list of the system variables.

Categories
Displays a list of all the system variables and their values. You can click [All] to see a complete list or click one of the following categories:
· Date & Time
· Files & Folders
· System Info
· Window

Variables
Displays the system variable names and their descriptions.

User's Variables tab

Name
Displays the name of the user variables that you create.

Value
Lists the value of the user variables that you set when you create or modify the variable.

Add
Allows you to create a new user variable to use in many tasks.

Edit
Allows you to edit the value of a variable.

Remove
Allows you to remove the selected variable.

note Related Topics
Options > View Log
Options > View Toolbar
Options > Settings


Tools > Enable Automation

If this option is cleared, the tasks will not run automatically, i.e. all your tasks are disabled. You may run tasks only manually.

note Related Topics
Tools > Enable All Tasks in List
Tools > Disable All Tasks in List


Tools > Enable All Tasks in List

Enables all tasks that are listed in the current task folder. To enable one task, double-click it and, in the appeared dialog window, select the Enabled check box and click OK.

note Related Topics
Tools > Enable Automation
Tools > Disable All Tasks in List


Tools > Disable All Tasks in List

Disables all tasks that are listed in the current task folder. To disable one task, double-click it and, in the appeared dialog window, clear the Enabled check box and click OK.

note Related Topics
Tools > Enable Automation
Tools > Enable All Tasks in List


Help > Help Topics

Displays this RoboTask Help.

note Related Topics
Help > Send Bug Report
Help > About


Help > Send Bug Report

Displays a dialog window which allows to send a report about a bug you found to the developers of RoboTask. Enter information about a problem and then click the Submit button.

note Related Topics
Help > Help Topics
Help > About


Help > About

Displays information about your version of RoboTask.

note Related Topics
Help > Help Topics
Help > Send Bug Report


Run Program/Open Document

Use this action to run the application or open a document that you specify. If a document is specified, the application associated with the document opens it.

Run Program/Open Document is one of the most commonly-used actions in RoboTask and one of the most powerful. The most common usage is to start an application or open a document and then send keystrokes or perform other interactive actions. For example, you can use this action to open a log file in Notepad immediately after you back up your files.

Program or Document File Name
Enter the file name of the target application or a document. If a document file is specified, the associated application is used to open it.

Parameters
Enter the parameters, if any. If the Program or Document File Name box specifies an executable file, you can specify the parameters to be passed to the application. The format of this parameter is determined by the application. If Program or Document File Name box specifies a document file, the information in the Parameters box is ignored.

Default Folder
Specifies the default folder to start the task in. If not specified, the folder of the application is used.

Window
Specifies how an application is displayed when it is opened.

Wait Options
There are three choices:
· Don't wait - the next action executes immediately after the program starts.
· Wait until the application is ready for input - the next action executes only after the program started and is ready for input. This option is useful when you want to perform any interactive actions like Send Keystrokes.
· Wait untill the application exits - the next action executes only after the program exits.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Print Document
Send Network Message
Send Keystrokes
Pause
Log Off
SQL Query
Wait for process
Comment


Print Document

Use this action to print one or more document files, such as Microsoft Word .Doc files, to the default printer. For example, you can use this action to automatically print daily backup logs.

Files to Print
Enter the files that you want to print. This is a required option. Wildcards are allowed. Click the Plus button to add files to the list. To clear the list, click the X button.

Tip
You can also use wildcards in this option. Some examples of wildcards are the following:
· C:\Text Files\*.txt - all the files with the .txt extension in the C:\Text Files folder.
· C:\Doc Files\mydoc?.doc - mydoc1.doc, mydoc2.doc, mydocA.doc, and so forth.
· {bakext} - file mask(s) from the {bakext} variable.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Run Program/Open Document
Send Network Message
Send Keystrokes
Pause
Log Off
SQL Query
Wait for process
Comment


Send Keystrokes

Sends keystrokes to a window that you specify or the window that is currently in focus. After you have opened an application programmatically, you can use this action to access menu commands using shortcut, or hot, keys, such as ALT + F to open the File menu. Send Keystrokes is one of the most powerful actions for manipulating applications.

Target
Specifies the window to send the keystrokes to. There are two choices:
· Current Window - the keystrokes are sent to the currently focused window.
· Specified Window - the specified window will be focused and the keystrokes are sent to it.

Part of Window Caption
Enter the caption, or part of the caption, of the window to send keystrokes to. This option is available only when you the Specified Window option is selected.

Fixed Window
Click this check box when you want to prevent a user from switching windows during the time that the action runs.

Keystrokes
Specifies the keystrokes that the action sends to the window. For the alpha-numeric characters, type these keys on the keyboard. For the special keys, such as Esc, F11, Left Arrow Key, and Ctrl+Alt+A, click the Insert a Key button.

Insert a Key
Click this button to insert special keys such as Esc, F11, Left Arrow Key, and Ctrl+Alt+A. You can also insert a pause between keystrokes to give time for program operations, such as opening a file.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Run Program/Open Document
Print Document
Send Network Message
Pause
Log Off
SQL Query
Wait for process
Comment


Log Off

Completes one of the following actions:
· Logs off the current user,
· Shuts down the computer,
· Restarts the system.

For example, you can use this action to automatically shut down a computer every night after your defragger program finishes cleaning up your hard drive.

Action
Select one of the following values:
· Shut down the computer
· Shut down the computer and power off
· Restart the computer
· Log Off

note Related Topics
Run Program/Open Document
Print Document
Send Network Message
Send Keystrokes
Pause
SQL Query
Wait for process
Comment


Pause

Waits for a specified number of milliseconds and then continues executing tasks. This action is useful when you want to perform extensive operations that require a delay between actions.

For example, you might want to create a pause between printing a document and closing it to prevent a printer error. This pause allows time for the document to spool.

Pause
Enter the number of milliseconds * 100.

note Related Topics
Run Program/Open Document
Print Document
Send Network Message
Send Keystrokes
Log Off
SQL Query
Wait for process
Comment


SQL Query

Executes an SQL query. This action is useful when you want to update a database. If you want to SELECT from a database, use the Dataset Loop action instead.

Connection String
A string with attribute/value pairs for information required to log on to a database and point to a specific database. Click the browse button to open the Microsoft Data Link Properties dialog box. You can press F1 to access Help about this dialog box.

SQL Query
Enter the query string in SQL syntax.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Run Program/Open Document
Print Document
Send Network Message
Send Keystrokes
Log Off
Pause
Wait for process
Comment


Wait for process

Pauses the task and waits until the selected process (processes) is finished. After the monitored process is finished, the task is resumed. If the specified process is not in the memory at the moment when the action is due, the task is not paused.
This action is necessary to synchronize your task with an external application. For example, you may need to wait until the packing program finishes its work before you can copy the packed file to the Backup folder.

Process
You can either select the process from the list of processes that are currently running or type its name manually. You do not have to write the full path to the EXE file if it does not matter where this application was launched from.

If more than one matching process
If there are several running processes matching the specified one at the moment when the action is due, you can specify one of three modes

· Wait for Oldest - wait until the process launched first from the matching group is finished;
· Wait for Newest - wait until the process launched last from the matching group is finished;
· Wait for All - wait until all matching processes are finished.

Waiting
This parameter defines the timeout in seconds to wait until the process is finished. You can also specify an infinite timeout.
If the timeout is over, but the process is not finished, the action will generate the following error: Timeout is over.

Assign Exit Code of Process to Variable
If you select waiting for one process (Wait for Oldest or Wait for Newest), you can assign its exit code to a user variable. A lot of console utilities (for example, packing software) can use this code to inform the application that initialed them about errors in their work.

note Related Topics
Run Program/Open Document
Print Document
Send Network Message
Send Keystrokes
Log Off
Pause
SQL Query
Comment


Comment

This action does nothing and is used only as a visual comment for the task.

note Related Topics
Run Program/Open Document
Print Document
Send Network Message
Send Keystrokes
Log Off
Pause
SQL Query
Wait for process


Show Message/Play Sound

Displays a message box that displays custom text or plays a sound file. For example, you can use this action to display a message and play a sound every time your backup finishes archiving the files.

Tip
· The message box displayed by this action has an OK button. You can display a message box with a Yes and No button with the Question Dialog action.

Show Message
Click this check box to display the message box.

Message Text
Enter the text for the message box.

Message Icon
Select the style of the icon for the message box:
· Exclamation

· Information

· Question

· Error

Play Sound
Click this check box to play a sound. When you click the check box, you can click the browse button to select a .wav file on the computer.

Test
Click this button to ensure that the parameters for the current action work.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Question Dialog
Open Dialog
Save Dialog
Browse for Folders
Browse for Computers
Input Box


Question Dialog

Displays a message box with specified text and two buttons: OK&Cancel or Yes&No. For example, after your system is backed up, you can use this action to display a message asking you if you want to open the log file.

Question Text
Enter the text for the message box.

Buttons
Click to set the style of buttons that appear on the message box.
· OK & Cancel
· Yes & No

Action
Select an option to specify an action when user clicks a button:
· Stop task
· Assign variable

Stop Task On
Select an option to specify when the task stops when the user clicks a button on the message box:
· Cancel/No
· OK/Yes

Auto Choice
Click an option to specify when the task continue or stops if a user does not select a button on the message box.
· None
· Cancel/No
· OK/Yes

After ___ Sec.
Enter the number of seconds to wait before implementing the button that you selected in the Auto Choice area.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

Test
Click this button to ensure that the parameters for the current action work.

note Related Topics
Show Message/Play Sound
Open Dialog
Save Dialog
Browse for Folders
Browse for Computers


Open Dialog

Displays a dialog box that allows you to open file. You can set the title of the dialog box, the initial folder, and the type of files a user can open.

For example, you can use this action in a task in which you might want to select file for uploading to FTP server.

Dialog Caption
Enter the caption of the dialog box. For example, you could enter a caption "Open Log Files" for the dialog box.

Initial Folder
Set the folder that you want as the starting folder for the dialog box. For example, you could enter "My Documents" or "Daily Backups." Click the browse button to select a folder.

Filter
Enter the criteria for including file types that you want the dialog box to open. These types appear in options for opening files on the dialog box, such as Files of Type. Click the ... button to add types with the Filter Editor dialog box. You can click a field in this dialog box and add file type extensions and a name for the file type.

Assign Selected File Name to Variable
Enter a variable name to store the selected file name to; for use in other actions of task.

Assign This Value if No File Selected
Assign a value to store if no file is selected, i.e. the Cancel button was clicked.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Show Message/Play Sound
Question Dialog
Save Dialog
Browse for Folders
Browse for Computers


Save Dialog

Opens a dialog box that allows users to save a file. You can specify the title of the dialog box, the start folder, and which types of files a user can save. For example, you might want to use this action that copies a file and you want to specify where to copy the file.

Dialog Caption
Enter the caption of the dialog box. For example, you could enter a caption "Save Log Files" for the dialog box.

Initial Folder
Set the folder that you want as the starting folder for the dialog box. For example, you could enter "My Documents" or "Daily Backups." Click the browse button to select a folder.

Filter
Enter the criteria for including file types that you want the dialog box to save. These types appear in options on the dialog box, such as Files of Type. Click the ... button to add types with the Filter Editor dialog box. You can click a field in this dialog box and add file type extensions and a name for the file type.

Assign Selected File Name to Variable
Enter a variable name to store the selected file name to; for use in other actions of task.

Assign This Value if No File Selected
Assign a value to store if no file is selected, i.e. the Cancel button was clicked.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Show Message/Play Sound
Question Dialog
Open Dialog
Browse for Folders
Browse for Computers


Browse for Folders

Displays a dialog box that allows users to browse folders on a local or remote drives. You can set the title of the dialog box, the start folder, and what type of files a user can select. For example, if you create a task that downloads files from Internet, you can display this dialog box so you can select where to save the downloaded files.

Dialog Caption
Enter the caption of the dialog box. For example, you could enter a caption "Select Destination Folder" for the dialog box.

Initial Folder
Set the folder that you want as the starting folder for the dialog box. For example, you could enter "My Documents" or "Daily Backups." Click the browse button to select a folder.

Filter
This option is not available for this action.

Assign Selected Folder Name to Variable
Enter a value to store the selected file name in a variable expression for use in other actions or tasks.

Assign This Value if No Folder Selected
Assign a value to store if no folder is selected, i.e. the Cancel button was clicked.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Show Message/Play Sound
Question Dialog
Open Dialog
Save Dialog
Browse for Computers


Browse for Computers

Displays a dialog box that allows a user to select computers on the local network. You can set the title of the dialog box and other settings. For example, in a task that sends a network message, you can select a computer to send a message to.

Dialog Caption
Enter the caption of the dialog box. For example, you could enter a caption "Browse Backup Server" for the dialog box.

Initial Folder
This option is not available for the Browse for Computers action.

Filter
This option is not available for the Browse for Computers action.

Assign Selected Computer Name to Variable
Enter a variable name to store the selected computer name to; for use in other actions of task.

Assign This Value if No Computer Selected
Assign a default value to store if no computer is selected.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Show Message/Play Sound
Question Dialog
Open Dialog
Save Dialog
Browse for Folders


Input Box

Displays an input dialog box that lets the user enter a string and assigns the entered value to a specified variable.

Prompt String
Specify the text that prompts the user to enter input in the edit box.

Assign Entered Value to Variable
Enter a variable name to store the entered value to; for use in other actions of task.

Assign this Value, if Cancel Pressed
Assign a default value to store if Cancel is pressed.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

Test
Click this button to ensure that the parameters for the current action work.

note Related Topics
Show Message/Play Sound
Question Dialog
Open Dialog
Save Dialog
Browse for Folders
Browse for Computers


Copy/Move File

Copies or moves one or more files that you specify. You can set the source and the destination. Wildcards are allowed. For example, you can use this action to copy backup archives from your computer to another computer on the network.

Files
Enter the files you want to copy or move. Wildcards are allowed. Use the Plus buttons to add files to the list. To clear the list, click the X button.

Tip
You can also use wildcards in this option. Some examples of wildcards are the following:
· C:\Text Files\*.txt - all the files with the .txt extension in the C:\Text Files folder.
· C:\Doc Files\mydoc?.doc - mydoc1.doc, mydoc2.doc, mydocA.doc, and so forth.
· {bakext} - file mask(s) from the {bakext} variable.

Destination Folder
Enter the folder to which you want to move or copy the files. You can click the browse button to find folders.

If File Exists
Specify the action to take if a file already exists in the destination location.
· Overwrite - replaces the destination file with the file you are copying or moving.
· Rename - renames the source file when you copy or move it to the new location.

Recurse to Subfolders
Copies or moves all the files in the subfolders of the current directory.

Move
Deletes the original files after you copy or move them to a new location.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Rename File
Delete File
Write Text File
Search for Files
Change Folder
Create Folder
Rename Folder
Remove Folder
Synchronize Folders
Wait for file


Rename File

Renames one or more specified files. Wildcards are allowed. For example, you can copy the files to another folder and automatically rename them using this action.

Files
Enter the files you want to rename. Use the Plus buttons to add files or folders to the list. To clear the list, click the X button.

Tip
You can also use wildcards in this option. Some examples of wildcards are the following:
· C:\Text Files\*.txt - all the files with the .txt extension in the C:\Text Files folder.
· C:\Doc Files\mydoc?.doc - mydoc1.doc, mydoc2.doc, mydocA.doc, and so forth.
· {bakext} - file mask(s) from the {bakext} variable.

Rename To
Enter the name or partial name for the new filename. You can use a wildcard if you want to rename part of the filename.

Recurse to Subfolders
Renames the files in the subfolders of the current directory.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Copy/Move File
Delete File
Write Text File
Search for Files
Change Folder
Create Folder
Rename Folder
Remove Folder
Synchronize Folders
Wait for file


Delete File

Deletes one or more files you specify. Wildcards are allowed. For example, you can use this action to automatically delete cookies from your Internet cache every day to protect your privacy and computer security.

Files
Enter the files you want to delete. Use the Plus buttons to add files or folders to the list. To clear the list, click the X button.

Tip
You can also use wildcards in this option. Some examples of wildcards are the following:
· C:\Text Files\*.txt - all the files with the .txt extension in the C:\Text Files folder.
· C:\Doc Files\mydoc?.doc - mydoc1.doc, mydoc2.doc, mydocA.doc, and so forth.
· {bakext} - file mask(s) from the {bakext} variable.

Delete to Recycle Bin
Moves files to the Windows Recycle Bin. Use this flag to prevent possible data loss.

Recurse to subfolders
Deletes the files in the subfolders of the current directory.

Delete Folders
Removes the subfolders. This option works only with wildcards.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Copy/Move File
Rename File
Write Text File
Search for Files
Change Folder
Create Folder
Rename Folder
Remove Folder
Synchronize Folders
Wait for file


Write Text File

Creates a text file with the specified text. For example, you can write a text file listing which user is logged into a computer at a particular time.

Text File
Enter the name of the text file to save. You can click the browse button to select a file.

Text
Enter the text that you want saved in the file.

If File Exists
Specify the action to take if a file already exists in the destination location.
· Overwrite - replaces the destination file with the new file.
· Append - append specified text at the end of existing text file.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Copy/Move File
Rename File
Delete File
Search for Files
Change Folder
Create Folder
Rename Folder
Remove Folder
Synchronize Folders
Wait for file


Search for Files

Looks for files and creates a file list. This action is useful with pre-defined variables, such as %TextFile(file_name)%. You can create a file list, such as a list of all .Png files, and then use this in a list of actions, such as copying, moving, or deleting files.

General tab

Search for Files
Enter the file path with file mask that you want to search for. Use the Plus buttons to add files or folders to the list. To clear the list, click the X button.

Tip
You can also use wildcards in this option. Some examples of wildcards are the following:
· C:\Text Files\*.txt - all the files with the .txt extension in the C:\Text Files folder.
· C:\Doc Files\mydoc?.doc - mydoc1.doc, mydoc2.doc, mydocA.doc, and so forth.
· {bakext} - file mask(s) from the {bakext} variable.

Exclude Masks (Comma Separated)
Enter one or more file masks separated with commas that you do not want to search.

Tip
You can also use wildcards in this option. Some examples of wildcards are the following:
· *.txt - all the files with the .txt extension.
· mydoc?.doc - mydoc1.doc, mydoc2.doc, mydocA.doc, and so forth.
· *.tmp, *.$$$, *.bak - all the files with the .tmp, .$$$ and .bak extensions.
· {bakext} - file mask(s) from the {bakext} variable.

Recurse to Subfolders
Searches the files in the subfolders of the specified folder.

Save File List To
Enter a path and name for a file that contains a list of the files that were searched. Click the List Format tab to set other options for this list.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

Date Filter tab

All Files
Select this option to search all files.

Find Files Created or Modified
Click this option to search files according to one of the following criteria:
· Between
· Newer Than ___ Months
· Newer Than ___ Days
· Older Than ___ Months
· Older Than ___ Days

List Format tab

Without Path Name
Lists files without the path names (i.e. file names only).

Insert Text Before
You can specify a text that will be inserted at the beginning of the list file.

Insert Text After
You can specify a text that will be inserted at the end of the list file.

Insert Text Before Each Line
You can specify a text that will be inserted at the beginning of each line.

Insert Text After Each Line
You can specify a text that will be inserted at the end of each line.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Copy/Move File
Rename File
Delete File
Write Text File
Change Folder
Create Folder
Rename Folder
Remove Folder
Synchronize Folders
Wait for file


Change Folder

Allows you to the change the current folder. This is useful if you need to set the current folder during a series of actions or tasks. This action is useful with other file actions like copy, move.

Folder Name
Enter the name of the destination folder. You can click the browse button to select a folder.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Copy/Move File
Rename File
Delete File
Write Text File
Search for Files
Create Folder
Rename Folder
Remove Folder
Synchronize Folders
Wait for file


Create Folder

Makes a new folder on a local or remote drive. For example, you could automatically create a new folder for your backups based on the current date.

New Folder Name
Enter the name for the new folder. You can click the browse button to select a folder.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Copy/Move File
Rename File
Delete File
Write Text File
Search for Files
Change Folder
Rename Folder
Remove Folder
Synchronize Folders
Wait for file


Rename Folder

Renames a existing folder. For example, if you have copied a folder with files, you can rename the original folder.

Old Folder Name
Enter the original name of the folder. You can click the browse button to select a folder.

New Folder Name
Enter the new name for the folder.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Copy/Move File
Rename File
Delete File
Write Text File
Search for Files
Change Folder
Create Folder
Remove Folder
Synchronize Folders
Wait for file


Remove Folder

Deletes a existing folder. For example, if you have archived your company financial reports every week for the past year, you can create a task that automatically deletes folders that are more than a year old.

Folder Name
Enter the name of the folder that will be removed.

Remove Folder if It's Not Empty
If this option is selected, the specified folder will be deleted even it is not empty (i.e. contains files and subfolders), otherwise the specified folder will be deleted only if it is not empty (i.e. does not contain files and subfolders).

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Copy/Move File
Rename File
Delete File
Write Text File
Search for Files
Change Folder
Create Folder
Rename Folder
Synchronize Folders
Wait for file


Synchronize Folders

Synchronizes the two folders that you specify. The synchronization method may be bi-directional or uni-directional. For example, if you travel a lot, you might want to create a task that synchronizes data in a folder on your laptop computer and a folder on your desktop computer.

Folder 1
Enter the first folder that you want to synchronize. You can click the browse button to select a folder.

Folder 2
Enter the second folder that you want to synchronize.

Swap Folders
Click to place the folder listed in Folder 2 in the Folder 1 box and the folder in Folder 1 in the Folder 2 box.

Include Masks (Comma Separated)
Enter one or more masks separated with commas to specify which files to synchronize, such as *.exe, *.cnt, *.hlp. The default wildcard mask "*.*" means that all folders and files are synchronized. You can specify one or more masks separated by commas.

Tip
You can also use wildcards in this option. Some examples of wildcards are the following:
· *.txt - all the files with the .txt extension.
· mydoc?.doc - mydoc1.doc, mydoc2.doc, mydocA.doc, and so forth.
· *.tmp, *.$$$, *.bak - all the files with the .tmp, .$$$ and .bak extensions.
· {bakext} - file mask(s) from the {bakext} variable.

Exclude Masks
Enter one or more masks separated with commas to specify which files to skip in the synchronization. You can specify one or more masks separated by commas; for example, *.bak, *.old, *.$$$.

How to Synchronize
Select one of the following options:
· Folder 1 <=> Folder 2 (Bi-directional) - new or newer files that are available in Folder 1 are copied to Folder 1, and vice versa.
· Folder 1 ==> Folder 2 (Uni-directional) - only new or newer files that are available in the Folder 1 are copied to Folder 2; the contents of Folder 2 does not affect the contents of Folder 1.

Include Subfolders
Click this check box to synchronize all files in the subfolders.

Exact Copy in Folder 2
Available only with unidirectional synchronization when you select Folder 1 ==> Folder 2. This option ensures that files that are available in Folder 2, but not in Folder 1, are deleted.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Copy/Move File
Rename File
Delete File
Write Text File
Search for Files
Change Folder
Create Folder
Rename Folder
Remove Folder
Wait for file


Wait for file

Pauses the task and waits until the selected file will be available. After the monitored file is been available, the task is resumed. If the specified file is not opened in another process at the moment when the action is due, the task is not paused.

Wait for file
You can either select the file name or type its name manually.

Waiting
This parameter defines the timeout in seconds to wait until the process is finished. You can also specify an infinite timeout.
If the timeout is over, but the process is not finished, the action will generate the following error: Timeout is over.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Copy/Move File
Rename File
Delete File
Write Text File
Search for Files
Change Folder
Create Folder
Rename Folder
Remove Folder
Synchronize Folders


Pack Files

Creates and adds files to zip files. You can use this action to back up your files. For example, you can use this action to create a task that automatically zips weekly status reports files so that they can be copied to the central server for company summary reports every month.

Files to Zip
Enter the files you want to add to a zip file. Wildcards are allowed. Use the Plus buttons to add files or folders to the list. To clear the list, click the X button.

Tip
You can also use wildcards in this option. Some examples of wildcards are the following:
· C:\Text Files\*.txt - all the files with the .txt extension in the C:\Text Files folder.
· C:\Doc Files\mydoc?.doc - mydoc1.doc, mydoc2.doc, mydocA.doc, and so forth.
· {bakext} - file mask(s) from the {bakext} variable.

Destination File
Enter the filename for the resulting .zip archive.

Action
Select one of the following actions for creating or adding to the zip file:
· Add and replace files - add all files to the archive.
· Freshen existing files - add only changed files to the archive.
· Move files - add files to the archive and remove them from the local folder.
· Update and add files - add only changed or new files to the archive.

Compress
Select one of the items on the dropdown list to determine the level of compression, or size, of the archive file:
· Maximum - creates the smallest zip file possible, while requiring the most time to create the archive.
· Normal - creates a slightly compressed zip file taking the usual amount of time to create the zip file.
· Fast - produces slightly less compression than Normal.
· Super Fast - produces an archive with even less compression than Fast and Normal.
· None - produces an archive file that is not compressed. This level of compression is the fastest.

Folders

Include Subfolders
Click this check box to include the subfolders in the archive. Files are archived with the paths stored in the archive file.

Junk Folder Names
Does not include folder paths in the archive file. For example, if you add C:\documents\*.doc, the .doc files are included into the root folder of the zip archive.

Store Filenames in 8.3 Format
Ensures that filenames are stored with the 8.3 name format, such as foo_mon.txt, especially important for FAT file systems.

Include System and Hidden Files
Archives system and hidden files in the zip file.

Password
Enter a password that is required to unzip the archive, if you want to protect the file.

Comment
Enter a memo note for the zip file.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Extract Files


Extract Files

Extracts files from an existing ZIP file to the folder that you specify. For example, you can create a task that automatically unzips files when you download .zip files to your hard drive.

File to Unzip
Enter the name of the zip file to extract files from.

Tip
You can also use wildcards in this option. Some examples of wildcards are the following:
· *.txt - all the files with the .txt extension.
· mydoc?.doc - mydoc1.doc, mydoc2.doc, mydocA.doc, and so forth.
· *.tmp, *.$$$, *.bak - all the files with the .tmp, .$$$ and .bak extensions.
· {bakext} - file mask(s) from the {bakext} variable.

Destination Folder
Enter the destination folder where you want to extract files.

Files to Extract
Enter the names of the files to unzip from the zip file, separated by commas. If left blank, all files are unzipped.

Overwrite Existing Files
Click to allow the extracted files to overwrite existing files with the same name.

Skip Older Files
Click to ensure the files in the zip archive are not extracted if they are older than the existing files on the local computer.

Use Folder Names
Click this check box to extract files and the directory paths that are archived in the zip file. For example, if a file is zipped with the path \temp\foo.txt, a \temp folder is created in the local directory and the foo.txt file is unzipped to that folder.

Password
Enter the password for the zip file, if the zip file is password-protected.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Pack Files


Check for Email

Checks to see if email exists on a POP3 server that you specify. For example, you can create a task that checks e-mail in the morning and the evening automatically for you, thus minimizing distractions during your work day.

POP3 Server
Enter the POP3 server for e-mail.

Port
Enter the port number. The default port number is 110.

Username
Enter the user name for the e-mail account on the mail server.

Password
Enter the password for the e-mail account.

Stop this Task if
Enter whether you want the current task to do one of the following before e-mail is downloaded from the mail server:
· Mail is Waiting - stops the task if mail is on the mail server.
· Mail is Not Waiting - stops the task if mail is not on the mail server.

note Related Topics
Send Email
Download Files
Ping Host


Send Email

Sends email through the specified SMTP server. Messages can have attachment files. For example, you can create a task that automatically e-mails monthly invoices to a specific customer outlining the sales charges for that month.

Message tab

From
Enter the e-mail address of the person sending the e-mail.

To
Enter the e-mail address to which you are sending the e-mail.

CC
Enter the address of any people to which you want to send a courtesy copy.

Subj
Enter the subject of the e-mail.

Message Text
Enter the text that you want to send. If you enter .html tags, click the Is HTML check box.

Tip
· You can cut and paste .html code from Notepad into this window with the CTRL+V keys.

Is HTML
Click this check box if you have entered .html tags in the Message Text box.

Attachments
Click the plus button to add attachments to the e-mail. You can add more than one attachment. Click the X button to remove attachments from the list.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

SMTP Server tab

Host
Enter the name of the host to which you want to send the e-mail using SMTP (simple mail transfer protocol).

Port
Enter the port number to use.

Authentication Required
Click this check box if the remote mail server requires user authentication and enter the user name and password to log into the remote server.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Check for Email
Download Files
Ping Host


Download Files

Downloads one or more files through the Internet from specific Web or FTP sites. For example, if you are participating in a beta test program for new software, you can automatically download updates to the beta software on a daily basis so that you stay up-to-date.

Important
· Wildcards are not supported.

Files to Download
Enter the http, https or ftp URLs that you want to download.

Save in Folder
Enter the path of the folder in which you want to save the files.

If File Exists
Click an option to determine whether to overwrite existing files with the downloaded file or rename the downloaded file.
· Rename
· Overwrite

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Check for Email
Send Email
Ping Host


Ping Host

Allows you to send a ping message to a host. This action sends Internet Control Message Protocol (ICMP) Echo Request messages to verify IP-level connectivity to another TCP/IP computer. The action receives a receipt of corresponding Echo Reply messages, along with the round-trip times. Ping Host is based on the Ping command, the primary TCP/IP command used to troubleshoot connectivity, reachability, and name resolution.

For example, in a backup task, you can use this action to check to see if a host is up before you start a process to copy files to that host.

Host Name
Enter the name or IP address of the host.

Timeout (Msec)
Indicates the amount of time, in milliseconds, for the action to wait for the Echo Reply message that corresponds to a given Echo Request message to be received. If the Echo Reply message is not received within the time-out, the "Request timed out" error message is displayed.

Assign Reply Time to Variable (Msec)
Enter a variable name for the reply time that you want to assign to.

Assign This Value if Host Does Not Respond
Enter a value to assign if the host does not respond to the Ping message.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Check for Email
Send Email
Download Files


FTP Log On

Allows you to log on to an Ftp site, or remote server. For example, you can create a task to automatically Ftp updated daily reports from a co-worker's computer every day.

Host
Enter the name of the remote host that you want to log into.

Port
Enter the number of the port that you want to use. The default port is 21.

Authentication

Connect as Anonymous
Click this check box if the remote server allows anonymous logins.

Username
Enter the name of the log in account.

Password
Enter the password of the log in account.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
FTP Log Off
FTP Download
FTP Upload
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP Remove Folder
FTP PWD
FTP Transfer Type
FTP Command
FTP File Loop


FTP Log Off

Allows you to log off an Ftp site, or remote server. No specific settings are associated with this action. For example, when you work from home, you can create a task that Ftps daily files that you have worked on to a remote server in your company's network to protect your data.

note Related Topics
FTP Log On
FTP Download
FTP Upload
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP Remove Folder
FTP PWD
FTP Transfer Type
FTP Command
FTP File Loop


FTP Download

Copies remote files to the local computer using the current file transfer type. For example, if you are participating in a software beta program, you can download daily updates automatically to stay up-to-date.

Tip
· Click the {V} button to insert a variable that holds the name of the local file or the remote folder.

Remote File
Enter the name of the remote file that you want to copy to the local computer.

Local Folder
Enter the path and name of the local directory to which you want to copy the remote file.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
FTP Log On
FTP Log Off
FTP Upload
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP Remove Folder
FTP PWD
FTP Transfer Type
FTP Command
FTP File Loop


Ftp Upload

Allows you to place files on an Ftp site. For example, if you must post daily updated financial reports to a web site, you can create a task to automatically upload the updated reports to the company web site at the end of each day.

Tip
· Click the {V} button to insert a variable that holds the name of the local file or the remote folder.

Local File
Enter the name of the local file that you want to copy to the remote server.

Remote Folder
Enter the path and name of the directory on the remote server.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
FTP Log On
FTP Log Off
FTP Download
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP Remove Folder
FTP PWD
FTP Transfer Type
FTP Command
FTP File Loop


FTP Rename File

Allows you to change the name of files on a remote server. For example, in an FTP session, you can use this action to rename files that you might accidentally overwrite on the remote server with updated files.

Tip
· Click the {V} button to insert a variable that holds the new file name or the old file name.

Old File Name
Enter the name of the file that you want to rename.

New File Name
Enter the name that you want to give the file.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
FTP Log On
FTP Log Off
FTP Download
FTP Upload
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP Remove Folder
FTP PWD
FTP Transfer Type
FTP Command
FTP File Loop


FTP Delete File

Allows you to remove files from a remote server. For example, you can use this action to remove old backup files on the remote server that are no longer needed.

Remote File
Enter the path and file name that you want to delete on the remote server. Click the {V} button to insert a variable that holds the path and name of the file.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
FTP Log On
FTP Log Off
FTP Download
FTP Upload
FTP Rename File
FTP Change Folder
FTP Create Folder
FTP Remove Folderr
FTP PWD
FTP Transfer Type
FTP Command
FTP File Loop


FTP Change Folder

Allows you to switch the current folder on a remote server. For example, during an FTP task that backs up your files, you can use this action to copy files to different directories on the remote server.

Remote Folder
Enter the path or folder name on the remote server that you want to switch to. Click the {V} button to insert a variable that holds the name of the folder.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
FTP Log On
FTP Log Off
FTP Download
FTP Upload
FTP Rename File
FTP Delete File
FTP Create Folder
FTP Remove Folder
FTP PWD
FTP Transfer Type
FTP Command
FTP File Loop


FTP Create Folder

Allows you to create a new folder on a remote server. For example, during an FTP task, you can use this action to create a new folder based on the current date for each set of daily backup files.

Remote Folder
Enter the path or folder name on the remote server that you want to create. Click the {V} button to insert a variable that holds the name of the folder.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
FTP Log On
FTP Log Off
FTP Download
FTP Upload
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Remove Folder
FTP PWD
FTP Transfer Type
FTP Command
FTP File Loop


FTP Remove Folder

Allows you to delete a folder on a remote server. For example, you can create a task to remove company reports that are more than six months old from the remote server.

Remote Folder
Enter the path or folder name on the remote server that you want to remove. Click the {V} button to insert a variable that holds the name of the folder.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
FTP Log On
FTP Log Off
FTP Download
FTP Upload
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP PWD
FTP Transfer Type
FTP Command
FTP File Loop


FTP PWD

Allows you to print the current directory on the remote computer. No specific settings are associated with this action. For example, if you want an automatic print out of company financial reports on a remote server every day, you can use this action.

note Related Topics
FTP Log On
FTP Log Off
FTP Download
FTP Upload
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP Remove Folder
FTP Transfer Type
FTP Command
FTP File Loop


FTP Transfer Type

Sets or displays the type of file you are transferring. For example, if you are transferring Microsoft Word reports to the company server every day, you must set the transfer type to binary. The default transfer type is binary.

Transfer Type
Select whether you want to transfer the files as ASCII or binary during an FTP session. You should select ASCII when you want to transfer files that contain text strings, such as .html, .txt, or .xml. You should use Binary when transferring executable files, such as Office documents, .Exe files, and so forth. In binary mode, files are transferred in one-byte units.

note Related Topics
FTP Log On
FTP Log Off
FTP Download
FTP Upload
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP Remove Folder
FTP PWD
FTP Command
FTP File Loop


FTP Command

Allows you to execute custom FTP commands.

Command
Enter the name of the command that you want to execute.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
FTP Log On
FTP Log Off
FTP Download
FTP Upload
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP Remove Folder
FTP PWD
FTP Transfer Type
FTP File Loop


FTP File Loop

Executes a series of commands on files or folders on a remote server during an FTP session.

Loop Kind
Select the items you want to perform actions on: folders only, or files only.

Remote Folder
Enter the path or folder name on the remote server.

Save Results
Enter information about how you want to save the result of the file loop.

Assign File Name to Variable
Click this box and then click the {V} button to assign the file name to that variable. This allows you to use the file name string in other actions or tasks.

Assign File Size to Variable
Click this box and then click the {V} button to assign the file size to that variable. This allows you to use the file size data in other actions or tasks.

Assign Last Update Time to Variable
Click this box and then click the {V} button to assign the time the file was last updated to that variable. This allows you to use the last update time information in other tasks or actions.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
FTP Log On
FTP Log Off
FTP Download
FTP Upload
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP Remove Folder
FTP PWD
FTP Transfer Type
FTP Command


Dial Up/Hang Up

Establishes or disconnects a Windows RAS connection, also known as Dial Up Networking. Usually this feature is used to make a connection to the Internet and then complete a task and disconnect from the Internet. For example, you can create a task to automatically connect to the Internet every morning and check e-mail.

Dial-up Connection
Select the name of the dial-up connection that you want to connect or disconnect. You create this connection in the Windows Control Panel.

How to Use the Dial-up Connection
Select one of the following options to specify the action on the connection:
· Disconnect this Connection - breaks the connection to the Internet or remote network.
· Establish this Connection - connects the computer to the Internet or remote network.

Connection Parameters
Enter the following optional parameters to establish a connection:
· Domain
· Username
· Password
· Callback Number
· Number of Attempts

note Related Topics
Check connection


Check connection

Checks the status of the selected dial-up connection and assigns the corresponding value to a user variable: TRUE if the connection is active and FALSE otherwise. This value can be later used in the "IF Then" action as a Boolean one.

Dial-Up connection
Select the connection you need from the list.

Assign Connection Status to Variable
Specify the name of the variable the status of the connection should be assigned to.

note Related Topics
Dial Up/Hang Up


Create Variable

Creates a new variable when you run a task. If you create a variable and then use it in several different tasks, you can change the variable once and update every task at the same time.

Variable Name
Enter the name of the variable you want to set the value of.

Variable Value
Enter the value that you want to set for the variable.

note Related Topics
Set Variable
Remove Variable
Increment Variable
Delimited variable


Set Variable

Defines the value of a variable when you run a task.

Variable Name
Enter the name of the variable you want to set the value of.

Variable Value
Enter the value that you want to set for the variable.

note Related Topics
Create Variable
Remove Variable
Increment Variable
Delimited variable


Remove Variable

Deletes a variable when you run a task. This ensures that all variables are cleared from memory if a new task starts.

Variable Name
Enter the name of the variable you want to delete.

note Related Topics
Create Variable
Set Variable
Increment Variable
Delimited variable


Increment Variable

Increments or decrements a variable by a specified value.

Variable Name
Specify a variable name you want to increment or decrement

Increment by
Enter a positive or negative value

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Create Variable
Set Variable
Remove Variable
Delimited variable


Delimited variable

Turns a string with any delimiters into a standard comma-separated string. This standard comma-separated string can be used in user variables as an array.

String to process
Specify the string to process. You can use variables.

Delimiters
Select which delimiters should be processed. You can select one or several delimiters.

Quote Char
Specify the character that should be interpreted as quotation marks.

Assign standard comma-separated text to variable
Specify the variable the processed string should be assigned to.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Create Variable
Set Variable
Remove Variable
Increment Variable


Enable Task

Enables a task. Disabled tasks cannot run automatically, i.e. their triggering events are disabled.

Task
Select a existing task.

note Related Topics
Disable Task
Start Task
Stop Task
Wait for Task


Disable Task

Disables a task. Disabled tasks cannot run automatically, i.e. their triggering events are disabled.

Task
Select a existing task.

note Related Topics
Enable Task
Start Task
Stop Task
Wait for Task


Start Task

Runs a task. This action is useful if you want to run several tasks in a series. For example, you can create several different tasks in a series based on certain conditions that are detected in the following order:

1. A task that connects to the Internet and checks the e-mail server,
2. A task that logs off if no e-mail is present,
3. A task that displays a message box if you have received e-mail.

Task
Select a existing task.

Wait for Finish
Click this check box to ensure that the Start Task action starts a task and waits for completion of that task, then continues running. If the check box is clear, the action starts a task and continues running immediately.

note Related Topics
Enable Task
Disable Task
Stop Task
Wait for Task


Stop Task

Allows you to stop the selected task.

Task
Select the task you need from the list.

note Related Topics
Enable Task
Disable Task
Start Task
Wait for Task


Wait for Task

Waits until the selected task is finished. This actions pauses the current task until the selected task is finished. If the selected task in not running at the moment when the action is due, the current task is not paused.
If the selected task is not finished during the specified timeout, the "Timeout is over" error is generated.

Task
Select a task from the list.

Waiting
Specify the timeout in seconds to wait for the task to be finished. You can also specify an infinite timeout.

note Related Topics
Enable Task
Disable Task
Start Task
Stop Task


File Loop

Allows a task to iterate through the results of a file search. For example, you can create a task that searches all the employee status reports and identifies all status report files for the first of the month.

General tab

Search for Files
Enter the files that you want to include in the loop. You can click the browse buttons to the right of the list to add files, add folders, and remove items from the list.

Tip
You can also use wildcards in this option. Some examples of wildcards are the following:
· C:\Text Files\*.txt - all the files with the .txt extension in the C:\Text Files folder.
· C:\Doc Files\mydoc?.doc - mydoc1.doc, mydoc2.doc, mydocA.doc, and so forth.
· {bakext} - file mask(s) from the {bakext} variable.

Exclude Masks (Comma Separated)
Enter one or more file masks separated by commas for files that you do not want to include in the loop.

Tip
You can also use wildcards in this option. Some examples of wildcards are the following:
· *.txt - all the files with the .txt extension.
· mydoc?.doc - mydoc1.doc, mydoc2.doc, mydocA.doc, and so forth.
· *.tmp, *.$$$, *.bak - all the files with the .tmp, .$$$ and .bak extensions.
· {bakext} - file mask(s) from the {bakext} variable.

Recurse to Subfolders
Click this check box to include subfolders in the loop.

Assign Current Filename to Variable
The current filename and path to the file in the loop is stored in the variable that you specify. You can use this information in other actions.

Without Full Path
Click this check box to save only the filename and not the path to the variable.

Assign File Size to Variable
The current file size in the loop is assigned to the variable that you specify. You can use this information in other actions.

Assign File Time to Variable
The current time of the file in the loop is assigned to the variable that you specify. You can use this information in other actions.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

Data Filter tab

All Files
Click this option to include all files in the file loop.

Find Files Created or Modified
Enter dates and times to include files for certain time periods in the loop.
· Between
· Newer Than ___ Months
· Newer Than ___ Days
· Older Than ___ Months
· Older Than ___ Days

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Text Loop
Dataset Loop
Simple Loop
End Loop
Break
Continue
If Then
Else
End If


Text Loop

Allows a task to iterate through all lines of the text that you specify. You can enter text in the parameters of the action or you can refer to a text file.

External Text File
Enter the path and name of text file or click the browse button to select a text file.

Specified Text
Enter the text you want to loop through.

Store Current Line to Variable
Enter a variable name to store with the current line of text.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
File Loop
Dataset Loop
Simple Loop
End Loop
Break
Continue
If Then
Else
End If


Dataset Loop

Allows a task to iterate through the values of the results of an SQL query. For example, you might create a task that connects to the company human resources database and queries for all records of employee sick leave reports every month and saves a report to a file.

Important
· You must be familiar with SQL syntax to use this action.

Connection String
A string with attribute/value pairs for information required to log on to a database and point to a specific database. Click the browse button to open the Microsoft Data Link Properties dialog box. You can press F1 to access Help about this dialog box.

SQL Query
Enter the query string in SQL syntax.

Assign Field Names to Variable
Stores the field names separated by commas in a specified variable.

Assign Field Values to Variable
Stores the field values separated by commas in a specified variable.

With Memo Fields
Specifies that the query should include memo fields.

Store Memos as "Comma Text"
Indicates that the memo fields should be stored as comma delimited text.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

Test SQL
Allows you to test the SQL syntax of your query.

note Related Topics
File Loop
Text Loop
Simple Loop
End Loop
Break
Continue
If Then
Else
End If


Window loop

Enumerates windows existing in the system and allows you to assign their parameters to variables. You can use these values inside the loop.

General

Assign Window Caption to variable
You can specify the variable you want to assign the window caption to. If you clear this checkbox, the window caption will not be saved.

Assign Window Class to variable
You can specify the variable you want to assign the window class to. If you clear this checkbox, the window class will not be saved.

Assign Window Handle to variable
Specify the variable you want to assign the window handle to. You cannot disable this option because the handle of a window is its unique identifier. You can use the value of this variable in the "Window Command" action.

Window Filters

Process Hidden Windows
If you want to enumerate hidden windows, you should select this checkbox. By default, Window loop enumerates only visible windows.

Process Child Windows
Select this checkbox to enumerate child windows.

Window caption
You can use this parameter to apply a filter to the captions of windows. Either select the caption you need from the list or type it manually.

Window class
You can use this parameter to apply a filter to the classes of windows. Either select the class you need from the list or type it manually.
The "Window caption" and "Window class" lists depend on the "Process Hidden Windows" and "Process Child Windows" checkboxes.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
File Loop
Text Loop
Dataset Loop
Simple Loop
End Loop
Break
Continue
If Then
Else
End If


Simple Loop

Allows a task to iterate through a loop.

Start From
Enter the number at which to start the loop.

To
Enter the number at which to end the loop.

Destination Variable
Stores the current value of the loop. For example, if you enter 1 in the Start From box and 5 in the To box, then, in the first iteration, the destination variable contains 1. In the second iteration, the destination variable contains 2, and so forth.

note Related Topics
File Loop
Text Loop
Dataset Loop
End Loop
Break
Continue
If Then
Else
End If


End Loop

Indicates the end of the loop block. Any loop, including a file loop, simple loop, and so forth, must contain the corresponding End Loop action.

note Related Topics
File Loop
Text Loop
Dataset Loop
Simple Loop
Break
Continue
If Then
Else
End If


Break

Stops the execution of the current loop so that the task can continue executing the actions after the End Loop action. The Break action is often used in conjunction with the If Then action.

note Related Topics
File Loop
Text Loop
Dataset Loop
Simple Loop
End Loop
Continue
If Then
Else
End If


Continue

Skips all the actions between it and the End Loop action and begins a new iteration. No specific settings are associated with this action. The Continue action is used in conjunction with the If Then action.

note Related Topics
File Loop
Text Loop
Dataset Loop
Simple Loop
End Loop
Break
If Then
Else
End If


If Then

Allows a task to make a comparison of several conditions and execute actions based on that comparison. You can use this action to run a specific statement or a block of statements, depending on the value of a condition. If...Then...Else statements can be nested to as many levels as you need.

Important
· The If Then action must be used in conjunction with the End If action.

Compare Values As
Select the type of data for the expressions that you want to compare.
· As String - compares two values with alphanumeric characters.
· As Number - compares two integer values.
· As Date and Time - compares two date/time values.
· As Boolean - checks for a true/false or yes/no condition. If you select this option, the If Value Is option appears, allowing you to select the condition of the Boolean.

If Value Is
Appears if you select As Boolean in the Compare Values As area. This option allows you to set the value of the Boolean check. You can select false for certain actions to occur if a condition does not exist. You can select true for certain actions to occur if a condition does exist.

First Operand
Enter the value of the first expression you want to compare.

Comparison Type
Select the operator for the comparison from the following:
· = Equal to
· <> Not equal
· >= More than or equal to
· > More
· <= Less than or equal to
· < Less than

Case Sensitive
Click to make the comparison dependent on whether upper case or lower case characters are used in the expressions.

Second Operand
Enter the value of the second expression you want to compare.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
File Loop
Text Loop
Dataset Loop
Simple Loop
End Loop
Break
Continue
Else
End If


Else

Allows a task to execute an action if certain conditions are not met. This action is used in conjunction with the If Then action. You can use this action to run a specific statement or a block of statements, depending on the value of a condition. If...Then...Else statements can be nested to as many levels as you need. No specific settings are associated with this action.

note Related Topics
File Loop
Text Loop
Dataset Loop
Simple Loop
End Loop
Break
Continue
If Then
End If


End If

Indicates the end of the If Then block.

note Related Topics
File Loop
Text Loop
Dataset Loop
Simple Loop
End Loop
Break
Continue
If Then
Else


Window Command

Manipulates certain windows that you specify.

Window Caption
Enter or select the caption of the window that you want to manipulate with the action you select in the Action list. You can enter part of a window caption.

Caption Must Match Exactly
Select this check box if you want to manipulate only the window that exactly matches the window caption you selected. This check box is cleared by default so that the task can manipulate windows that contain only part of the window caption entered in the Window Caption box. For example, you can enter <notepad> for the window with a caption <Untitled - Notepad>.

Action
Select the action for manipulating the window.
· Focus - makes the window active.
· Minimize - reduces the window to an icon on the Windows taskbar.
· Maximize - restores the window to fill the entire screen.
· Restore - restores the window to its previous state.
· Close - closes the window.
· Hide - hides the window from view on the screen and Windows taskbar.
· Unhide - displays the hidden window.

note Related Topics
Check for Window


Check for Window

Checks to see if a window exists or is active. For example, you might want to create a task that starts your HotSync Manager for your Palm PDA every day and synchronizes the Palm device data with Outlook. You might want to check for the existence of the HotSync Manager window to ensure that it has started.

Window Caption
Select the name of the window from the dropdown list. The contents of this list vary with the applications currently launched on your computer.

Caption Must Match Exactly
Click the check box to check only windows that match the entire window caption. If this check box is clear, the action checks for windows that partially match the caption.

Check For
Select one of the following options to check for existing windows or windows that are open.

· Window Exist
· Window Active

Abort Task If
Stops task executing according with selected option:

· Window Not Exists/Active - stops the task if the window does not exist or is not active.
· Window Exist/Active - stops the task if the window exists or is active.

note Related Topics
Window Command


Start Service

Important
· This action is available only on Windows NT 4, 2000, and XP.

Starts a service already installed on the local or remote NT server or workstation. A service is a special process that can be launched during operating system boot. The most important feature of a service is that you do not have to log on to the computer.

A service is started in the Local System account. You can start an existing service or a service that you created. Examples of services include FTP/HTTP servers, print spoolers, file sharing, and so forth.

Usually, Windows services do have not a user interface, but are managed through the Services applet of the Windows Control Panel, or a separate application or applet. Using the standard Services applet, you can start, stop, pause, or continue a previously installed service. The common way for a service to report a warning or error is recording an event into the system event log. You can review the log using the Event Viewer from Administrative Tools in Windows.

Computer Name
Enter the remote computer name. If you want to start a service on the local computer, use {ComputerName}. You can click the browse button to select a computer from the local area network.

Service
Select a service that you want to stop from the dropdown list. The items on this list depend on which services are present on the computer.

Parameters
Specify optional parameters for the service that you want to start.

Refresh
Click this button to refresh the Service list.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Stop Service
Lock Workstation


Stop Service

Important
· This action is available only on Windows NT 4, 2000, and XP.

Stops a service already installed and started on the local or remote server or workstation. For more information, see Start Service.

Computer Name
Enter the remote computer name. If you want to start a service on the local computer, use {ComputerName}. You can click the browse button to select a computer from the local area network.

Service
Select a service that you want to stop from the dropdown list. The items on this list depend on which services are present on the local computer.

Refresh
Click this button to refresh the Service list.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Start Service
Lock Workstation


Lock Workstation

This action submits a request to lock the workstation's display. Locking a workstation protects it from unauthorized use.

note Related Topics
Start Service
Stop Service


Minimize RoboTask

Collapses the RoboTask window and displays the RoboTask icon on the Windows Taskbar. No specific settings are associated with this action.

This action is useful if you do not want RoboTask to appear on the computer while the task runs.

note Related Topics
Restore RoboTask
Exit RoboTask
Enable Automation
Disable Automation
Log Message


Restore RoboTask

Activates RoboTask and displays the RoboTask window on the computer screen. No specific settings are associated with this action.

This action is useful for system administrators who want to troubleshoot a process. For example, if a "critical error" occurs, you can use the Disable Automation action, trap an error message with the message box, and then use the Restore RoboTask action.

note Related Topics
Minimize RoboTask
Exit RoboTask
Enable Automation
Disable Automation
Log Message


Exit RoboTask

Closes RoboTask. No specific settings are associated with this action.

note Related Topics
Minimize RoboTask
Restore RoboTask
Enable Automation
Disable Automation
Log Message


Enable Automation

Enables task triggering. If task triggering is disabled, the tasks will not run automatically, i.e. all your tasks are disabled. You may run tasks only manually.

note Related Topics
Minimize RoboTask
Restore RoboTask
Exit RoboTask
Disable Automation
Log Message


Disable Automation

Disables task triggering. If task triggering is disabled, the tasks will not run automatically, i.e. all your tasks are disabled. You may run tasks only manually.

note Related Topics
Minimize RoboTask
Restore RoboTask
Exit RoboTask
Enable Automation
Log Message


Log Message

Records a message to the task's log. This action is a powerful tool for recording the results of actions when they occur in a log text file. This action is useful for system administrators who want to troubleshoot a process.

The log filename is based on the internal unique ID number of the task. Each task has an internal unique ID number and its filename is NNNNNNNN.tsk where NNNNNNNN is its ID number. The log file name is NNNNNNNN.log.

Important
· You can set options for logging on the Advanced tab of the Add Task dialog box or the Edit Task dialog box.

Message Text
Enter the text that you want to appear in the message.

Message Type
Select a type, such as Information, Warning, or Message. The type determines the style of log message:
· Information - a blue text and "i" icon appears.
· Warning - an olive text and "!" icon.
· Error - a red text and "X" icon.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Minimize RoboTask
Restore RoboTask
Exit RoboTask
Enable Automation
Disable Automation


Cut

Cuts the selected text fragment (image) into the system clipboard from the active Windows application.

Do it by…
There are two ways to cut a fragment:
1. by sending a Windows message to the corresponding edit element
2. by emulating the key combination

It is recommended to use the second method because it is a universal mechanism for any application and any data type.

note Related Topics
Copy
Paste
Clear Clipboard
Get text
Put Text


Copy

Copies the selected text fragment (image) into the system clipboard from the active Windows application.

Do it by…
There are two ways to copy a fragment:
1. by sending a Windows message to the corresponding edit element
2. by emulating the key combination

It is recommended to use the second method because it is a universal mechanism for any application and any data type.

note Related Topics
Cut
Paste
Clear Clipboard
Get text
Put Text


Paste

Pastes the copied fragment from the system clipboard to the current Windows application.

Do it by…
There are two ways to paste a fragment:
1. by sending a Windows message to the corresponding edit element
2. by emulating the key combination

It is recommended to use the second method because it is a universal mechanism for any application and any data type.

note Related Topics
Cut
Copy
Clear Clipboard
Get text
Put Text


Clear Clipboard

Clears the system clipboard. It has no parameters.

note Related Topics
Cut
Copy
Paste
Get text
Put Text


Get text

Assigns the text from the system clipboard to a variable. If the clipboard contains a graphic object or an object of some other type that cannot be converted into text, an empty string will be assigned to the variable.

Assign Clipboard Content to variable
Specify the variable the text from the system clipboard should be assigned to.

note Related Topics
Cut
Copy
Paste
Clear Clipboard
Put Text


Put Text

Copies the specified text into the system clipboard. You can take text from a file or type it directly in the "Specified text" field. User and system RoboTask variables can be used.

External Text File
Specify the name of the file to take the text from.

Specified Text
Type the fragment that should be copied into the clipboard.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Cut
Copy
Paste
Clear Clipboard
Get text


Move to object

Moves the mouse pointer to the specified object. You can select a control element in a window (button, menu, toolbar, etc.) or a window as an object.

To make editing this parameter more comfortable, you can drag the message "Drag this text to desired control" to the object you need. While you are moving the mouse pointer, elements recognized by RoboTask are highlighted with a frame. After you release the left mouse button, all the parameters are specified automatically depending on the position of the mouse pointer. After that you can edit the parameter manually if necessary.

Window caption
Specify the window caption completely or any part of it. If the caption does not matter, leave the field blank.

Window caption must match exactly
If you need the caption to match exactly the specified caption, select this checkbox. If you do not need the exact match, you can specify any part of the window caption.

Window class
Specify the window class completely. If the class does not matter, leave the field blank.

Control Text
Specify the text of the window control element completely or partially.

Control Text must match exactly
If you need the control text to match exactly the specified text, select this checkbox. If you do not need the exact match, you can specify any part of the control element text.

Control class
Specify the control class completely. If the class does not matter, leave the field blank.

Control position
Specify the coordinates of the control element. The values are specified relatively to the window. The coordinates of the control are necessary in order to identify the control element because the window may contain several elements with the same Control Text and Control Class.

Mouse Cursor Position
Specify the position of the mouse pointer relatively to the control element.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Click
Move


Click

Emulates a mouse click in the current position.

Button
Select the mouse button:
· Left Button
· Right Button
· Middle Button.

Action
Select the action. There are 4 variants to choose from:
· Click
· Double Click
· Button Down
· Button release

note Related Topics
Move to object
Move


Move

Moves the mouse pointer the specified distance away from the current position or to the specified point.

Coordinates mode
Coordinates: absolute or relative.
· Absolute coordinate - the absolute coordinates of a point on the screen will be specified in the next parameter.
· Relative coordinates - the coordinates of a point on the screen relative to the current position of the mouse pointer will be specified in the next parameter.

Absolute or Relative coordinates
The coordinates of a point where the mouse pointer should be moved. The type of coordinates is determined by the previous parameter.

In order to set the coordinates interactively, you should drag the text in the upper part of the dialog box to the necessary point on the screen. The coordinate values will be specified automatically.

note Related Topics
Move to object
Click


Add key

Adds a key (branch) to the registry.

Key Name
Name of the key to be added. You can use the dialog box to select the key interactively; to open it click the button to the right of the text box.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Delete Key
Rename Key
Read Value
Write Value
Delete value
Rename value
Export
Import


Delete Key

Deletes the specified key (branch) from the registry. The specified key will be deleted together with all its subkeys and entries.

Key Name
Name of the key to be deleted. You can use the dialog box to select the key interactively; to open it click the button to the right of the text box.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Add key
Rename Key
Read Value
Write Value
Delete value
Rename value
Export
Import


Rename Key

Renames the specified key (branch) of the registry

Key Name
Name of the key to be renamed. You can use the dialog box to select the key interactively; to open it click the button to the right of the text box.

New Key Name
A new name that will be given to the specified key.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Add key
Delete Key
Read Value
Write Value
Delete value
Rename value
Export
Import


Read Value

Read the specified value from the registry and assign it to the user variable. This action allows reading values of String and Integer types only.

Key Name
Full path to the value you want to read. You can use the dialog box to select the key and value interactively; to open it click the button to the right of the text box. When you click the OK button, the "Key Name" and "Value Name" fields will be filled, if you have selected the necessary value.

Value Name
Name of the value to be read. If you leave Value Name empty, RoboTask will read the default value of the key.

Assign to Variable
Name of the user variable that should be assigned the value we have read.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Add key
Delete Key
Rename Key
Write Value
Delete value
Rename value
Export
Import


Write Value

Write the value to the specified key in the registry. This action allows writing values of String and Integer types only.

Key Name
Full path to the value you'd like to write. You can use the dialog box to select the key and value interactively; to open it click the button to the right of the text box. When you click the OK button, the "Key Name" and "Value Name" fields will be filled, if you have selected the necessary value.

Value Name
Name of the value to be written.

Value Type
Select the type of value to be written: String or Integer.

Value
The value to be written.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Add key
Delete Key
Rename Key
Read Value
Delete value
Rename value
Export
Import


Delete value

Deletes the specified value from the registry.

Key Name
Full path to the value you'd like to delete. You can use the dialog box to select the key and value interactively; to open it click the button to the right of the text box. When you click the OK button, the "Key Name" and "Value Name" fields will be filled, if you have selected the necessary value.

Value Name
Name of the value to be deleted.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Add key
Delete Key
Rename Key
Read Value
Write Value
Rename value
Export
Import


Rename value

Renames the specified value in the registry.

Key Name
Full path to the value you'd like to rename. You can use the dialog box to select the key and value interactively; to open it click the button to the right of the text box. When you click the OK button, the "Key Name" and "Value Name" fields will be filled, if you have selected the necessary value.

Value Name
Name of the value to be renamed.

New Value Name
New name that will be assigned to the specified value.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Add key
Delete Key
Rename Key
Read Value
Write Value
Delete value
Export
Import


Export

Exports the specified registry branch to the specified file. The saved file has a format compatible with the REGEDIT.EXE system utility. This operation is useful when you make a backup copy of some information or move settings to another computer. You can easily import the export file using REGEDIT or the Import action of RoboTask.

Registry Key
The key (branch) of the registry that should be exported to a file. You can use the dialog box to select the key interactively; to open it click the button to the right of the text box.

File Name
Name of the file where information should be exported.

File Format
Choose the export file format.
· Registration file (current format) - current default format for the installed operating system. For Windows 2000 and higher the format is Unicode text.
· Win9/NT4 Registration File - old format that provides compatibility with Windows 9x/NT4. This format has a structure of a regular text file.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Add key
Delete Key
Rename Key
Read Value
Write Value
Delete value
Rename value
Import


Import

Imports the export file to the registry. The export file should be prepared with the REGEDIT.EXE system utility or the Export action.

File Name.
Name of the file to be imported.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Add key
Delete Key
Rename Key
Read Value
Write Value
Delete value
Rename value
Export
Import


Send Command

Allows you to send a string to a copy of RoboTask on another computer. This action works together with the "Listener" triggering event. The Listener event receives the string and can start some task according to its settings. Thus, you can synchronize several copies of RoboTask working on the local area network of your office or via the Intranet/Internet.

For example, it may be a command to pack IIS log files on the server and send the packed file by e-mail.

Host Name or IP Address
Specify the Host Name or IP address of the computer where you need to send the command. The Host Name can be either similar to www.mydomain.com for the Internet or just the name of the necessary computer for the local area network.

Port
Specify the port the command should be sent to. By default, the "Listener" listens to port 5254. The port number can be changed to any other number (see Plugin settings).

Access Password
Specify the password for connecting to remote RoboTask. If the Listener on remote RoboTask is configured to work without a password, leave this field blank.

Command
Specify the string (command) that should be sent to remote RoboTask. It can be any string. The "Listener" triggering event on the remote computer will analyze the string.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Send Network Message
Network Plugin settings
Listener


Send Network Message

Sends a text message using a local network area (LAN) connection to the specified computer. For example, you can use this action to display a message every time you receive an e-mail from a special customer when you are logged into a different computer on your network and cannot check your e-mail.

Computer Name
Enter the name of the computer or domain name that the message should be sent to. When the "*" symbol (without quotes) is specified, the message is broadcast to every computer in the primary domain of the system.

Important
· If the Windows Messenger service is not running on the target computer, the message will not be received.

Message Text
Specifies the text of the message to be sent.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Send Command
Network Plugin settings
Listener


Network Plugin settings

The settings of the Network plugin are related to the "Listener" triggering event and set the global parameters of the "Listener".

Listener port
Specify the port the "Listener" will listen to. The default is 5254, but it can be changed for any other available port.

To Change Listener Access Password…
To change the access password for the Listener, specify the old password and enter the new password twice. By default, the password is empty, i.e. the access is granted without a password.

Encryption Required
Select this checkbox if you want to encrypt information when it is transferred between the computers. An 128-bit asymmetric encryption key is used for that. The key is generated randomly for each session.

IP Filter
You can use this tab to configure filtering requests by IP addresses. By default, the Listener is available for all IP addresses.

note Related Topics
Send Command
Send Network Message
Listener


POP3 Open

Opens a connection with the POP3 server. This action should be performed before you perform the "POP3 Mail Loop", "POP3 Download Email" and "POP3 Delete Email" actions. There can be only one open connection with the POP3 server within a task. If you need to process several mail servers one by one, you should close the previous connection before opening the next one (see the "POP3 close" action).

Host
IP-address or Host Name of the POP3 server.

Port
Port of the POP3 server. By default it's 110.

User Name
Name of the mailbox user.

Password
User password.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
POP3 Close
POP3 Mail Loop
POP3 Download Email
POP3 Delete Email
Parse Email
Check for Email
Send Email


POP3 Close

Closes the open connection with the POP3 server. It doesn't require any additional parameters. When a task is finished, the open server connection closes automatically.

note Related Topics
POP3 Open
POP3 Mail Loop
POP3 Download Email
POP3 Delete Email
Parse Email
Check for Email
Send Email


POP3 Mail Loop

Allows processing messages on the POP3 server one by one in a loop. This action also allows parsing main parameters of a message without downloading the complete message from the server. You can assign parameters of each message to a user variable and perform initial parse within a loop.

Order Number
This loop parameter is compulsory as the current order number of a message serves as its identifier on the POP3 server. The numbering of messages starts with 1. The variable that contains the number of a message should be used in the loop in "POP3 Download Email" and "POP3 Delete Email" actions.

Subject
Optional parameter. Allows saving the message subject to a variable and parsing it in the loop.

Sender (FROM)
Optional parameter. Allows saving the sender address to a variable and using it within the loop.

Receipt (TO)
Optional parameter. Allows saving the recipient address to a variable as a string and using it within the loop.

Carbon Copy (CC)
Optional parameter. Allows saving the address of the recipient (or recipients) of a message copy to a variable as a string and use it within the loop.

Message Size
Optional parameter. Allows saving the message size in bytes to a variable and using it within the loop.

Note:
Addresses in the message can be written in form of:
· E-mail address only. For example:
john@yahoo.com
· Recipient's name and address. For example:
John Smith <john@yahoo.com>
· Several recipients separated with a semicolon. For example:
John Smith <john@yahoo.com>; Melissa Carver <melissa@hotmail.com>

note Related Topics
POP3 Open
POP3 Close
POP3 Download Email
POP3 Delete Email
Parse Email
Check for Email
Send Email


POP3 Download Email

Receives a message from the POP3 server and saves it to a file.

Order Number of Message
Order number of the current message. It can be generated in the "POP3 mail loop" using a variable or you can set it manually. If the message number is invalid, an "Invalid number of message" error will occur when the action is carried out.

Save Message to File
Specify the name of file where the message should be saved. You can use variables to generate the file name. By default, the
{TempDir}\{Year}{MonthNo}{Day}{Hours}{Minutes}{Seconds}{mSeconds}.eml
string is specified. It provides a unique name and makes it more convenient to sort files by the time when the message was received.

Extract Attachments to Folder
When you receive a message, you can extract all attachments to separate files. To do it, you should specify a folder where all attachments should be extracted.

If File Already Exists
Specify an action that should be performed if the application file already exists.
· Rename - in this case a suffix with an order number will be added to the file name;
· Overwrite - the file will be saved with the original name and the old file will be overwritten.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
POP3 Open
POP3 Close
POP3 Mail Loop
POP3 Delete Email
Parse Email
Check for Email
Send Email


POP3 Delete Email

Deletes the email message from the POP3 server.

Order Number of Message
Order number of the message to be deleted. It can be generated in the "POP3 mail loop" using a variable or you can set it manually. If the message number is invalid, a "No such message" error will occur when is action is carried out.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
POP3 Open
POP3 Close
POP3 Mail Loop
POP3 Download Email
POP3 Delete Email
Parse Email
Check for Email
Send Email


Parse Email

Parses message in the file. It separates the message into its main parts:
· Message subject (the SUBJECT field);
· Sender (the FROM field);
· Recipient (the TO field);
· Recipient of a copy (the CC field);
· Message body (the text);
· Attachments.

File Name
Specify the filename of the message you want to parse. Such files usually have EML extension.

General tab
Subject
Specify the name of variable where the message subject should be saved.

Sender (FROM)
Specify the name of variable where the sender's address should be saved.

Recipient (TO)
Specify the name of variable where the recipient's address should be saved. This field can contain several addresses separated with a comma or a semicolon.

Carbon Copy (CC)
Specify the name of variable where the address of the recipient of a copy should be saved. This field can contain several addresses separated with a comma or a semicolon.

Message Text tab

Assign Message Text to Variable
Specify the variable where the message body should be saved.

Prefer
Specify the format that should be preferred if the message body contains both message formats. The message body can contain the following formats:
· Plain Text
· HTML Text
If the message body contains one format only, this message text will be assigned to the variable no matter what value the Prefer parameter has.

Attachments tab
Extract Attachments to Folder
Specify the folder where all attachments should be extracted.

If File Already Exists
Specify an action that should be performed if the specified folder already contains a file with the application name.
· Rename - in this case a suffix with an order number will be added to the file name;
· Overwrite - the application will be saved with the original name and the existing file will be overwritten.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

Note:
Addresses in the message can be written in form of:
· E-mail address only. For example:
john@yahoo.com
· Recipient's name and address. For example:
John Smith <john@yahoo.com>
· Several recipients separated with a semicolon. For example:
John Smith <john@yahoo.com>; Melissa Carver <melissa@hotmail.com>

note Related Topics
POP3 Open
POP3 Close
POP3 Mail Loop
POP3 Download Email
POP3 Delete Email
Parse Email
Check for Email
Send Email


Basic

The Basic plugin is not included in the main installation package. You can download it additionally from http://www.robotask.com/downloads/.


Evaluate

Allows you to make calculations using the functions of mathematical operations and BASIC functions. The result is assigned to a user variable.
This action is convenient when you need to make some small calculations without writing a Basic script.

Expression to Evaluate
Mathematical expression. The result can be of any type. For more details on expression syntax see description of BASIC language .

For example:

{TotalSize}/{FileCount}
Left(Right("{DateTime}",8),2)

Assign Result to Variable
Specify the variable the result should be assigned to.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

Test
Click this button to ensure that the parameters for the current action work.

note Related Topics
Basic script
Also see Basic help


Basic script

It is a universal tool allowing you to execute scripts written in BASIC. Scripts can be virtually as complicated as you need. You can use such a script to access the RoboTaskApp COM object allowing you to access service functions of RoboTask, as well as other tasks. The description of the RoboTaskApp object is given below.
See additional information about the BASIC language in the BASIC help.

Script source
You can select the script storage method

· Internal - the script is stored in the task file in this case. This storage method is good for small scripts consisting of one or several procedures.
· External Script - the script is stored in a separate file. This storage method is good for complex subroutines consisting of several modules (see the keyword "uses" or "include" in the Basic help).

note Related Topics
Evaluate
RoboTaskApp object
Also see Basic help


RoboTaskApp object

There is no need to create the RoboTaskApp object when you are running or editing the script. It is created before you run the script and is available as a global object inside the script.

RoboTaskApp.AddUserVariable(By Val Name as String, By Val Value as String)
Creates a user variable with the specified "Name" and assign the specified "Value" to it.

RoboTaskApp.Automation
A Boolean attribute. It is available for reading and writing. It contains the value of the RoboTask automation mode.

RoboTaskApp.Close
Exits RoboTask.

RoboTaskApp.DelUserVariable(By Val Name as String)
Deletes the user variable with the specified "Name".

RoboTaskApp.ExpandText(By Val Text as String)
Expands a string containing RoboTask variables and returns the value of the string type.
For example: the string "File c:\autoexec.bat has length {FileSize(c:\autoexec.bat)} bytes" will be turned into the string "File c:\autoexec.bat has length 153 bytes"

RoboTaskApp.ExternalName(By Val ThreadID)
Returns the "External Name" of a task by its ThreadID. You can specify an External Name on the "Advanced" tab of the task editor. You can find out the ThreadID of the current task using the GetCurrentThreadId API function. A sample use is given below.

Declare Function GetCurrentThreadId Lib "kernel32" As Long

Sub Main
  Dim extName As String
  extName = RoboTaskApp.ExternalName(GetCurrentThreadId)
  MsgBox("External name is "+ extName)
End Sub

RoboTaskApp.Minimize
Minimizes RoboTask into the tray icon.

RoboTaskApp.Restore
Restores the RoboTask window from the tray icon.

RoboTaskApp.ServiceMode
The attribute is read-only. It contains a Boolean value: "True" if RoboTask is running as an NT service; "False" if RoboTask is running as a regular Windows application.

RoboTaskApp.SetUserVariable(By Val Name as String, By Val Value as String)
Sets the value of the "Name" user variable to the specified "Value"

RoboTaskApp.StartTask(By Val ExternalName as String)
Starts the task with the specified "External Name".

RoboTaskApp.StopTask(By Val ExternalName as String)
Stops the task with the specified "External Name".

RoboTaskApp.TaskCount
The read-only attribute of the numerical type. Returns the number of tasks registered in RoboTask.

RoboTaskApp.TaskEnabled(By Val ExternalName as String)
A Boolean attribute available for reading and writing. Allows you to read or set the "Enabled" parameter of the task with the specified "ExternalName".
For example:
RoboTaskApp.TaskEnabled("Check_email") = False

RoboTaskApp.TaskInfo(By Val NumTask as Long, ExtName as String, Name as String, ID as Long)
Sets the properties of the task with the specified number ("NumTask").
ExtName – External Name;
Name – task name;
ID – internal numerical identifier.
This method is used to enumerate all tasks and extract the parameter of each task. A sample use is given below.

Declare Function GetCurrentThreadId Lib "kernel32" As Long

Sub Main
    Dim cnt As Long
    Dim nam As String
    Dim extNam As String
    Dim id As Long
    Dim i As Long

    cnt = RoboTaskApp.TaskCount
    RoboTaskApp.WriteToLog(1,"Total "+Str(cnt)+" tasks",GetCurrentThreadId)

    For i  = 0 To cnt - 1
        RoboTaskApp.TaskInfo(i,extNam,nam,id)
        RoboTaskApp.WriteToLog(1,extNam+"; "+nam+"; "+Str(id),GetCurrentThreadId)
    Next
End Sub

RoboTaskApp.Version
A read-only attribute of the string type. Contains the version number of RoboTask in it.

RoboTaskApp.WHandle
A read-only attribute of the Long type. Contains the Handle of the main RoboTask window. This value is necessary for some Windows API functions to work properly (for example, SendMessage, PostMessage).

RoboTaskApp.WriteToLog(By Val MsgType as Integer, By Val MessageStr as String, By Val ThreadID as Long)
Records a message to the task log. To record a message to the system log of RoboTask, you should set the TreadID to 0.
MsgType – message type: 0 – regular message, 1 – warning, 2 – error;
MessageStr – message string
ThreadID – the Thread ID of the current task. It can be obtained using the GetCurrentThreadId API function. If you set it to 0, the message will be recorded to the system log of RoboTask.
A sample use is given below.

Declare Function GetCurrentThreadId Lib "kernel32" As Long

Sub Main
  Dim thr As Long
  thr = GetCurrentThreadId
  RoboTaskApp.WriteToLog(1, "Hello World", thr)
End Sub

note Related Topics
Evaluate
Basic script
Also see Basic help


CD/DVD Writer

The CD/DVD Writer plugin is not included in the main installation package. You can download it additionally from http://www.robotask.com/downloads/.


Write to disk

Allows you to write files to a CD/DVD. This operation is very useful for automating backup processes.

General tab

Select Device
Use the list to select the device files will be written to.

Destination Folder
Specify the folder to write files to. You can use RoboTask variables. For example, it can be useful for backups if you specify the folder name based on the current date: \{YEAR}{MONTHNO}{DAY}

Files to Write
Fill the list of files using the corresponding buttons. You can also fill it by dragging the necessary files and folders from a Windows Explorer window.

If File Exists
Specify what to do if the files being written already exist on the disk.

Write Options tab

Volume Name
The name of the disk being burned. You can specify the name explicitly or inherit the name from the imported session.

Write speed
Use the list to select the necessary record speed.

Allow Joliet File Names
Select this checkbox if you want to enable long file names.

Finalize Disk
Specify if it is necessary to finalize the disk. The disk will become read-only if it is finalized.

Use Buffer Protection
Buffer protection. It is recommended to enable this option in order to ensure that the disk is burnt continuously in case of possible problems with reading the source files.

For CD-R/CD-RW only
Specify the writing mode and whether it is necessary to cache information before writing it to the disk. These parameters make sense only when data is written to a ÑD-R/CD-RW and will be ignored when writing data to a DVD.

For DVD only
If it is known beforehand that the amount of the information is certainly more than 1 GB, you can enable the DVD High Compatibility option.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Erase Disk
Eject/Load CD Tray


Erase Disk

Allows you to erase the entire information from a CD/DVD RW.

Device
Select a device.

Erase Mode
Quick Erase and Full Erase modes.
If you use the Quick Erase mode, only the logical structure will be deleted without physically erasing the information from the disk. That is why the operation takes 1-1.5 minutes and the disk is considered empty and becomes available for writing.
In case with the Full Erase mode, the entire information is physically erased from the disk. Depending on the drive and disk, such an operation may take 20 minutes or longer. This operation ensures that it will be impossible to restore any data from the disk.

Eject After Complete
Select this checkbox if you want the drive to eject its tray after erasing is over.

note Related Topics
Write to disk
Eject/Load CD Tray


Eject/Load CD Tray

Allows you to eject or load the tray of the CD drive.

Device
Select a device.

Action
Select whether to eject or load the tray of the CD drive.

note Related Topics
Write to disk
Erase Disk


Scheduler

Executes a task at a given time or interval. For example, you can use this triggering event to ensure your backup runs every day at midnight.

Add This Time ___
Enter a time to execute the action and then click the Plus button to add the time to the list.

Time List
Displays a list of times that you add with the Plus button.
The Magnifier button displays the Add Time Wizard.

To remove a time, select a time in the Time List and click the Minus button. To clear the list, click the X button.

Time Period
Enter whether you want the action to start every day, week, or month.

Start
Select the date that you want the event starts to execute a task.

note Related Topics
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener


Hot Keys

Executes a task that should be started manually. You can set up a combination of hot keys, such as CTRL + ALT + F. For example, you could set up a combination of hot keys to start Internet Explorer from your keyboard every time you want to browse the Internet.

Tip
· The Tray Icon triggering event also allows you start processes manually.

Hot Keys
Place your cursor in the box and press the keys you want on the keyboard. For example, press the ALT key to see "Alt" appear in the box.

note Related Topics
Scheduler
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener


Tray Icon

Executes a task when you double-click a specific icon in the system tray of the Windows Taskbar. This is useful when you want a specific action to start, such as checking e-mail.

Tip
· The Tray Icon triggering event also allows you start processes manually.

File Name
Enter the name and path of an .Exe or .Dll file to select an icon from. You can click the browse button to select a file.

Current Icon
Displays icons available from the file that you select in the File Name box.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Scheduler
Hot Keys
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener


Cyclic

Executes a task at the interval in seconds that you specify. This is useful if you want to repeat a series of actions at a specific interval. For example, you can ping your web site every two minutes or check for new e-mails every five minutes.

Interval (Sec)
Enter the number of seconds that you want the task or actions to wait between loops.

note Related Topics
Scheduler
Hot Keys
Tray Icon
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener


File Monitor

Executes a task when a file is created, deleted, or changed.

· General tab
· Save Changes tab

General tab

Folders
Select the folders that are monitored. Each folder can be monitored with subfolders. When you click the Plus button, the Add Folder for Watch dialog box appears.

Include Masks (Comma Separated)
Enter one or more masks separated with commas. The wildcard mask "*.*" means that all files are being monitored.

Exclude Masks (Comma Separated)
Specify one or more masks for the kinds of files that you do not want to monitor. Separate each entry with a comma. Files that match these criteria do not appear on the result list.

Tip
You can also use wildcards in this option. Some examples of wildcards are the following:
· *.txt - all the files with the .txt extension.
· mydoc?.doc - mydoc1.doc, mydoc2.doc, mydocA.doc, and so forth.
· *.tmp, *.$$$, *.bak - all the files with the .tmp, .$$$ and .bak extensions.
· {bakext} - file mask(s) from the {bakext} variable.

Filter Condition
Select one or more check boxes to specify which changes in files you want to monitor:
· Watch for New Files
· Watch for Deleted Files
· Watch for Changed Files
· Time Changed
· Size Changed
· Attributes Changed

Poll Interval (Sec)
Enter the time in seconds that you want the event to wait between requests for data.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

Save Changes tab

Save Changes
Click the check box to enable the task to save changes to files during the file monitoring session in a log.

Save in Common List
Enter the name of a log file that includes all changes during the file monitoring session. Click the browse button to select a file on the local system.

List File Name
Enter the file name of the log. Click the browse button to select a file on the local system.

Save in Different Lists
Click the check box to enable the task to save changes to file during the file monitoring session to several different logs based on the criteria you select.

Tip
· You can click a browse button next to each of the following options to select a file on the local system.

List File Name (for New Files)
Saves a log of the names of files created during the monitoring session.

List File Name (For Deleted Files)
Saves a log of the names of files deleted during the monitoring session.

List File Name (For Changed Files)
Saves a log of the names of the files modified during the monitoring session.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener


Dial-Up Connection Monitor

Executes a task when the computer completes or terminates a specific dial-up connection. You can specify that RoboTask check for a connection at a specific interval; for example, you can specify that RoboTask check for a dial-up connection every 300 seconds, or every five minutes.

Dial-up Connection
Select a connection in the dropdown list. The items on the list are the names of the Internet connections for dial-up modems that you create in Windows with Network Connections in the Control Panel.

Interval (sec)
Enter the number of seconds that you want the task to wait between checks.

What to Check
Click one of the following options to tell the task to check if the connection is active or disconnected:

· Disconnect
· Connect

note Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener


Window Watcher

Runs the task when you perform some actions with windows. This task can respond to creation, destruction, activation and deactivation of a window with specified parameters. Such task can be useful if you want to introduce automatic corrective actions that respond to an error message.

General
Window Caption
Specify the window title that should be traced. You can specify a specific part of the title if it shouldn't match completely. For example:
· - Microsoft Internet Explorer
· Notepad
You can select a title from the list of windows present in the system by clicking the button to the right of the text box. When captions are compared, the case is not taken into account.

Caption must match exactly
Select this checkbox if the caption should match exactly. In this case you should specify the full window title.

Window class
Specify the window class that should be traced. You can select a window class from the list of classes present in the system by clicking the button on the right of the text box.
When strings are compared, the case is not taken into account.

Class must match exactly
Select this checkbox if the window class string should match exactly.

Advanced
Watch hidden windows
Select this checkbox if you want the event to trace hidden windows.

Watch child windows
Select this checkbox if you want the event to trace child windows.

Assign window handle to variable
If you want to save Window Handle for further processing in the task, specify the name of the variable. Window Handle is a unique numeric identifier of a window in the system. It can be used in the Window Command action.

Watch For
Click one of the following window states:

· Window Activated - the event is triggered when a new or existing window is activated. For example, a window activates when a user presses ALT+Tab on the keyboard.
· Window Destroyed - the event is triggered when the window is closed.
· Window Created - the event is triggered when a new window is created.
· Window Deactivated - the event is triggered when a new or existing window is deactivated. For example, a window deactivates when a user presses ALT+Tab on the keyboard.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener


On Time Changed

Executes a task when the computer system time changes. No specific settings are associated with this triggering event.

note Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener


On Battery Power is Low

Executes a task when the computer battery is low on power. For example, you can use this triggering event to fire a message that displays on the screen, telling you to replace the computer battery on your laptop computer. No specific settings are associated with this triggering event.

note Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener


On Spooler Changed

Executes a task when the printer spooler has changed. For example, you can use this triggering event to display a message if a particular document is sent to a printer. No specific settings are associated with this triggering event.

note Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Device Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener


On Device Changed

Runs the task when a device (for example, CD or Flash Drive) is changed. The device name can be saved to a variable and used in the task.

Device Kind
Specify a type of device that triggers the task.
· All (Logical Volume & Port) - any type of device;
· Logical Volume - a logical volume mounted dynamically (CD, Flash Drive, etc.);
· Port - a COM or LPT port.

Change Kind
Specify a type of change that triggers the task.
· All (Arrival & Remove) - any type of event;
· Arrival - a device (drive) appears in the system. For example, you have inserted a new CD;
· Remove - a device is removed from the system. For example, you have pressed the eject button of the CD drive.

Assign Device Name to Variable
Specify a name of variable where you want to save the name of the device that has been changed.

note Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener


On Palette Changed

Executes a task when the display palette, or colors on the computer screen, for Windows changes. This can happen when you switch between an MS-DOS application and a Windows-based application. No specific settings are associated with this triggering event.

note Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Display Changed
On Log Off
On Idle
Listener


On Display Changed

Executes a task when the display on the computer screen changes. No specific settings are associated with this triggering event.

note Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Log Off
On Idle
Listener


On Log Off

Executes a task when a user logs off or the computer shuts down. No specific settings are associated with this triggering event.

note Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Idle
Listener


On Idle

Executes a task when the computer has been idle for a specified period of time.

Run Job When Computer Has Been Idle for ___ Minutes

Enter the time that you want in minutes.

note Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
Listener


Listener

Allows you to start a task when a command from another computer is received. Works together with the Send Command action. Performs the primary analysis of the received string and starts the corresponding task if the received string meets the specified conditions.

Wait For Option
Select the mode of waiting for a string.

· Any string - any received string will start the task. For example, it is convenient if you exchange messages that should be just recorded to the log.
· Beginning of String - the received string should start with the key substring.
· Substring - the key substring can be in any position of the received string.
· Exact String - the received string must exactly match the key string.

Wait for String
Specify the key string that will start the task. This parameter does not make sense if the "Any String" mode is on.

Case Sensitive
Select this checkbox if strings should be compared with their letter case taken into account.

Assign Received String to Variable
Specify the name of the variable if the received string should be assigned to a variable. This value can be used in the task.

The simplest sample use is message exchange: the Listener receives a string, assigns it to a variable and starts the task. The task displays this variable as an informational message.

Plugin settings
You can set up parameters of Network plugin.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

note Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
Listener
Network Plugin settings


Other software
Previous Top

etc

Express Thumbnail Creator
for Windows 98/ME/2000/XP/2003

Create professional-looking image galleries with a few mouse clicks.
All you have to do is to click a few buttons and watch your new gallery come alive!

Learn more...

NeoDownloader
for Windows 98/ME/2000/XP/2003

Download thousands of pictures, music and videos.
Forget about pop-ups, banners and saving every file manually - just let this fully automatic tool do the work for you.

Learn more...


 Add Folder for Watch Dialog Box

Folder Name
Enter the name of the folder that you want the task to monitor. Click the browse button to select folders on the local or remote computer.

Watch Subfolders
Click the check box to ensure the task monitors subfolders of the folder that you selected in the Folder Name box.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.


AddFolderButton

New Folder

Allows you to create a new folder and enter the name.


CollapseAllButton

Expand All

Hides the folders in the tree and displays only the top level folder.


.topic 1

RoboTask can easily automate any series of tasks on your computer system, whether you are a novice or advanced  user. You don't even have to know how to program—use RoboTask to build your own automated solutions quickly and easily. Yet RoboTask is powerful.

For example, RoboTask can help you avoid losing important data when you create a backup task for placing files on a remote server.

The software can manage and trigger a wide variety of repetitive tasks to save your valuable time. With RoboTask, you don't need complicated batch files or scripts.

Here are many examples of what RoboTask can do for you:

Runs applications and open documents.
Manages automatic backups.
Alerts you of any changes in your folders.
Shuts down Windows and powers off your computer triggered by any event you choose.
Processes files and folders (copies, moves, renames, deletes).
Works with FTP and Web servers (downloads, uploads, etc).
Sends letters and files by e-mail.
Starts and stops Windows NT services.
Sends network messages as WinPopups.
Acts as an alarm clock.
Much more!

RoboTask can be used for an unlimited number of tasks. When creating a task, you decide what the task needs to do and when. Every task has two parts:
1.	Actions
2.	Triggering events

Actions

First, you must decide what actions you want to accomplish. You can select built-in actions in RoboTask to accomplish the following:
Run applications.
Open or print documents.
Emulate your keystrokes.
File and folder processing (copy, move, delete, rename, synchronize folders).
Work with FTP servers (download, upload, rename, delete).
Work with e-mail (check for e-mail, send e-mail).
Work with ZIP files (pack files, extract files).
Work with windows (focus, maximize, minimize, restore, close, hide, unhide).
Flow control (if-then, file loop, text loop, dataset loop, and so forth).

Triggering events

A triggering event can be one of the following:
A specific time
When something happens on your computer.

Practically anything that happens on your computer can trigger RoboTask to perform an action. An example would be when RoboTask automatically updates a log and uploads it to a website whenever you receive an email with a subject that is a particular string of words or contains a word such as "Important".

The following are examples of triggering events:
Scheduler (at a specified time).
Hot Keys (when a special key is pressed).
Tray Icon (when you double-click it).
File Monitor (when a particular file is created, destroyed, changed, renamed).
Dial-up Connection Monitor (when a connection is made or broken).
Window Watcher (when a window is created, activated, closed, and so forth).
System Events (time, spooler, device, display changed, log on, log off, on idle).

  Related Topics
Getting Started in the RoboTask Window
Create Tasks
Run Tasks
Edit Tasks
Customize RoboTask

.topic 740

The following information introduces you to the RoboTask main window.

To learn about the RoboTask window, click buttons or other items, such as the panes, in the following picture.

Shortcut Menus

If you select a task in the Task Name column and right-click, the following commands appear on the shortcut menu:
Enabled - Allows the task to start automatically when a triggering event in the task occurs.
New -  Creates a new task.
Edit - Modifies the task that you select.
Delete - Removes a task.
Run - Starts a task.
Stop - Ends a task.
Duplicate - Copies a task. This is useful if you want to create a new task quickly and then modify it.
Create Shortcut - Adds a shortcut to the task on your desktop. This is useful if you want to quickly start a task without opening RoboTask.

If you point to the Log pane and right-click, the following commands appear on the shortcut menu:
Clear Log - Removes all messages from the Log pane.
Copy Selected to Clipboard - Copies the lines that you have selected in the Log pane and places them on the Windows Clipboard.
Select All - Selects all the lines in the Log pane so that you can quickly copy them.

  Related Topics
Create Tasks
Run Tasks
Edit Tasks
Customize RoboTask

.topic 1000

1.	Click Task > New.
2.	On the Actions tab, click the Add button.
3.	Select an action. Some of the actions require additional settings. A dialog box appears with specific settings that you can select.
4.	After entering the settings, click the Triggering Events tab.
5.	Click the Add button.
6.	Select a triggering event. Some of the triggering events require additional settings. A dialog box appears with specific settings that you can select.
7.	After entering the settings for the triggering event, click OK.
8.	To run your task, click the Run Selected Task button in the main window.

Tip
Some actions or triggering events do not have specific settings that you can enter.

  Related Topics
Getting Started in the RoboTask Window
Run Tasks
Edit Tasks
Customize RoboTask
Task > New

.topic 940

1.	In the right pane of the RoboTask window, select a task.
2.	Click Task > Run or press CTRL + ENTER on the keyboard
3.	In the right pane of the RoboTask window, the status column displays the results of running the task.

Tip
You can run a task without opening RoboTask. Select a task in the RoboTask window and click Task > Create Shortcut on Desktop. This adds a shortcut to that task on your desktop. You can double-click the task to start it.

  Related Topics
Getting Started in the RoboTask Window
Create Tasks
Edit Tasks
Customize RoboTask

.topic 930

1.	In the RoboTask window, select a task.
2.	Click Task > Edit.
3.	On the Edit Task dialog box, select the options that you want.

Tip
To remove a task from the list in the RoboTask window, select a task and click Task > Delete.

  Related Topics
Getting Started in the RoboTask Window
Create Tasks
Run Tasks
Customize RoboTask
Task > Edit

.topic 970

1.	Click Options > Settings.
2.	On the Preferences  dialog box, set the options you want.

  Related Topics
Getting Started in the RoboTask Window
Create Tasks
Run Tasks
Edit Tasks
Options > Settings

.topic 1020

Click Help > Purchase.

.topic 1030

RoboTask is distributed as try-before-you-buy. This means:

1.	All copyrights to RoboTask are exclusively owned by the author - NeoWise Software.
2.	Anyone may use this software during a test period of 30 days. Following this test period of 30 days or less, if you wish to continue to use RoboTask, you must purchase it.
3.	Once purchased, the user is granted a non-exclusive license to use RoboTask on one computer (i.e. a single CPU), for any legal purpose, at a time. The licensed RoboTask software may not be rented or leased, but may be permanently transferred, if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions.
4.	The RoboTask trial version may be freely distributed, provided the distribution package is not modified. No person or company may charge a fee for the distribution of RoboTask without written permission from the copyright holder.
5.	ROBOTASK IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.
6.	You may not use, copy, emulate, clone, rent, lease, sell, modify,  decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution. All rights not expressly granted here are reserved by NeoWise Software.
7.	Installing and using RoboTask signifies acceptance of these terms and conditions of the license.
8.	If you do not agree with the terms of this license you must remove RoboTask files from your storage devices and cease to use the product.

Thank you for using the original RoboTask.

NeoWise Software
http://www.robotask.com

.topic 1420

RoboTask is a trademark of NeoWise Software.

Microsoft, the Windows logo, Windows, and Windows NT are registered trademarks of Microsoft Corporation. All other brands and product names are trademarks or registered trademarks of their respective owners.

.topic 1340

For building complex automation schemes, RoboTask provides two types of variables that you can use in actions and triggering events:
System variables that are pre-defined.
User variables that you can define yourself.

When you insert a variable name as a parameter or part of a parameter in an action or triggering event, the variable content is processed, instead of the variable name.

For example, if you want to show a message containing the day of the week, you should use the {DayOfWeek} variable.

When you run the task that contains the {DayOfWeek} variable, the variable is replaced by the name of current week day. If you insert this variable in a Show Message action that includes the message defined as "Today {DayOfWeek}!", when you run this task on Wednesday, the following message displays: "Today Wednesday!".

You can use as many variables as you need in an event or action. Any time that you define the same parameter many times, you should use a variable. This allows you to change the variable in one place and all your tasks that contain the variable update automatically.

Variables that Contain Other Variables

You can even use variables within other variables; this is useful if you want to specify a value of a variable for other variables. For example, you can define a variable with a name {Yesterday}.  {Yesterday} contains another variable with a value {MonthIncDays(-1)}/{IncDays(-1)}/{YearIncDays(-1)}. When you use the {Yesterday} variable, it returns yesterday's date.

#Arrays

To make your tasks even more powerful, you can use variables as arrays. This means you can specify more than one values separated with commas. To access the first value, use index 0: {MyVar(0)}. To access the second value, use index 1: {MyVar(1)}. And so on.

For example, if to add a variable with name {MyArray} and value One, Two, Three, you can use that variable as shown below:

{MyArray} = One, Two, Three
{MyArray(0)} = One
{MyArray(1)} = Two
{MyArray(2)} = Three

Another example:

{MyArray} = "First item", "Second item", "Third item"
{MyArray(0)} = First item
{MyArray(1)} = Second item
{MyArray(2)} = Third item

  Related Topics
Create a Variable
Add Variables to a Task
Options > Variables

.topic 1670

RoboTask allows you to save intermediate data in users variables. There is also a whole set of actions that cannot work without user variables. For instance, loops. While using variables, you should remember about some peculiarities.

User variables are global for all tasks
It means that one and the same variable is visible, can be used and can be modified in any task. On the one hand, it is very convenient: data can be passed from one task to another. But on the other hand, if you have two tasks running simultaneously, they use one and the same variable and it is done unintentionally, you may get a completely unexpected result.

Tip
If you use variables that are not supposed to be used in other tasks, use special prefixes of this task in the names of these variables.
For example:
TSK1_Counter, TSK1_CurrentFile, etc.

RoboTask saves user variables for future sessions
Variables you create in tasks are stored until you remove them using the «RoboTask variables» form (Options | Variables) or the «Remove Variable» action inside the task. When you exit RoboTask, variables save their values for future sessions.
As a rule, variables make sense only for the task they are created in and after using RoboTask for a while, you may get a rather long list of user variables that you do not need anymore.

Tip
Insert actions removing unnecessary variables at the end of tasks.

  Related Topics
Using Variables
Add Variables to a Task

.topic 1350

1.	To define a variable, click Options > Variables.
2.	On the User Variables tab, click the Add button.
3.	On the User Variable dialog box, enter the name of the variable in the Variable Name box.
4.	Enter the values in the Initial Values box.

Tip
In the Initial Value edit box, you can also type the names of other variables to define a variable.

  Related Topics
Using Variables
Add Variables to a Task
Options > Variables

.topic 1010

You can add variables to an action or triggering event contained in a task.

1.	When you create a task, on the Edit Task dialog box, select an action or triggering event.
2.	When you do this, some actions or triggering events display a dialog box in which you can enter specific settings for the action or event. On this dialog box, select a field and click the {V} button.
3.	On the RoboTask Variables dialog box, select a variable in the list and click the Select button.
4.	The variable appears in the field that you selected on the dialog box for the action or triggering event.

  Related Topics
Using Variables
Create a Variable
Options > Variables

.topic 1680

Each task runs in the background mode independently of other tasks. You can effectively use this feature while scheduling your tasks. Suppose you need to pack several independent folders into different archive files. You can create the following task:

Pack "Folder1" into "folder1.zip"
Pack "Folder2" into "folder2.zip"
Pack "Folder3" into "folder3.zip"

In this case, the task will pack Folder1, Folder2 and Folder3 one by one. That is, each next folder will be processed only after the previous one is packed.

The use of background processes would be more effective. In this case you need to create three different tasks and each of them will pack the corresponding folder. In this case, the main task will look like this:

Start task "Pack folder1" without waiting
Start task "Pack folder2" without waiting
Start task "Pack folder3" without waiting

Running such a task will be the same as running three tasks "Pack folder1", "Pack folder2" and "Pack folder3". Each of these tasks will run independently of the others and the total time of packing all three files will be a bit shorter than in case with successive processing.

  Related Topics
Task synchronization

.topic 1690

Let us try to make the task described in the previous section a bit more complicated. Suppose you need to pack three folders in three different files and then write them to a CD. As you remember, we have started three different tasks to pack the folders. It means that we must wait until all three tasks are finished before we can write the archives to a CD.
The "Wait for Task" action is used for that. Let us modify our task in the following way:

Start task "Pack folder1" without waiting
Start task "Pack folder2" without waiting
Start task "Pack folder3" without waiting
Wait for Task "Pack folder1" for 10 min.
Wait for Task "Pack folder2" for 10 min.
Wait for Task "Pack folder3" for 10 min.
Write files folder1.zip, folder2.zip, folder3.zip to CD

Thus, we start three simultaneous processes in order to pack the necessary data and after all three processes are sure to be finished, we write the archive files to a CD.

  Related Topics
Running tasks simultaneously
Wait for Task

.topic 1700

Sometimes we need to make some nonstandard calculation, analyze a string or modify it according to a certain algorithm. The Basic programming language will help you in that. The Basic plugin for RoboTask is not included in the main distribution package. You can download it from the RoboTask site and install additionally.
Basic is a simple and at the same time quite powerful programming tool oriented towards both beginners and professionals. You can use a BASIC script to access user and system variables in RoboTask, as well as other tasks. The BASIC plugin comes together with the full help on the BASIC language. The installation file also includes some sample uses. The description of the Evaluate and Basic script actions, as well as the mechanism of interaction with RoboTask is described below.
Almost anyone can learn how to write small procedures in the BASIC language. The use of BASIC in tasks extends available actions beyond the set of RoboTask actions. Experienced users can use Windows APIs and third-party COM objects in their procedures written in BASIC without any limitations.

  Related Topics
Evaluate
Basic script
Also see Basic language help

.topic 1710

RoboTask can run in two modes:

As a regular application
As an NT service

An NT service is started together with the operating system and runs even if you are not logged on. If you correctly create your tasks and configure triggering events, it will be enough just to switch on the computer for RoboTask to start doing what it is supposed to do. This mode is important for those computers that are used as servers in your office.

The NT service mode is not available on the Windows 9x/Me platform. The NT service mode is not installed by default. In order to install the RoboTask service, you should click the following shortcut in the system menu: Start | Programs | RoboTask | NT Service | Install Service.
The RoboTask group contains the following shortcuts for controlling the NT service mode:

Install Service - installs the RoboTask service on the system;
Uninstall Service - removes the RoboTask service from the system;
Reinstall Service - reinstalls the RoboTask service with the default parameters;
Start Service - starts the RoboTask service;
Stop Service - stops the RoboTask service.

  Related Topics
Custom variables
Running tasks simultaneously
Task synchronization
Using built-in Basic
Errors processing

.topic 1720

If there is an error occurs in any step during a task, RoboTask records an error message to the task log and stops the task by default. You can change this behavior. To do it, you should select the "Advanced" tab in the task editor and set the "If Error Occurred" parameter to "Continue Execution". In this case, the task will not be stopped in case of an error.
The system variable {IsError} is used to analyze if there was an error in the previous step. This variable contains "True" if there was an error in the previous step and "False" if there was no error in the previous step.

  Related Topics
Custom variables
Running tasks simultaneously
Task synchronization
Using built-in Basic
Running RoboTask as an NT service

.topic 750

Allows you to add a new task. After you select the command, the Add Task dialog box displays, allowing you to select the following tabs to create a task:
Actions tab
Triggering Events tab
Specific Settings tab

#Actions tab

Action List
Displays a list of the actions you have selected for the task you are creating or modifying. Click the Add button to add an action. Select an action in the Action List and click the Edit button to modify the action parameters.

When you start the current task, the actions run in the order in which they appear in this list.
Click the Ç & È buttons to move an action up or down in the order listed.

Add
Place the cursor in a row of the Action List where you want to add an action. You can then click the Add button to display a list of actions that you can add to the task.

Edit
Select an action in the Action List and click the Edit button to modify the parameters, or settings, for the action.

Remove
Select an action and click the Remove button to remove the action from the task.

Move Step Up
Select an action in the Action List and click Ç to move the action up in the list. This ensures the action runs earlier in the process when the task runs.

Move Step Down
Select an action in the Action List and click È to move the action down in the list. This ensures the action runs later in the process when the task runs.

Enabled
If the check box is cleared, the task is disabled and you must run it manually by double-clicking the task in the RoboTask window.

Tip
To change the Enabled setting, select a task in the RoboTask window and right-click.

#Triggering Events tab

Event List
Displays a list of the events you have selected for the task you are creating or modifying. The order in which events appear in the list does not matter.

Run When RoboTask Starts
If this check box is selected, the task will run automatically when RoboTask starts.

Run When RoboTask Quits
If this check box is selected, the task will run automatically when RoboTask quits.

Add
Click the Add button to display a list of events that you can add to the task.

Edit
Select an event in the Event List and click the Edit button to modify the parameters, or settings, for the event.

Remove
Select an event and click the Remove button to remove the event from the task.

#Advanced tab

Log Level

Select the status messages you want to record in the log file:
Nothing
Errors Only
Errors and Warnings
All Messages

Action After Completion

Select an option to run a task:
Nothing - Nothing happens when the task completes all actions.
Disable Task - The task is disabled when the task completes all actions. This is useful if you want to run a task once and save the task to use again later. You can change this later.
Delete Task - The task is removed from the computer permanently when the task completes all actions. This is useful if you want to run a task once and do not need it again. You cannot use the task again when you select this option and run the task.

  Related Topics
Task > Edit
Task > Delete
Task > Run
Task > Stop
Task > Duplicate
Task > Create Shortcut on Desktop
Task > Exit

.topic 770

Allows you to edit a task. After you select the command, the Edit Task dialog box displays, allowing you to select the following items to create a task:
Actions tab
Triggering Events tab
Specific Settings tab

  Related Topics
Task > New
Task > Delete
Task > Run
Task > Stop
Task > Duplicate
Task > Create Shortcut on Desktop
Task > Exit

.topic 780

Removes a task from the RoboTask and deletes its associated file.

  Related Topics
Task > New
Task > Edit
Task > Run
Task > Stop
Task > Duplicate
Task > Create Shortcut on Desktop
Task > Exit

.topic 790

Starts the task that you selected in the RoboTask window. This is useful for testing your task to ensure it runs correctly.

  Related Topics
Task > New
Task > Edit
Task > Delete
Task > Stop
Task > Duplicate
Task > Create Shortcut on Desktop
Task > Exit

.topic 800

Allows you to stop the task that you are running in the RoboTask window.

  Related Topics
Task > New
Task > Edit
Task > Delete
Task > Run
Task > Duplicate
Task > Create Shortcut on Desktop
Task > Exit

.topic 810

Copies the task that you have selected in the RoboTask window. This is useful if you want to quickly create several tasks and then edit them.

  Related Topics
Task > New
Task > Edit
Task > Delete
Task > Run
Task > Stop
Task > Create Shortcut on Desktop
Task > Exit

.topic 820

Adds a shortcut to the task on your desktop. This is useful if you want to quickly start a task without opening RoboTask window. After you select one or more tasks in the RoboTask window, click  Task > Create Shortcut on Desktop. The shortcut appears on your desktop with the name of the task.

For example, if you select a task named "Hello, World!" and click this command, a shortcut called "Hello, World!" appears on your desktop.

  Related Topics
Task > New
Task > Edit
Task > Delete
Task > Run
Task > Stop
Task > Duplicate
Task > Exit

.topic 830

Closes the RoboTask window and stops the software.

  Related Topics
Task > New
Task > Edit
Task > Delete
Task > Run
Task > Stop
Task > Duplicate
Task > Create Shortcut on Desktop

.topic 840

Displays or hides the log window at the bottom of the RoboTask window. The log window shows the results of the task that you run and any errors that occur.

  Related Topics
Options > View Toolbar
Options > Settings
Options > Variables

.topic 850

Displays or hides the buttons at the top of the RoboTask window. These buttons allow you to add, edit, run, and stop tasks.

  Related Topics
Options > View Log
Options > Settings
Options > Variables

.topic 860

Allows you to set preferences for RoboTask. You can set preferences for how RoboTask starts, plug-ins, or service mode.

General tab
Plug-ins tab
NT Service tab

#General tab

Minimize on Run
Click this check box so that RoboTask is minimized when you run the software.

Run on Windows Startup
Runs RoboTask as soon as Windows starts up.

Close as Minimize
If this option is selected, when you click the X button on the main window caption, RoboTask will minimize. This is useful for preventing of casual closing of RoboTask.

Task Folder
Set the folder where you want to save tasks that you create.  You can click the browse button to select a folder.

Log Folder
Enter a folder where you want to save log files. You can click the browse button to select a folder.

Max Log Size (in Lines)
Enter how many lines of data to record in a log file. For example, if you enter 300, the log file will contain no more than 300 lines of text.

#Plug-ins tab

List of Active Plug-ins
Displays a list of available plug-ins for RoboTask. You can get more information when you click the Information or About buttons.

Configure
Select a plug-in from the List of Active Plug-ins box and click Configure to enter settings.

Information
Displays a list of components for the plug-in that you have selected in the List of Active Plug-ins box.

About
Displays information about the company or authors of the plug-in that you have selected in the List of Active Plug-ins box.

#Service tab

On Windows NT, Windows 2000 and Windows XP you can run RoboTask as a Service. An Service is a background process that is loaded by the Service Control Manager of the Windows NT operating system. Services are usually loaded when Windows boots up, before anyone logs on.

Service mode is useful if you want to run a process in the background. However, services are background programs that run all the time and are activated automatically when Windows NT boots up. Services stop when Windows NT shuts down.

When RoboTask is Running as NT Service
Allows you to specify settings when you want to run RoboTask as a Service.

Logon Process as Specified User
Select this option if you want the RoboTask log on as Specified User and get its privileges.

Domain Name
Enter the name of the domain or server whose account database contains the specified UserName account.

User Name
Enter the name of the user account to log on to.

Password
Enter the password of the user account.

  Related Topics
Options > View Log
Options > View Toolbar
Options > Variables

.topic 870

Allows you to define variables for RoboTask. This command also displays a list of system variables available in RoboTask.
System Variables tab
User's Variables tab

Variables are strings that contain information such as drive, path, or file name. Variables can control the behavior of various processes. For example, the {TEMPDIR} system variable specifies the location where processes, such as tasks or programs, place temporary files.

You can not modify System variables, but can add, modify, or remove your own variables on the User Variables tab.

#System Variables tab

The System Variables tab displays a list of the system variables.

Categories
Displays a list of all the system variables and their values. You can click [All] to see a complete list or click one of the following categories:
Date & Time
Files & Folders
System Info
Window

Variables
Displays the system variable names and their descriptions.

#User's Variables tab

Name
Displays the name of the user variables that you create.

Value
Lists the value of the user variables that you set when you create or modify the variable.

Add
Allows you to create a new user variable to use in many tasks.

Edit
Allows you to edit the value of a variable.

Remove
Allows you to remove the selected variable.

  Related Topics
Options > View Log
Options > View Toolbar
Options > Settings

.topic 880

If this option is cleared, the tasks will not run automatically, i.e. all your tasks are disabled. You may run tasks only manually.

  Related Topics
Tools > Enable All Tasks in List
Tools > Disable All Tasks in List

.topic 890

Enables all tasks that are listed in the current task folder. To enable one task, double-click it and, in the appeared dialog window, select the Enabled check box and click OK.

  Related Topics
Tools > Enable Automation
Tools > Disable All Tasks in List

.topic 900

Disables all tasks that are listed in the current task folder. To disable one task, double-click it and, in the appeared dialog window, clear the Enabled check box and click OK.

  Related Topics
Tools > Enable Automation
Tools > Enable All Tasks in List

.topic 910

Displays this RoboTask Help.

  Related Topics
Help > Send Bug Report
Help > About

.topic 920

Displays a dialog window which allows to send a report about a bug you found to the developers of RoboTask. Enter information about a problem and then click the Submit button.

  Related Topics
Help > Help Topics
Help > About

.topic 760

Displays information about your version of RoboTask.

  Related Topics
Help > Help Topics
Help > Send Bug Report

.topic 1040

Use this action to run the application or open a document that you specify.  If a document is specified, the application associated with the document opens it.

Run Program/Open Document is one of the most commonly-used actions in RoboTask and one of the most powerful. The most common usage is to start an application or open a document and then send keystrokes or perform other interactive actions. For example, you can use this action to open a log file in Notepad immediately after you back up your files.

Program or Document File Name
Enter the file name of the target application or a document. If a document file is specified, the associated application is used to open it.

Parameters
Enter the parameters, if any. If the Program or Document File Name box specifies an executable file, you can specify the parameters to be passed to the application. The format of this parameter is determined by the application. If Program or Document File Name  box specifies a document file, the information in the Parameters box is ignored.

Default Folder
Specifies the default folder to start the task in. If not specified, the folder of the application is used.

Window
Specifies how an application is displayed when it is opened.

Wait Options
There are three choices:
Don't wait - the next action executes immediately after the program starts.
Wait until the application is ready for input - the next action executes only after the program started and is ready for input. This option is useful when you want to perform any interactive actions like Send Keystrokes.
Wait untill the application exits - the next action executes only after the program exits.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Print Document
Send Network Message
Send Keystrokes
Pause
Log Off
SQL Query
Wait for process
Comment

.topic 1050

Use this action to print one or more document files, such as Microsoft Word .Doc files, to the default printer. For example, you can use this action to automatically print daily backup logs.

Files to Print
Enter the files that you want to print. This is a required option. Wildcards are allowed. Click the Plus button to add files to the list. To clear the list, click the X button.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Run Program/Open Document
Send Network Message
Send Keystrokes
Pause
Log Off
SQL Query
Wait for process
Comment

.topic 1070

Sends keystrokes to a window that you specify or the window that is currently in focus. After you have opened an application programmatically, you can use this action to access menu commands using shortcut, or hot, keys, such as ALT + F to open the File menu. Send Keystrokes is one of the most powerful actions for manipulating applications.

Target
Specifies the window to send the keystrokes to. There are two choices:
Current Window - the keystrokes are sent to the currently focused window.
Specified Window - the specified window will be focused and the keystrokes are sent to it.

Part of Window Caption
Enter the caption, or part of the caption, of the window to send keystrokes to. This option is available only when you the Specified Window option is selected.

Fixed Window
Click this check box when you want to prevent a user from switching windows during the time that the action runs.

Keystrokes
Specifies the keystrokes that the action sends to the window. For the alpha-numeric characters, type these keys on the keyboard. For the special keys, such as Esc, F11, Left Arrow Key, and Ctrl+Alt+A, click the Insert a Key button.

Insert a Key
Click this button to insert special keys such as Esc, F11, Left Arrow Key, and Ctrl+Alt+A. You can also insert a pause between keystrokes to give time for program operations, such as opening a file.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Run Program/Open Document
Print Document
Send Network Message
Pause
Log Off
SQL Query
Wait for process
Comment

.topic 1090

Completes one of the following actions:
Logs off the current user,
Shuts down the computer,
Restarts the system.

For example, you can use this action to automatically shut down a computer every night after your defragger program finishes cleaning up your hard drive.

Action
Select one of the following values:
Shut down the computer
Shut down the computer and power off
Restart the computer
Log Off

  Related Topics
Run Program/Open Document
Print Document
Send Network Message
Send Keystrokes
Pause
SQL Query
Wait for process
Comment

.topic 1080

Waits for a specified number of milliseconds and then continues executing tasks. This action is useful when you want to perform extensive operations that require a delay between actions.

For example, you might want to create a pause between printing a document and closing it to prevent a printer error. This pause allows time for the document to spool.

Pause
Enter the number of milliseconds * 100.

  Related Topics
Run Program/Open Document
Print Document
Send Network Message
Send Keystrokes
Log Off
SQL Query
Wait for process
Comment

.topic 1640

Executes an SQL query. This action is useful when you want to update a database. If you want to SELECT from a database, use the Dataset Loop action instead.

Connection String
A string with attribute/value pairs for information required to log on to a database and point to a specific database. Click the browse button to open the Microsoft Data Link Properties dialog box. You can press F1 to access Help about this dialog box.

SQL Query
Enter the query string in SQL syntax.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Run Program/Open Document
Print Document
Send Network Message
Send Keystrokes
Log Off
Pause
Wait for process
Comment

.topic 1730

Pauses the task and waits until the selected process (processes) is finished. After the monitored process is finished, the task is resumed. If the specified process is not in the memory at the moment when the action is due, the task is not paused.
This action is necessary to synchronize your task with an external application. For example, you may need to wait until the packing program finishes its work before you can copy the packed file to the Backup folder.

Process
You can either select the process from the list of processes that are currently running or type its name manually. You do not have to write the full path to the EXE file if it does not matter where this application was launched from.

If more than one matching process
If there are several running processes matching the specified one at the moment when the action is due, you can specify one of three modes

Wait for Oldest - wait until the process launched first from the matching group is finished;
Wait for Newest - wait until the process launched last from the matching group is finished;
Wait for All - wait until all matching processes are finished.

Waiting
This parameter defines the timeout in seconds to wait until the process is finished. You can also specify an infinite timeout.
If the timeout is over, but the process is not finished, the action will generate the following error: Timeout is over.

Assign Exit Code of Process to Variable
If you select waiting for one process (Wait for Oldest or Wait for Newest), you can assign its exit code to a user variable. A lot of console utilities (for example, packing software) can use this code to inform the application that initialed them about errors in their work.

  Related Topics
Run Program/Open Document
Print Document
Send Network Message
Send Keystrokes
Log Off
Pause
SQL Query
Comment

.topic 1740

This action does nothing and is used only as a visual comment for the task.

  Related Topics
Run Program/Open Document
Print Document
Send Network Message
Send Keystrokes
Log Off
Pause
SQL Query
Wait for process

.topic 1100

Displays a message box that displays custom text or plays a sound file. For example, you can use this action to display a message and play a sound every time your backup finishes archiving the files.

Tip
The message box displayed by this action has an OK button. You can display a message box with a Yes and No button with the Question Dialog action.

Show Message
Click this check box to display the message box.

Message Text
Enter the text for the message box.

Message Icon
Select the style of the icon for the message box:
Exclamation

Information

Question

Error

Play Sound
Click this check box to play a sound. When you click the check box, you can click the browse button to select a .wav file on the computer.

Test
Click this button to ensure that the parameters for the current action work.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Question Dialog
Open Dialog
Save Dialog
Browse for Folders
Browse for Computers
Input Box

.topic 1110

Displays a message box with specified text and two buttons: OK&Cancel or Yes&No. For example, after your system is backed up, you can use this action to display a message asking you if you want to open the log file.

Question Text
Enter the text for the message box.

Buttons
Click to set the style of buttons that appear on the message box.
OK & Cancel
Yes & No

Action
Select an option to specify an action when user clicks a button:
Stop task
Assign variable

Stop Task On
Select an option to specify when the task stops when the user clicks a button on the message box:
Cancel/No
OK/Yes

Auto Choice
Click an option to specify when the task continue or stops if a user does not select a button on the message box.
None
Cancel/No
OK/Yes

After ___ Sec.
Enter the number of seconds to wait before implementing the button that you selected in the Auto Choice area.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

Test
Click this button to ensure that the parameters for the current action work.

  Related Topics
Show Message/Play Sound
Open Dialog
Save Dialog
Browse for Folders
Browse for Computers

.topic 170

Displays a dialog box that allows you to open file. You can set the title of the dialog box, the initial folder, and the type of files a user can open.

For example, you can use this action in a task in which you might want to select file for uploading to FTP server.

Dialog Caption
Enter the caption of the dialog box. For example, you could enter a caption "Open Log Files" for the dialog box.

Initial Folder
Set the folder that you want as the starting folder for the dialog box. For example, you could enter "My Documents" or "Daily Backups." Click the browse button to select a folder.

Filter
Enter the criteria for including file types that you want the dialog box to open. These types appear in options for opening files on the dialog box, such as Files of Type. Click the ... button to add types with the Filter Editor dialog box. You can click a field in this dialog box and add file type extensions and a name for the file type.

Assign Selected File Name to Variable
Enter a variable name to store the selected file name to; for use in other actions of task.

Assign This Value if No File Selected
Assign a value to store if no file is selected, i.e. the Cancel button was clicked.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Show Message/Play Sound
Question Dialog
Save Dialog
Browse for Folders
Browse for Computers

.topic 180

Opens a dialog box that allows users to save a file. You can specify the title of the dialog box, the start folder, and which types of files a user can save. For example, you might want to use this action that copies a file and you want to specify where to copy the file.

Dialog Caption
Enter the caption of the dialog box. For example, you could enter a caption "Save Log Files" for the dialog box.

Initial Folder
Set the folder that you want as the starting folder for the dialog box. For example, you could enter "My Documents" or "Daily Backups." Click the browse button to select a folder.

Filter
Enter the criteria for including file types that you want the dialog box to save. These types appear in options on the dialog box, such as Files of Type. Click the ... button to add types with the Filter Editor dialog box. You can click a field in this dialog box and add file type extensions and a name for the file type.

Assign Selected File Name to Variable
Enter a variable name to store the selected file name to; for use in other actions of task.

Assign This Value if No File Selected
Assign a value to store if no file is selected, i.e. the Cancel button was clicked.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Show Message/Play Sound
Question Dialog
Open Dialog
Browse for Folders
Browse for Computers

.topic 190

Displays a dialog box that allows users to browse folders on a local or remote drives. You can set the title of the dialog box, the start folder, and what type of files a user can select. For example, if you create a task that downloads files from Internet, you can display this dialog box so you can select where to save the downloaded files.

Dialog Caption
Enter the caption of the dialog box. For example, you could enter a caption "Select Destination Folder" for the dialog box.

Initial Folder
Set the folder that you want as the starting folder for the dialog box. For example, you could enter "My Documents" or "Daily Backups." Click the browse button to select a folder.

Filter
This option is not available for this action.

Assign Selected Folder Name to Variable
Enter a value to store the selected file name in a variable expression for use in other actions or tasks.

Assign This Value if No Folder Selected
Assign a value to store if no folder is selected, i.e. the Cancel button was clicked.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Show Message/Play Sound
Question Dialog
Open Dialog
Save Dialog
Browse for Computers

.topic 200

Displays a dialog box that allows a user to select computers on the local network. You can set the title of the dialog box and other settings. For example, in a task that sends a network message, you can select a computer to send a message to.

Dialog Caption
Enter the caption of the dialog box. For example, you could enter a caption "Browse Backup Server" for the dialog box.

Initial Folder
This option is not available for the Browse for Computers action.

Filter
This option is not available for the Browse for Computers action.

Assign Selected Computer Name to Variable
Enter a variable name to store the selected computer name to; for use in other actions of task.

Assign This Value if No Computer Selected
Assign a default value to store if no computer is selected.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Show Message/Play Sound
Question Dialog
Open Dialog
Save Dialog
Browse for Folders

.topic 1650

Displays an input dialog box that lets the user enter a string and assigns the entered value to a specified variable.

Prompt String
Specify the text that prompts the user to enter input in the edit box.

Assign Entered Value to Variable
Enter a variable name to store the entered value to; for use in other actions of task.

Assign this Value, if Cancel Pressed
Assign a default value to store if Cancel is pressed.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

Test
Click this button to ensure that the parameters for the current action work.

  Related Topics
Show Message/Play Sound
Question Dialog
Open Dialog
Save Dialog
Browse for Folders
Browse for Computers

.topic 1120

Copies or moves one or more files that you specify. You can set the source and the destination. Wildcards are allowed. For example, you can use this action to copy backup archives from your computer to another computer on the network.

Files
Enter the files you want to copy or move. Wildcards are allowed. Use the Plus buttons to add files to the list. To clear the list, click the X button.

Destination Folder
Enter the folder to which you want to move or copy the files. You can click the browse button to find folders.

If File Exists
Specify the action to take if a file already exists in the destination location.
Overwrite - replaces the destination file with the file you are copying or moving.
Rename - renames the source file when you copy or move it to the new location.

Recurse to Subfolders
Copies or moves all the files in the subfolders of the current directory.

Move
Deletes the original files after you copy or move them to a new location.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Rename File
Delete File
Write Text File
Search for Files
Change Folder
Create Folder
Rename Folder
Remove Folder
Synchronize Folders
Wait for file

.topic 1130

Renames one or more specified files. Wildcards are allowed. For example, you can copy the files to another folder and automatically rename them using this action.

Files
Enter the files you want to rename. Use the Plus buttons to add files or folders to the list. To clear the list, click the X button.

Rename To
Enter the name or partial name for the new filename. You can use a wildcard if you want to rename part of the filename.

Recurse to Subfolders
Renames the files in the subfolders of the current directory.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Copy/Move File
Delete File
Write Text File
Search for Files
Change Folder
Create Folder
Rename Folder
Remove Folder
Synchronize Folders
Wait for file

.topic 1140

Deletes one or more files you specify. Wildcards are allowed. For example, you can use this action to automatically delete cookies from your Internet cache every day to protect your privacy and computer security.

Files
Enter the files you want to delete. Use the Plus buttons to add files or folders to the list. To clear the list, click the X button.

Delete to Recycle Bin
Moves files to the Windows Recycle Bin. Use this flag to prevent possible data loss.

Recurse to subfolders
Deletes the files in the subfolders of the current directory.

Delete Folders
Removes the subfolders. This option works only with wildcards.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Copy/Move File
Rename File
Write Text File
Search for Files
Change Folder
Create Folder
Rename Folder
Remove Folder
Synchronize Folders
Wait for file

.topic 1150

Creates a text file with the specified text. For example, you can write a text file listing which user is logged into a computer at a particular time.

Text File
Enter the name of the text file to save. You can click the browse button to select a file.

Text
Enter the text that you want saved in the file.

If File Exists
Specify the action to take if a file already exists in the destination location.
Overwrite - replaces the destination file with the new file.
Append - append specified text at the end of existing text file.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Copy/Move File
Rename File
Delete File
Search for Files
Change Folder
Create Folder
Rename Folder
Remove Folder
Synchronize Folders
Wait for file

.topic 1160

Looks for files and creates a file list. This action is useful with pre-defined variables, such as %TextFile(file_name)%. You can create a file list, such as a list of all .Png files, and then use this in a list of actions, such as copying, moving, or deleting files.

General tab

Search for Files
Enter the file path with file mask that you want to search for. Use the Plus buttons to add files or folders to the list. To clear the list, click the X button.

Exclude Masks (Comma Separated)
Enter one or more file masks separated with commas that you do not want to search.

Recurse to Subfolders
Searches the files in the subfolders of the specified folder.

Save File List To
Enter a path and name for a file that contains a list of the files that were searched. Click the List Format tab to set other options for this list.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

Date Filter tab

All Files
Select this option to search all files.

Find Files Created or Modified
Click this option to search files according to one of the following criteria:
Between
Newer Than ___ Months
Newer Than ___ Days
Older Than ___ Months
Older Than ___ Days

List Format tab

Without Path Name
Lists files without the path names (i.e. file names only).

Insert Text Before
You can specify a text that will be inserted at the beginning of the list file.

Insert Text After
You can specify a text that will be inserted at the end of the list file.

Insert Text Before Each Line
You can specify a text that will be inserted at the beginning of each line.

Insert Text After Each Line
You can specify a text that will be inserted at the end of each line.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Copy/Move File
Rename File
Delete File
Write Text File
Change Folder
Create Folder
Rename Folder
Remove Folder
Synchronize Folders
Wait for file

.topic 210

Allows you to the change the current folder. This is useful if you need to set the current folder during a series of actions or tasks. This action is useful with other file actions like copy, move.

Folder Name
Enter the name of the destination folder. You can click the browse button to select a folder.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Copy/Move File
Rename File
Delete File
Write Text File
Search for Files
Create Folder
Rename Folder
Remove Folder
Synchronize Folders
Wait for file

.topic 220

Makes a new folder on a local or remote drive. For example, you could automatically create a new folder for your backups based on the current date.

New Folder Name
Enter the name for the new folder. You can click the browse button to select a folder.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Copy/Move File
Rename File
Delete File
Write Text File
Search for Files
Change Folder
Rename Folder
Remove Folder
Synchronize Folders
Wait for file

.topic 230

Renames a existing folder. For example, if you have copied a folder with files, you can rename the original folder.

Old Folder Name
Enter the original name of the folder. You can click the browse button to select a folder.

New Folder Name
Enter the new name for the folder.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Copy/Move File
Rename File
Delete File
Write Text File
Search for Files
Change Folder
Create Folder
Remove Folder
Synchronize Folders
Wait for file

.topic 240

Deletes a existing folder. For example, if you have archived your company financial reports every week for the past year, you can create a task that automatically deletes folders that are more than a year old.

Folder Name
Enter the name of the folder that will be removed.

Remove Folder if It's Not Empty
If this option is selected, the specified folder will be deleted even it is not empty (i.e. contains files and subfolders), otherwise the specified folder will be deleted only if it is not empty (i.e. does not contain files and subfolders).

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Copy/Move File
Rename File
Delete File
Write Text File
Search for Files
Change Folder
Create Folder
Rename Folder
Synchronize Folders
Wait for file

.topic 1170

Synchronizes the two folders that you specify. The synchronization method may be bi-directional or uni-directional. For example, if you travel a lot, you might want to create a task that synchronizes data in a folder on your laptop computer and a folder on your desktop computer.

Folder 1
Enter the first folder that you want to synchronize. You can click the browse button to select a folder.

Folder 2
Enter the second folder that you want to synchronize.

Swap Folders
Click to place the folder listed in Folder 2 in the Folder 1 box and the folder in Folder 1 in the Folder 2 box.

Include Masks (Comma Separated)
Enter one or more masks separated with commas to specify which files to synchronize, such as *.exe, *.cnt, *.hlp. The default  wildcard mask "*.*" means that all folders and files are synchronized. You can specify one or more masks separated by commas.

Exclude Masks
Enter one or more masks separated with commas to specify which files to skip in the synchronization. You can specify one or more masks separated by commas; for example, *.bak, *.old, *.$$$.

How to Synchronize
Select one of the following options:
Folder 1 <=> Folder 2 (Bi-directional) - new or newer files that are available in Folder 1 are copied to Folder 1, and vice versa.
Folder 1 ==> Folder 2 (Uni-directional) - only new or newer files that are available in the Folder 1 are copied to Folder 2; the contents of Folder 2 does not affect the contents of Folder 1.

Include Subfolders
Click this check box to synchronize all files in the subfolders.

Exact Copy in Folder 2
Available only with unidirectional synchronization when you select Folder 1 ==> Folder 2. This option ensures that files that are available in Folder 2, but not in Folder 1, are deleted.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Copy/Move File
Rename File
Delete File
Write Text File
Search for Files
Change Folder
Create Folder
Rename Folder
Remove Folder
Wait for file

.topic 2140

Pauses the task and waits until the selected file will be available. After the monitored file is been available, the task is resumed. If the specified file is not opened in another process at the moment when the action is due, the task is not paused.

Wait for file
You can either select the file name or type its name manually.

Waiting
This parameter defines the timeout in seconds to wait until the process is finished. You can also specify an infinite timeout.
If the timeout is over, but the process is not finished, the action will generate the following error: Timeout is over.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Copy/Move File
Rename File
Delete File
Write Text File
Search for Files
Change Folder
Create Folder
Rename Folder
Remove Folder
Synchronize Folders

.topic 1180

Creates and adds files to zip files. You can use this action to back up your files. For example, you can use this action to create a task that automatically zips weekly status reports files so that they can be copied to the central server for company summary reports every month.

Files to Zip
Enter the files you want to add to a zip file. Wildcards are allowed. Use the Plus buttons to add files or folders to the list. To clear the list, click the X button.

Destination File
Enter the filename for the resulting .zip archive.

Action
Select one of the following actions for creating or adding to the zip file:
Add and replace files - add all files to the archive.
Freshen existing files - add only changed files to the archive.
Move files - add files to the archive and remove them from the local folder.
Update and add files - add only changed or new files to the archive.

Compress
Select one of the items on the dropdown list to determine the level of compression, or size, of the archive file:
Maximum - creates the smallest zip file possible, while requiring the most time to create the archive.
Normal -  creates a slightly compressed zip file taking the usual amount of time to create the zip file.
Fast - produces slightly less compression than Normal.
Super Fast - produces an archive with even less compression than Fast and Normal.
None - produces an archive file that is not compressed. This level of compression is the fastest.

Folders

Include Subfolders
Click this check box to include the subfolders in the archive. Files are archived with the paths stored in the archive file.

Junk Folder Names
Does not include folder paths in the archive file. For example, if you add C:\documents\*.doc, the .doc files are included into the root folder of the zip archive.

Store Filenames in 8.3 Format
Ensures that filenames are stored with the 8.3 name format, such as foo_mon.txt, especially important for FAT file systems.

Include System and Hidden Files
Archives system and hidden files in the zip file.

Password
Enter a password that is required to unzip the archive, if you want to protect the file.

Comment
Enter a memo note for the zip file.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Extract Files

.topic 1190

Extracts files from an existing ZIP file to the folder that you specify. For example, you can create a task that automatically unzips files when you download .zip files to your hard drive.

File to Unzip
Enter the name of the zip file to extract files from.

Destination Folder
Enter the destination folder where you want to extract files.

Files to Extract
Enter the names of the files to unzip from the zip file, separated by commas. If left blank, all files are unzipped.

Overwrite Existing Files
Click to allow the extracted files to overwrite existing files with the same name.

Skip Older Files
Click to ensure the files in the zip archive are not extracted if they are older than the existing files on the local computer.

Use Folder Names
Click this check box to extract files and the directory paths that are archived in the zip file. For example, if a file is zipped with the path \temp\foo.txt, a \temp folder is created in the local directory and the foo.txt file is unzipped to that folder.

Password
Enter the password for the zip file, if the zip file is password-protected.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Pack Files

.topic 1200

Checks to see if email exists on a POP3 server that you specify. For example, you can create a task that checks e-mail in the morning and the evening automatically for you, thus minimizing distractions during your work day.

POP3 Server
Enter the POP3 server for e-mail.

Port
Enter the port number. The default port number is 110.

Username
Enter the user name for the e-mail account on the mail server.

Password
Enter the password for the e-mail account.

Stop this Task if
Enter whether you want the current task to do one of the following before e-mail is downloaded from the mail server:
Mail is Waiting - stops the task if mail is on the mail server.
Mail is Not Waiting - stops the task if mail is not on the mail server.

  Related Topics
Send Email
Download Files
Ping Host

.topic 1210

Sends email through the specified SMTP server. Messages can have attachment files. For example, you can create a task that automatically e-mails monthly invoices to a specific customer outlining the sales charges for that month.

Message tab

From
Enter the e-mail address of the person sending the e-mail.

To
Enter the e-mail address to which you are sending the e-mail.

CC
Enter the address of any people to which you want to send a courtesy copy.

Subj
Enter the subject of the e-mail.

Message Text
Enter the text that you want to send. If you enter .html tags, click the Is HTML check box.

Tip
You can cut and paste .html code from Notepad into this window with the CTRL+V keys.

Is HTML
Click this check box if you have entered .html tags in the Message Text box.

Attachments
Click the plus button to add attachments to the e-mail. You can add more than one attachment. Click the X button to remove attachments from the list.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

SMTP Server tab

Host
Enter the name of the host to which you want to send the e-mail using SMTP (simple mail transfer protocol).

Port
Enter the port number to use.

Authentication Required
Click this check box if the remote mail server requires user authentication and enter the user name and password to log into the remote server.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Check for Email
Download Files
Ping Host

.topic 1220

Downloads one or more files through the Internet from specific Web or FTP sites. For example, if you are participating in a beta test program for new software, you can automatically download updates to the beta software on a daily basis so that you stay up-to-date.

Important
Wildcards are not supported.

Files to Download
Enter the http, https or ftp URLs that you want to download.

Save in Folder
Enter the path of the folder in which you want to save the files.

If File Exists
Click an option to determine whether to overwrite existing files with the downloaded file or rename the downloaded file.
Rename
Overwrite

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Check for Email
Send Email
Ping Host

.topic 380

Allows you to send a ping message to a host. This action sends Internet Control Message Protocol (ICMP) Echo Request messages to verify IP-level connectivity to another TCP/IP computer. The action receives a receipt of corresponding Echo Reply messages, along with the round-trip times. Ping Host is based on the Ping command, the primary TCP/IP command used to troubleshoot connectivity, reachability, and name resolution.

For example, in a backup task, you can use this action to check to see if a host is up before you start a process to copy files to that host.

Host Name
Enter the name or IP address of the host.

Timeout (Msec)
Indicates the amount of time, in milliseconds, for the action to wait for the Echo Reply message that corresponds to a given Echo Request message to be received. If the Echo Reply message is not received within the time-out, the "Request timed out" error message is displayed.

Assign Reply Time to Variable (Msec)
Enter a variable name for the reply time that you want to assign to.

Assign This Value if Host Does Not Respond
Enter a value to assign if the host does not respond to the Ping message.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Check for Email
Send Email
Download Files

.topic 250

Allows you to log on to an Ftp site, or remote server. For example, you can create a task to automatically Ftp updated daily reports from a co-worker's computer every day.

Host
Enter the name of the remote host that you want to log into.

Port
Enter the number of the port that you want to use. The default port is 21.

Authentication

Connect as Anonymous
Click this check box if the remote server allows anonymous logins.

Username
Enter the name of the log in account.

Password
Enter the password of the log in account.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
FTP Log Off
FTP Download
FTP Upload
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP Remove Folder
FTP PWD
FTP Transfer Type
FTP Command
FTP File Loop

.topic 260

Allows you to log off an Ftp site, or remote server. No specific settings are associated with this action. For example, when you work from home, you can create a task that Ftps daily files that you have worked on to a remote server in your company's network to protect your data.

  Related Topics
FTP Log On
FTP Download
FTP Upload
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP Remove Folder
FTP PWD
FTP Transfer Type
FTP Command
FTP File Loop

.topic 270

Copies remote files to the local computer using the current file transfer type. For example, if you are participating in a software beta program, you can download daily updates automatically to stay up-to-date.

Tip
Click the {V} button to insert a variable that holds the name of the local file or the remote folder.

Remote File
Enter the name of the remote file that you want to copy to the local computer.

Local Folder
Enter the path and name of the local directory to which you want to copy the remote file.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
FTP Log On
FTP Log Off
FTP Upload
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP Remove Folder
FTP PWD
FTP Transfer Type
FTP Command
FTP File Loop

.topic 280

Allows you to place files on an Ftp site. For example, if you must post daily updated financial reports to a web site, you can create a task to automatically upload the updated reports to the company web site at the end of each day.

Tip
Click the {V} button to insert a variable that holds the name of the local file or the remote folder.

Local File
Enter the name of the local file that you want to copy to the remote server.

Remote Folder
Enter the path and name of the directory on the remote server.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
FTP Log On
FTP Log Off
FTP Download
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP Remove Folder
FTP PWD
FTP Transfer Type
FTP Command
FTP File Loop

.topic 290

Allows you to change the name of files on a remote server. For example, in an FTP session, you can use this action to rename files that you might accidentally overwrite on the remote server with updated files.

Tip
Click the {V} button to insert a variable that holds the new file name or the old file name.

Old File Name
Enter the name of the file that you want to rename.

New File Name
Enter the name that you want to give the file.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
FTP Log On
FTP Log Off
FTP Download
FTP Upload
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP Remove Folder
FTP PWD
FTP Transfer Type
FTP Command
FTP File Loop

.topic 300

Allows you to remove files from a remote server. For example, you can use this action to remove old backup files on the remote server that are no longer needed.

Remote File
Enter the path and file name that you want to delete on the remote server. Click the {V} button to insert a variable that holds the path and name of the file.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
FTP Log On
FTP Log Off
FTP Download
FTP Upload
FTP Rename File
FTP Change Folder
FTP Create Folder
FTP Remove Folderr
FTP PWD
FTP Transfer Type
FTP Command
FTP File Loop

.topic 310

Allows you to switch the current folder on a remote server. For example, during an FTP task that backs up your files, you can use this action to copy files to different directories on the remote server.

Remote Folder
Enter the path or folder name on the remote server that you want to switch to. Click the {V} button to insert a variable that holds the name of the folder.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
FTP Log On
FTP Log Off
FTP Download
FTP Upload
FTP Rename File
FTP Delete File
FTP Create Folder
FTP Remove Folder
FTP PWD
FTP Transfer Type
FTP Command
FTP File Loop

.topic 320

Allows you to create a new folder on a remote server. For example, during an FTP task, you can use this action to create a new folder based on the current date for each set of daily backup files.

Remote Folder
Enter the path or folder name on the remote server that you want to create. Click the {V} button to insert a variable that holds the name of the folder.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
FTP Log On
FTP Log Off
FTP Download
FTP Upload
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Remove Folder
FTP PWD
FTP Transfer Type
FTP Command
FTP File Loop

.topic 330

Allows you to delete a folder on a remote server. For example, you can create a task to remove company reports that are more than six months old from the remote server.

Remote Folder
Enter the path or folder name on the remote server that you want to remove. Click the {V} button to insert a variable that holds the name of the folder.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
FTP Log On
FTP Log Off
FTP Download
FTP Upload
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP PWD
FTP Transfer Type
FTP Command
FTP File Loop

.topic 340

Allows you to print the current directory on the remote computer. No specific settings are associated with this action. For example, if you want an automatic print out of company financial reports on a remote server every day, you can use this action.

  Related Topics
FTP Log On
FTP Log Off
FTP Download
FTP Upload
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP Remove Folder
FTP Transfer Type
FTP Command
FTP File Loop

.topic 350

Sets or displays the type of file you are transferring. For example, if you are transferring Microsoft Word reports to the company server every day, you must set the transfer type to binary. The default transfer type is binary.

Transfer Type
Select whether you want to transfer the files as ASCII or binary during an FTP session. You should select ASCII when you want to transfer files that contain text strings, such as .html, .txt, or .xml. You should use Binary when transferring executable files, such as Office documents, .Exe files, and so forth. In binary mode, files are transferred in one-byte units.

  Related Topics
FTP Log On
FTP Log Off
FTP Download
FTP Upload
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP Remove Folder
FTP PWD
FTP Command
FTP File Loop

.topic 360

Allows you to execute custom FTP commands.

Command
Enter the name of the command that you want to execute.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
FTP Log On
FTP Log Off
FTP Download
FTP Upload
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP Remove Folder
FTP PWD
FTP Transfer Type
FTP File Loop

.topic 370

Executes a series of commands on files or folders on a remote server during an FTP session.

Loop Kind
Select the items you want to perform actions on: folders only, or files only.

Remote Folder
Enter the path or folder name on the remote server.

Save Results
Enter information about how you want to save the result of the file loop.

Assign File Name to Variable
Click this box and then click the {V} button to assign the file name to that variable. This allows you to use the file name string in other actions or tasks.

Assign File Size to Variable
Click this box and then click the {V} button to assign the file size to that variable. This allows you to use the file size data in other actions or tasks.

Assign Last Update Time to Variable
Click this box and then click the {V} button to assign the time the file was last updated to that variable. This allows you to use the last update time information in other tasks or actions.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
FTP Log On
FTP Log Off
FTP Download
FTP Upload
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP Remove Folder
FTP PWD
FTP Transfer Type
FTP Command

.topic 1230

Establishes or disconnects a Windows RAS connection, also known as Dial Up Networking.  Usually this feature is used to make a connection to the Internet and then complete a task and disconnect from the Internet. For example, you can create a task to automatically connect to the Internet every morning and check e-mail.

Dial-up Connection
Select the name of the dial-up connection that you want to connect or disconnect. You create this connection in the Windows Control Panel.

How to Use the Dial-up Connection
Select one of the following options to specify the action on the connection:
Disconnect this Connection - breaks the connection to the Internet or remote network.
Establish this Connection - connects the computer to the Internet or remote network.

Connection Parameters
Enter the following optional parameters to establish a connection:
Domain
Username
Password
Callback Number
Number of Attempts

  Related Topics
Check connection

.topic 1750
Checks the status of the selected dial-up connection and assigns the corresponding value to a user variable: TRUE if the connection is active and FALSE otherwise. This value can be later used in the "IF Then" action as a Boolean one.

Dial-Up connection
Select the connection you need from the list.

Assign Connection Status to Variable
Specify the name of the variable the status of the connection should be assigned to.

  Related Topics
Dial Up/Hang Up

.topic 390

Creates a new variable when you run a task. If you create a variable and then use it in several different tasks, you can change the variable once and update every task at the same time.

Variable Name
Enter the name of the variable you want to set the value of.

Variable Value
Enter the value that you want to set for the variable.

  Related Topics
Set Variable
Remove Variable
Increment Variable
Delimited variable

.topic 400

Defines the value of a variable when you run a task.

Variable Name
Enter the name of the variable you want to set the value of.

Variable Value
Enter the value that you want to set for the variable.

  Related Topics
Create Variable
Remove Variable
Increment Variable
Delimited variable

.topic 410

Deletes a variable when you run a task. This ensures that all variables are cleared from memory if a new task starts.

Variable Name
Enter the name of the variable you want to delete.

  Related Topics
Create Variable
Set Variable
Increment Variable
Delimited variable

.topic 1660

Increments or decrements a variable by a specified value.

Variable Name
Specify a variable name you want to increment or decrement

Increment by
Enter a positive or negative value

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Create Variable
Set Variable
Remove Variable
Delimited variable

.topic 1760
Turns a string with any delimiters into a standard comma-separated string. This standard comma-separated string can be used in user variables as an array.

String to process
Specify the string to process. You can use variables.

Delimiters
Select which delimiters should be processed. You can select one or several delimiters.

Quote Char
Specify the character that should be interpreted as quotation marks.

Assign standard comma-separated text to variable
Specify the variable the processed string should be assigned to.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Create Variable
Set Variable
Remove Variable
Increment Variable

.topic 420

Enables a task. Disabled tasks cannot run automatically, i.e. their triggering events are disabled.

Task
Select a existing task.

  Related Topics
Disable Task
Start Task
Stop Task
Wait for Task

.topic 430

Disables a task. Disabled tasks cannot run automatically, i.e. their triggering events are disabled.

Task
Select a existing task.

  Related Topics
Enable Task
Start Task
Stop Task
Wait for Task

.topic 1240

Runs a task. This action is useful if you want to run several tasks in a series. For example, you can create several different tasks in a series based on certain conditions that are detected in the following order:

1.	A task that connects to the Internet and checks the e-mail server,
2.	A task that logs off if no e-mail is present,
3.	A task that displays a message box if you have received e-mail.

Task
Select a existing task.

Wait for Finish
Click this check box to ensure that the Start Task action starts a task and waits for completion of that task, then continues running. If the check box is clear, the action starts a task and continues running immediately.

  Related Topics
Enable Task
Disable Task
Stop Task
Wait for Task

.topic 1610

Allows you to stop the selected task.

Task
Select the task you need from the list.

  Related Topics
Enable Task
Disable Task
Start Task
Wait for Task

.topic 1620

Waits until the selected task is finished. This actions pauses the current task until the selected task is finished. If the selected task in not running at the moment when the action is due, the current task is not paused.
If the selected task is not finished during the specified timeout, the "Timeout is over" error is generated.

Task
Select a task from the list.

Waiting
Specify the timeout in seconds to wait for the task to be finished. You can also specify an infinite timeout.

  Related Topics
Enable Task
Disable Task
Start Task
Stop Task

.topic 440

Allows a task to iterate through the results of a file search. For example, you can create a task that searches all the employee status reports and identifies all status report files for the first of the month.

General tab

Search for Files
Enter the files that you want to include in the loop. You can click the browse buttons to the right of the list to add files, add folders, and remove items from the list.

Exclude Masks (Comma Separated)
Enter one or more file masks separated by commas for files that you do not want to include in the loop.

Recurse to Subfolders
Click this check box to include subfolders in the loop.

Assign Current Filename to Variable
The current filename and path to the file in the loop is stored in the variable that you specify. You can use this information in other actions.

Without Full Path
Click this check box to save only the filename and not the path to the variable.

Assign File Size to Variable
The current file size in the loop is assigned to the variable that you specify. You can use this information in other actions.

Assign File Time to Variable
The current time of the file in the loop is assigned to the variable that you specify. You can use this information in other actions.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

Data Filter tab

All Files
Click this option to include all files in the file loop.

Find Files Created or Modified
Enter dates and times to include files for certain time periods in the loop.
Between
Newer Than ___ Months
Newer Than ___ Days
Older Than ___ Months
Older Than ___ Days

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Text Loop
Dataset Loop
Simple Loop
End Loop
Break
Continue
If Then
Else
End If

.topic 450

Allows a task to iterate through all lines of the text that you specify. You can enter text in the parameters of the action or you can refer to a text file.

External Text File
Enter the path and name of text file or click the browse button to select a text file.

Specified Text
Enter the text you want to loop through.

Store Current Line to Variable
Enter a variable name to store with the current line of text.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
File Loop
Dataset Loop
Simple Loop
End Loop
Break
Continue
If Then
Else
End If

.topic 460

Allows a task to iterate through the values of the results of an SQL query.  For example, you might create a task that connects to the company human resources database and queries for all records of employee sick leave reports every month and saves a report to a file.

Important
You must be familiar with SQL syntax to use this action.

Connection String
A string with attribute/value pairs for information required to log on to a database and point to a specific database. Click the browse button to open the Microsoft Data Link Properties dialog box. You can press F1 to access Help about this dialog box.

SQL Query
Enter the query string in SQL syntax.

Assign Field Names to Variable
Stores the field names separated by commas in a specified variable.

Assign Field Values to Variable
Stores the field values separated by commas in a specified variable.

With Memo Fields
Specifies that the query should include memo fields.

Store Memos as "Comma Text"
Indicates that the memo fields should be stored as comma delimited text.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

Test SQL
Allows you to test the SQL syntax of your query.

  Related Topics
File Loop
Text Loop
Simple Loop
End Loop
Break
Continue
If Then
Else
End If

.topic 1770

Enumerates windows existing in the system and allows you to assign their parameters to variables. You can use these values inside the loop.

General

Assign Window Caption to variable
You can specify the variable you want to assign the window caption to. If you clear this checkbox, the window caption will not be saved.

Assign Window Class to variable
You can specify the variable you want to assign the window class to. If you clear this checkbox, the window class will not be saved.

Assign Window Handle to variable
Specify the variable you want to assign the window handle to. You cannot disable this option because the handle of a window is its unique identifier. You can use the value of this variable in the "Window Command" action.

Window Filters

Process Hidden Windows
If you want to enumerate hidden windows, you should select this checkbox. By default, Window loop enumerates only visible windows.

Process Child Windows
Select this checkbox to enumerate child windows.

Window caption
You can use this parameter to apply a filter to the captions of windows. Either select the caption you need from the list or type it manually.

Window class
You can use this parameter to apply a filter to the classes of windows. Either select the class you need from the list or type it manually.
The "Window caption" and "Window class" lists depend on the "Process Hidden Windows" and "Process Child Windows" checkboxes.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
File Loop
Text Loop
Dataset Loop
Simple Loop
End Loop
Break
Continue
If Then
Else
End If

.topic 470

Allows a task to iterate through a loop.

Start From
Enter the number at which to start the loop.

To
Enter the number at which to end the loop.

Destination Variable
Stores the current value of the loop. For example, if you enter 1 in the Start From box and 5 in the To box, then, in the first iteration, the destination variable contains 1. In the second iteration, the destination variable contains 2, and so forth.

  Related Topics
File Loop
Text Loop
Dataset Loop
End Loop
Break
Continue
If Then
Else
End If

.topic 480

Indicates the end of the loop block. Any loop, including a file loop, simple loop, and so forth, must contain the corresponding End Loop action.

  Related Topics
File Loop
Text Loop
Dataset Loop
Simple Loop
Break
Continue
If Then
Else
End If

.topic 490

Stops the execution of the current loop so that the task can continue executing the actions after the End Loop action. The Break action is often used in conjunction with the If Then action.

  Related Topics
File Loop
Text Loop
Dataset Loop
Simple Loop
End Loop
Continue
If Then
Else
End If

.topic 500

Skips all the actions between it and the End Loop action and begins a new iteration. No specific settings are associated with this action. The Continue action is used in conjunction with the If Then action.

  Related Topics
File Loop
Text Loop
Dataset Loop
Simple Loop
End Loop
Break
If Then
Else
End If

.topic 510

Allows a task to make a comparison of several conditions and execute actions based on that comparison.  You can use this action to run a specific statement or a block of statements, depending on the value of a condition. If...Then...Else statements can be nested to as many levels as you need.

Important
The If Then action must be used in conjunction with the End If action.

Compare Values As
Select the type of data for the expressions that you want to compare.
As String - compares two values with alphanumeric characters.
As Number - compares two integer values.
As Date and Time - compares two date/time values.
As Boolean - checks for a true/false or yes/no condition. If you select this option, the If Value Is option appears, allowing you to select the condition of the Boolean.

If Value Is
Appears if you select As Boolean in the Compare Values As area. This option allows you to set the value of the Boolean check. You can select false for certain actions to occur if a condition does not exist. You can select true for certain actions to occur if a condition does exist.

First Operand
Enter the value of the first expression you want to compare.

Comparison Type
Select the operator for the comparison from the following:
= Equal to
<> Not equal
>= More than or equal to
> More
<= Less than or equal to
< Less than

Case Sensitive
Click to make the comparison dependent on whether upper case or lower case characters are used in the expressions.

Second Operand
Enter the value of the second expression you want to compare.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
File Loop
Text Loop
Dataset Loop
Simple Loop
End Loop
Break
Continue
Else
End If

.topic 520

Allows a task to execute an action if certain conditions are not met. This action is used in conjunction with the If Then action. You can use this action to run a specific statement or a block of statements, depending on the value of a condition. If...Then...Else statements can be nested to as many levels as you need. No specific settings are associated with this action.

  Related Topics
File Loop
Text Loop
Dataset Loop
Simple Loop
End Loop
Break
Continue
If Then
End If

.topic 530

Indicates the end of the If Then block.

  Related Topics
File Loop
Text Loop
Dataset Loop
Simple Loop
End Loop
Break
Continue
If Then
Else

.topic 1250

Manipulates certain windows that you specify.

Window Caption
Enter or select the caption of the window that you want to manipulate with the action you select in the Action list. You can enter part of a window caption.

Caption Must Match Exactly
Select this check box if you want to manipulate only the window that exactly matches the window caption you selected. This check box is cleared by default so that the task can manipulate windows that contain only part of the window caption entered in the Window Caption box. For example, you can enter <notepad> for the window with a caption <Untitled - Notepad>.

Action
Select the action for manipulating the window.
Focus - makes the window active.
Minimize - reduces the window to an icon on the Windows taskbar.
Maximize - restores the window to fill the entire screen.
Restore - restores the window to its previous state.
Close - closes the window.
Hide - hides the window from view on the screen and Windows taskbar.
Unhide  - displays the hidden window.

  Related Topics
Check for Window

.topic 1260

Checks to see if a window exists or is active. For example, you might want to create a task that starts your HotSync Manager for your Palm PDA every day and synchronizes the Palm device data with Outlook. You might want to check for the existence of the HotSync Manager window to ensure that it has started.

Window Caption
Select the name of the window from the dropdown list. The contents of this list vary with the applications currently launched on your computer.

Caption Must Match Exactly
Click the check box to check only windows that match the entire window caption. If this check box is clear, the action checks for windows that partially match the caption.

Check For
Select one of the following options to check for existing windows or windows that are open.

Window Exist
Window Active

Abort Task If
Stops task executing according with selected option:

Window Not Exists/Active - stops the task if the window does not exist or is not active.
Window Exist/Active - stops the task if the window exists or is active.

  Related Topics
Window Command

.topic 1270

Important
This action is available only on Windows NT 4, 2000, and XP.

Starts a service already installed on the local or remote NT server or workstation. A service is a special process that can be launched during operating system boot. The most important feature of a service is that you do not have to log on to the computer.

A service is started in the Local System account. You can start an existing service or a service that you created. Examples of services include FTP/HTTP servers, print spoolers, file sharing, and so forth.

Usually, Windows services do have not a user interface, but are managed through the Services applet of the Windows Control Panel, or a separate application or applet. Using the standard Services applet, you can start, stop, pause, or continue a previously installed service. The common way for a service to report a warning or error is recording an event into the system event log. You can review the log using the Event Viewer from Administrative Tools in Windows.

Computer Name
Enter the remote computer name. If you want to start a service on the local computer, use {ComputerName}. You can click the browse button to select a computer from the local area network.

Service
Select a service that you want to stop from the dropdown list. The items on this list depend on which services are present on the computer.

Parameters
Specify optional parameters for the service that you want to start.

Refresh
Click this button to refresh the Service list.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Stop Service
Lock Workstation

.topic 1280

Important
This action is available only on Windows NT 4, 2000, and XP.

Stops a service already installed and started on the local or remote server or workstation. For more information, see Start Service.

Computer Name
Enter the remote computer name. If you want to start a service on the local computer, use {ComputerName}. You can click the browse button to select a computer from the local area network.

Service
Select a service that you want to stop from the dropdown list. The items on this list depend on which services are present on the local computer.

Refresh
Click this button to refresh the Service list.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Start Service
Lock Workstation

.topic 540

This action submits a request to lock the workstation's display. Locking a workstation protects it from unauthorized use.

  Related Topics
Start Service
Stop Service

.topic 550

Collapses the RoboTask window and displays the RoboTask icon on the Windows Taskbar. No specific settings are associated with this action.

This action is useful if you do not want RoboTask to appear on the computer while the task runs.

  Related Topics
Restore RoboTask
Exit RoboTask
Enable Automation
Disable Automation
Log Message

.topic 560

Activates RoboTask and displays the RoboTask window on the computer screen. No specific settings are associated with this action.

This action is useful for system administrators who want to troubleshoot a process. For example, if a "critical error" occurs, you can use the Disable Automation action, trap an error message with the message box, and then use the Restore RoboTask action.

  Related Topics
Minimize RoboTask
Exit RoboTask
Enable Automation
Disable Automation
Log Message

.topic 570

Closes RoboTask. No specific settings are associated with this action.

  Related Topics
Minimize RoboTask
Restore RoboTask
Enable Automation
Disable Automation
Log Message

.topic 580

Enables task triggering. If task triggering is disabled, the tasks will not run automatically, i.e. all your tasks are disabled. You may run tasks only manually.

  Related Topics
Minimize RoboTask
Restore RoboTask
Exit RoboTask
Disable Automation
Log Message

.topic 590

Disables task triggering. If task triggering is disabled, the tasks will not run automatically, i.e. all your tasks are disabled. You may run tasks only manually.

  Related Topics
Minimize RoboTask
Restore RoboTask
Exit RoboTask
Enable Automation
Log Message

.topic 600

Records a message to the task's log. This action is a powerful tool for recording the results of actions when they occur in a log text file. This action is useful for system administrators who want to troubleshoot a process.

The log filename is based on the internal unique ID number of the task. Each task has an internal unique ID number and its filename is NNNNNNNN.tsk where NNNNNNNN is its ID number. The log file name is NNNNNNNN.log.

Important
You can set options for logging on the Advanced tab of the Add Task dialog box or the Edit Task dialog box.

Message Text
Enter the text that you want to appear in the message.

Message Type
Select a type, such as Information, Warning, or Message. The type determines the style of log message:
Information - a blue text and "i" icon appears.
Warning - an olive text and "!" icon.
Error - a red text and "X" icon.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Minimize RoboTask
Restore RoboTask
Exit RoboTask
Enable Automation
Disable Automation

.topic 1810

Cuts the selected text fragment (image) into the system clipboard from the active Windows application.

Do it by…
There are two ways to cut a fragment:
1.	by sending a Windows message to the corresponding edit element
2.	by emulating the key combination

It is recommended to use the second method because it is a universal mechanism for any application and any data type.

  Related Topics
Copy
Paste
Clear Clipboard
Get text
Put Text

.topic 1820

Copies the selected text fragment (image) into the system clipboard from the active Windows application.

Do it by…
There are two ways to copy a fragment:
1.	by sending a Windows message to the corresponding edit element
2.	by emulating the key combination

It is recommended to use the second method because it is a universal mechanism for any application and any data type.

  Related Topics
Cut
Paste
Clear Clipboard
Get text
Put Text

.topic 1830

Pastes the copied fragment from the system clipboard to the current Windows application.

Do it by…
There are two ways to paste a fragment:
1.	by sending a Windows message to the corresponding edit element
2.	by emulating the key combination

It is recommended to use the second method because it is a universal mechanism for any application and any data type.

  Related Topics
Cut
Copy
Clear Clipboard
Get text
Put Text

.topic 1840

Clears the system clipboard. It has no parameters.

  Related Topics
Cut
Copy
Paste
Get text
Put Text

.topic 1850

Assigns the text from the system clipboard to a variable. If the clipboard contains a graphic object or an object of some other type that cannot be converted into text, an empty string will be assigned to the variable.

Assign Clipboard Content to variable
Specify the variable the text from the system clipboard should be assigned to.

  Related Topics
Cut
Copy
Paste
Clear Clipboard
Put Text

.topic 1860

Copies the specified text into the system clipboard. You can take text from a file or type it directly in the "Specified text" field. User and system RoboTask variables can be used.

External Text File
Specify the name of the file to take the text from.

Specified Text
Type the fragment that should be copied into the clipboard.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Cut
Copy
Paste
Clear Clipboard
Get text

.topic 1900

Moves the mouse pointer to the specified object. You can select a control element in a window (button, menu, toolbar, etc.) or a window as an object.

To make editing this parameter more comfortable, you can drag the message "Drag this text to desired control" to the object you need. While you are moving the mouse pointer, elements recognized by RoboTask are highlighted with a frame. After you release the left mouse button, all the parameters are specified automatically depending on the position of the mouse pointer. After that you can edit the parameter manually if necessary.

Window caption
Specify the window caption completely or any part of it. If the caption does not matter, leave the field blank.

Window caption must match exactly
If you need the caption to match exactly the specified caption, select this checkbox. If you do not need the exact match, you can specify any part of the window caption.

Window class
Specify the window class completely. If the class does not matter, leave the field blank.

Control Text
Specify the text of the window control element completely or partially.

Control Text must match exactly
If you need the control text to match exactly the specified text, select this checkbox. If you do not need the exact match, you can specify any part of the control element text.

Control class
Specify the control class completely. If the class does not matter, leave the field blank.

Control position
Specify the coordinates of the control element. The values are specified relatively to the window. The coordinates of the control are necessary in order to identify the control element because the window may contain several elements with the same Control Text and Control Class.

Mouse Cursor Position
Specify the position of the mouse pointer relatively to the control element.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Click
Move

.topic 1910

Emulates a mouse click in the current position.

Button
Select the mouse button:
Left Button
Right Button
Middle Button.

Action
Select the action. There are 4 variants to choose from:
Click
Double Click
Button Down
Button release

  Related Topics
Move to object
Move

.topic 1920

Moves the mouse pointer the specified distance away from the current position or to the specified point.

Coordinates mode
Coordinates: absolute or relative.
Absolute coordinate - the absolute coordinates of a point on the screen will be specified in the next parameter.
Relative coordinates - the coordinates of a point on the screen relative to the current position of the mouse pointer will be specified in the next parameter.

Absolute or Relative coordinates
The coordinates of a point where the mouse pointer should be moved. The type of coordinates is determined by the previous parameter.

In order to set the coordinates interactively, you should drag the text in the upper part of the dialog box to the necessary point on the screen. The coordinate values will be specified automatically.

  Related Topics
Move to object
Click

.topic 1980

Adds a key (branch) to the registry.

Key Name
Name of the key to be added. You can use the dialog box to select the key interactively; to open it click the button to the right of the text box.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Delete Key
Rename Key
Read Value
Write Value
Delete value
Rename value
Export
Import

.topic 1990

Deletes the specified key (branch) from the registry. The specified key will be deleted together with all its subkeys and entries.

Key Name
Name of the key to be deleted. You can use the dialog box to select the key interactively; to open it click the button to the right of the text box.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Add key
Rename Key
Read Value
Write Value
Delete value
Rename value
Export
Import

.topic 2000

Renames the specified key (branch) of the registry

Key Name
Name of the key to be renamed. You can use the dialog box to select the key interactively; to open it click the button to the right of the text box.

New Key Name
A new name that will be given to the specified key.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Add key
Delete Key
Read Value
Write Value
Delete value
Rename value
Export
Import

.topic 2010

Read the specified value from the registry and assign it to the user variable. This action allows reading values of String and Integer types only.

Key Name
Full path to the value you want to read. You can use the dialog box to select the key and value interactively; to open it click the button to the right of the text box. When you click the OK button, the "Key Name" and "Value Name" fields will be filled, if you have selected the necessary value.

Value Name
Name of the value to be read. If you leave Value Name empty, RoboTask will read the default value of the key.

Assign to Variable
Name of the user variable that should be assigned the value we have read.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Add key
Delete Key
Rename Key
Write Value
Delete value
Rename value
Export
Import

.topic 2020

Write the value to the specified key in the registry. This action allows writing values of String and Integer types only.

Key Name
Full path to the value you'd like to write. You can use the dialog box to select the key and value interactively; to open it click the button to the right of the text box. When you click the OK button, the "Key Name" and "Value Name" fields will be filled, if you have selected the necessary value.

Value Name
Name of the value to be written.

Value Type
Select the type of value to be written: String or Integer.

Value
The value to be written.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Add key
Delete Key
Rename Key
Read Value
Delete value
Rename value
Export
Import

.topic 2030

Deletes the specified value from the registry.

Key Name
Full path to the value you'd like to delete. You can use the dialog box to select the key and value interactively; to open it click the button to the right of the text box. When you click the OK button, the "Key Name" and "Value Name" fields will be filled, if you have selected the necessary value.

Value Name
Name of the value to be deleted.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Add key
Delete Key
Rename Key
Read Value
Write Value
Rename value
Export
Import

.topic 2040

Renames the specified value in the registry.

Key Name
Full path to the value you'd like to rename. You can use the dialog box to select the key and value interactively; to open it click the button to the right of the text box. When you click the OK button, the "Key Name" and "Value Name" fields will be filled, if you have selected the necessary value.

Value Name
Name of the value to be renamed.

New Value Name
New name that will be assigned to the specified value.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Add key
Delete Key
Rename Key
Read Value
Write Value
Delete value
Export
Import

.topic 2050

Exports the specified registry branch to the specified file. The saved file has a format compatible with the REGEDIT.EXE system utility. This operation is useful when you make a backup copy of some information or move settings to another computer. You can easily import the export file using REGEDIT or the Import action of RoboTask.

Registry Key
The key (branch) of the registry that should be exported to a file. You can use the dialog box to select the key interactively; to open it click the button to the right of the text box.

File Name
Name of the file where information should be exported.

File Format
Choose the export file format.
Registration file (current format) - current default format for the installed operating system. For Windows 2000 and higher the format is Unicode text.
Win9/NT4 Registration File - old format that provides compatibility with Windows 9x/NT4. This format has a structure of a regular text file.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Add key
Delete Key
Rename Key
Read Value
Write Value
Delete value
Rename value
Import

.topic 2060

Imports the export file to the registry. The export file should be prepared with the REGEDIT.EXE system utility or the Export action.

File Name.
Name of the file to be imported.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Add key
Delete Key
Rename Key
Read Value
Write Value
Delete value
Rename value
Export
Import

.topic 1930

Allows you to send a string to a copy of RoboTask on another computer. This action works together with the "Listener" triggering event. The Listener event receives the string and can start some task according to its settings. Thus, you can synchronize several copies of RoboTask working on the local area network of your office or via the Intranet/Internet.

For example, it may be a command to pack IIS log files on the server and send the packed file by e-mail.

Host Name or IP Address
Specify the Host Name or IP address of the computer where you need to send the command. The Host Name can be either similar to www.mydomain.com for the Internet or just the name of the necessary computer for the local area network.

Port
Specify the port the command should be sent to. By default, the "Listener" listens to port 5254. The port number can be changed to any other number (see Plugin settings).

Access Password
Specify the password for connecting to remote RoboTask. If the Listener on remote RoboTask is configured to work without a password, leave this field blank.

Command
Specify the string (command) that should be sent to remote RoboTask. It can be any string. The "Listener" triggering event on the remote computer will analyze the string.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Send Network Message
Network Plugin settings
Listener

.topic 1060

Sends a text message using a local network area (LAN) connection to the specified computer. For example, you can use this action to display a message every time you receive an e-mail from a special customer when you are logged into a different computer on your network and cannot check your e-mail.

Computer Name
Enter the name of the computer or domain name that the message should be sent to. When the "*" symbol (without quotes) is specified, the message is broadcast to every computer in the primary domain of the system.

Important
If the Windows Messenger service is not running on the target computer, the message will not be received.

Message Text
Specifies the text of the message to be sent.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Send Command
Network Plugin settings
Listener

.topic 1940

The settings of the Network plugin are related to the "Listener" triggering event and set the global parameters of the "Listener".

Listener port
Specify the port the "Listener" will listen to. The default is 5254, but it can be changed for any other available port.

To Change Listener Access Password…
To change the access password for the Listener, specify the old password and enter the new password twice. By default, the password is empty, i.e. the access is granted without a password.

Encryption Required
Select this checkbox if you want to encrypt information when it is transferred between the computers. An 128-bit asymmetric encryption key is used for that. The key is generated randomly for each session.

IP Filter
You can use this tab to configure filtering requests by IP addresses. By default, the Listener is available for all IP addresses.

  Related Topics
Send Command
Send Network Message
Listener

.topic 2070

Opens a connection with the POP3 server. This action should be performed before you perform the "POP3 Mail Loop", "POP3 Download Email" and "POP3 Delete Email" actions. There can be only one open connection with the POP3 server within a task. If you need to process several mail servers one by one, you should close the previous connection before opening the next one (see the "POP3 close" action).

Host
IP-address or Host Name of the POP3 server.

Port
Port of the POP3 server. By default it's 110.

User Name
Name of the mailbox user.

Password
User password.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
POP3 Close
POP3 Mail Loop
POP3 Download Email
POP3 Delete Email
Parse Email
Check for Email
Send Email

.topic 2080

Closes the open connection with the POP3 server. It doesn't require any additional parameters. When a task is finished, the open server connection closes automatically.

  Related Topics
POP3 Open
POP3 Mail Loop
POP3 Download Email
POP3 Delete Email
Parse Email
Check for Email
Send Email

.topic 2090

Allows processing messages on the POP3 server one by one in a loop. This action also allows parsing main parameters of a message without downloading the complete message from the server. You can assign parameters of each message to a user variable and perform initial parse within a loop.

Order Number
This loop parameter is compulsory as the current order number of a message serves as its identifier on the POP3 server. The numbering of messages starts with 1. The variable that contains the number of a message should be used in the loop in "POP3 Download Email" and "POP3 Delete Email" actions.

Subject
Optional parameter. Allows saving the message subject to a variable and parsing it in the loop.

Sender (FROM)
Optional parameter. Allows saving the sender address to a variable and using it within the loop.

Receipt (TO)
Optional parameter. Allows saving the recipient address to a variable as a string and using it within the loop.

Carbon Copy (CC)
Optional parameter. Allows saving the address of the recipient (or recipients) of a message copy to a variable as a string and use it within the loop.

Message Size
Optional parameter. Allows saving the message size in bytes to a variable and using it within the loop.

Note:
Addresses in the message can be written in form of:
E-mail address only. For example:
john@yahoo.com
Recipient's name and address. For example:
John Smith <john@yahoo.com>
Several recipients separated with a semicolon. For example:
John Smith <john@yahoo.com>; Melissa Carver <melissa@hotmail.com>

  Related Topics
POP3 Open
POP3 Close
POP3 Download Email
POP3 Delete Email
Parse Email
Check for Email
Send Email

.topic 2100

Receives a message from the POP3 server and saves it to a file.

Order Number of Message
Order number of the current message. It can be generated in the "POP3 mail loop" using a variable or you can set it manually. If the message number is invalid, an "Invalid number of message" error will occur when the action is carried out.

Save Message to File
Specify the name of file where the message should be saved. You can use variables to generate the file name. By default, the
{TempDir}\{Year}{MonthNo}{Day}{Hours}{Minutes}{Seconds}{mSeconds}.eml
string is specified. It provides a unique name and makes it more convenient to sort files by the time when the message was received.

Extract Attachments to Folder
When you receive a message, you can extract all attachments to separate files. To do it, you should specify a folder where all attachments should be extracted.

If File Already Exists
Specify an action that should be performed if the application file already exists.
Rename - in this case a suffix with an order number will be added to the file name;
Overwrite - the file will be saved with the original name and the old file will be overwritten.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
POP3 Open
POP3 Close
POP3 Mail Loop
POP3 Delete Email
Parse Email
Check for Email
Send Email

.topic 2110

Deletes the email message from the POP3 server.

Order Number of Message
Order number of the message to be deleted. It can be generated in the "POP3 mail loop" using a variable or you can set it manually. If the message number is invalid, a "No such message" error will occur when is action is carried out.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
POP3 Open
POP3 Close
POP3 Mail Loop
POP3 Download Email
POP3 Delete Email
Parse Email
Check for Email
Send Email

.topic 2120

Parses message in the file. It separates the message into its main parts:
Message subject (the SUBJECT field);
Sender (the FROM field);
Recipient (the TO field);
Recipient of a copy (the CC field);
Message body (the text);
Attachments.

File Name
Specify the filename of the message you want to parse. Such files usually have EML extension.

General tab
Subject
Specify the name of variable where the message subject should be saved.

Sender (FROM)
Specify the name of variable where the sender's address should be saved.

Recipient (TO)
Specify the name of variable where the recipient's address should be saved. This field can contain several addresses separated with a comma or a semicolon.

Carbon Copy (CC)
Specify the name of variable where the address of the recipient of a copy should be saved. This field can contain several addresses separated with a comma or a semicolon.

Message Text tab

Assign Message Text to Variable
Specify the variable where the message body should be saved.

Prefer
Specify the format that should be preferred if the message body contains both message formats. The message body can contain the following formats:
Plain Text
HTML Text
If the message body contains one format only, this message text will be assigned to the variable no matter what value the Prefer parameter has.

Attachments tab
Extract Attachments to Folder
Specify the folder where all attachments should be extracted.

If File Already Exists
Specify an action that should be performed if the specified folder already contains a file with the application name.
Rename - in this case a suffix with an order number will be added to the file name;
Overwrite - the application will be saved with the original name and the existing file will be overwritten.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

Note:
Addresses in the message can be written in form of:
E-mail address only. For example:
john@yahoo.com
Recipient's name and address. For example:
John Smith <john@yahoo.com>
Several recipients separated with a semicolon. For example:
John Smith <john@yahoo.com>; Melissa Carver <melissa@hotmail.com>

  Related Topics
POP3 Open
POP3 Close
POP3 Mail Loop
POP3 Download Email
POP3 Delete Email
Parse Email
Check for Email
Send Email

.topic 1800

The Basic plugin is not included in the main installation package. You can download it additionally from http://www.robotask.com/downloads/.

.topic 1780

Allows you to make calculations using the functions of mathematical operations and BASIC functions. The result is assigned to a user variable.
This action is convenient when you need to make some small calculations without writing a Basic script.

Expression to Evaluate
Mathematical expression. The result can be of any type. For more details on expression syntax see description of BASIC language .

For example:

{TotalSize}/{FileCount}
Left(Right("{DateTime}",8),2)

Assign Result to Variable
Specify the variable the result should be assigned to.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

Test
Click this button to ensure that the parameters for the current action work.

  Related Topics
Basic script
Also see Basic help

.topic 1790

It is a universal tool allowing you to execute scripts written in BASIC. Scripts can be virtually as complicated as you need. You can use such a script to access the RoboTaskApp COM object allowing you to access service functions of RoboTask, as well as other tasks. The description of the RoboTaskApp object is given below.
See additional information about the BASIC language in the BASIC help.

Script source
You can select the script storage method

Internal - the script is stored in the task file in this case. This storage method is good for small scripts consisting of one or several procedures.
External Script - the script is stored in a separate file. This storage method is good for complex subroutines consisting of several modules (see the keyword "uses" or "include" in the Basic help).

  Related Topics
Evaluate
RoboTaskApp object
Also see Basic help

.topic 1960

There is no need to create the RoboTaskApp object when you are running or editing the script. It is created before you run the script and is available as a global object inside the script.

RoboTaskApp.AddUserVariable(By Val Name as String, By Val Value as String)
Creates a user variable with the specified "Name" and assign the specified "Value" to it.

RoboTaskApp.Automation
A Boolean attribute. It is available for reading and writing. It contains the value of the RoboTask automation mode.

RoboTaskApp.Close
Exits RoboTask.

RoboTaskApp.DelUserVariable(By Val Name as String)
Deletes the user variable with the specified "Name".

RoboTaskApp.ExpandText(By Val Text as String)
Expands a string containing RoboTask variables and returns the value of the string type.
For example: the string "File c:\autoexec.bat has length {FileSize(c:\autoexec.bat)} bytes" will be turned into the string "File c:\autoexec.bat has length 153 bytes"

RoboTaskApp.ExternalName(By Val ThreadID)
Returns the "External Name" of a task by its ThreadID. You can specify an External Name on the "Advanced" tab of the task editor. You can find out the ThreadID of the current task using the GetCurrentThreadId API function. A sample use is given below.

Declare Function GetCurrentThreadId Lib "kernel32" As Long

Sub Main
  Dim extName As String
  extName = RoboTaskApp.ExternalName(GetCurrentThreadId)
  MsgBox("External name is "+ extName)
End Sub

RoboTaskApp.Minimize
Minimizes RoboTask into the tray icon.

RoboTaskApp.Restore
Restores the RoboTask window from the tray icon.

RoboTaskApp.ServiceMode
The attribute is read-only. It contains a Boolean value: "True" if RoboTask is running as an NT service; "False" if RoboTask is running as a regular Windows application.

RoboTaskApp.SetUserVariable(By Val Name as String, By Val Value as String)
Sets the value of the "Name" user variable to the specified "Value"

RoboTaskApp.StartTask(By Val ExternalName as String)
Starts the task with the specified "External Name".

RoboTaskApp.StopTask(By Val ExternalName as String)
Stops the task with the specified "External Name".

RoboTaskApp.TaskCount
The read-only attribute of the numerical type. Returns the number of tasks registered in RoboTask.

RoboTaskApp.TaskEnabled(By Val ExternalName as String)
A Boolean attribute available for reading and writing. Allows you to read or set the "Enabled" parameter of the task with the specified "ExternalName".
For example:
RoboTaskApp.TaskEnabled("Check_email") = False

RoboTaskApp.TaskInfo(By Val NumTask as Long, ExtName as String, Name as String, ID as Long)
Sets the properties of the task with the specified number ("NumTask").
ExtName – External Name;
Name – task name;
ID – internal numerical identifier.
This method is used to enumerate all tasks and extract the parameter of each task. A sample use is given below.

Declare Function GetCurrentThreadId Lib "kernel32" As Long

Sub Main
    Dim cnt As Long
    Dim nam As String
    Dim extNam As String
    Dim id As Long
    Dim i As Long

    cnt = RoboTaskApp.TaskCount
    RoboTaskApp.WriteToLog(1,"Total "+Str(cnt)+" tasks",GetCurrentThreadId)

    For i  = 0 To cnt - 1
        RoboTaskApp.TaskInfo(i,extNam,nam,id)
        RoboTaskApp.WriteToLog(1,extNam+"; "+nam+"; "+Str(id),GetCurrentThreadId)
    Next
End Sub

RoboTaskApp.Version
A read-only attribute of the string type. Contains the version number of RoboTask in it.

RoboTaskApp.WHandle
A read-only attribute of the Long type. Contains the Handle of the main RoboTask window. This value is necessary for some Windows API functions to work properly (for example, SendMessage, PostMessage).

RoboTaskApp.WriteToLog(By Val MsgType as Integer, By Val MessageStr as String, By Val ThreadID as Long)
Records a message to the task log. To record a message to the system log of RoboTask, you should set the TreadID to 0.
MsgType – message type: 0 – regular message, 1 – warning, 2 – error;
MessageStr – message string
ThreadID – the Thread ID of the current task. It can be obtained using the GetCurrentThreadId API function. If you set it to 0, the message will be recorded to the system log of RoboTask.
A sample use is given below.

Declare Function GetCurrentThreadId Lib "kernel32" As Long

Sub Main
  Dim thr As Long
  thr = GetCurrentThreadId
  RoboTaskApp.WriteToLog(1, "Hello World", thr)
End Sub

  Related Topics
Evaluate
Basic script
Also see Basic help

.topic 1970

The CD/DVD Writer plugin is not included in the main installation package. You can download it additionally from http://www.robotask.com/downloads/.

.topic 1870

Allows you to write files to a CD/DVD. This operation is very useful for automating backup processes.

General tab

Select Device
Use the list to select the device files will be written to.

Destination Folder
Specify the folder to write files to. You can use RoboTask variables. For example, it can be useful for backups if you specify the folder name based on the current date: \{YEAR}{MONTHNO}{DAY}

Files to Write
Fill the list of files using the corresponding buttons. You can also fill it by dragging the necessary files and folders from a Windows Explorer window.

If File Exists
Specify what to do if the files being written already exist on the disk.

Write Options tab

Volume Name
The name of the disk being burned. You can specify the name explicitly or inherit the name from the imported session.

Write speed
Use the list to select the necessary record speed.

Allow Joliet File Names
Select this checkbox if you want to enable long file names.

Finalize Disk
Specify if it is necessary to finalize the disk. The disk will become read-only if it is finalized.

Use Buffer Protection
Buffer protection. It is recommended to enable this option in order to ensure that the disk is burnt continuously in case of possible problems with reading the source files.

For CD-R/CD-RW only
Specify the writing mode and whether it is necessary to cache information before writing it to the disk. These parameters make sense only when data is written to a ÑD-R/CD-RW and will be ignored when writing data to a DVD.

For DVD only
If it is known beforehand that the amount of the information is certainly more than 1 GB, you can enable the DVD High Compatibility option.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Erase Disk
Eject/Load CD Tray

.topic 1880

Allows you to erase the entire information from a CD/DVD RW.

Device
Select a device.

Erase Mode
Quick Erase and Full Erase modes.
If you use the Quick Erase mode, only the logical structure will be deleted without physically erasing the information from the disk. That is why the operation takes 1-1.5 minutes and the disk is considered empty and becomes available for writing.
In case with the Full Erase mode, the entire information is physically erased from the disk. Depending on the drive and disk, such an operation may take 20 minutes or longer. This operation ensures that it will be impossible to restore any data from the disk.

Eject After Complete
Select this checkbox if you want the drive to eject its tray after erasing is over.

  Related Topics
Write to disk
Eject/Load CD Tray

.topic 1890

Allows you to eject or load the tray of the CD drive.

Device
Select a device.

Action
Select whether to eject or load the tray of the CD drive.

  Related Topics
Write to disk
Erase Disk

.topic 1290

Executes a task at a given time or interval. For example, you can use this triggering event to ensure your backup runs every day at midnight.

Add This Time ___
Enter a time to execute the action and then click the Plus button to add the time to the list.

Time List
Displays a list of times that you add with the Plus button.
The Magnifier button displays the Add Time Wizard.

To remove a time, select a time in the Time List and click the Minus button. To clear the list, click the X button.

Time Period
Enter whether you want the action to start every day, week, or month.

Start
Select the date that you want the event starts to execute a task.

  Related Topics
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener

.topic 1300

Executes a task that should be started manually. You can set up a combination of hot keys, such as CTRL + ALT + F. For example, you could set up a combination of hot keys to start Internet Explorer from your keyboard every time you want to browse the Internet.

Tip
The Tray Icon triggering event also allows you start processes manually.

Hot Keys
Place your cursor in the box and press the keys you want on the keyboard. For example, press the ALT key to see "Alt" appear in the box.

  Related Topics
Scheduler
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener

.topic 1310

Executes a task when you double-click a specific icon in the system tray of the Windows Taskbar. This is useful when you want a specific action to start, such as checking e-mail.

Tip
The Tray Icon triggering event also allows you start processes manually.

File Name
Enter the name and path of an .Exe or .Dll file to select an icon from. You can click the browse button to select a file.

Current Icon
Displays icons available from the file that you select in the File Name box.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Scheduler
Hot Keys
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener

.topic 1360

Executes a task at the interval in seconds that you specify. This is useful if you want to repeat a series of actions at a specific interval. For example, you can ping your web site every two minutes or check for new e-mails every five minutes.

Interval (Sec)
Enter the number of seconds that you want the task or actions to wait between loops.

  Related Topics
Scheduler
Hot Keys
Tray Icon
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener

.topic 1320

Executes a task when a file is created, deleted, or changed.

General tab
Save Changes tab

#General tab

Folders
Select the folders that are monitored. Each folder can be monitored with subfolders. When you click the Plus button, the Add Folder for Watch dialog box appears.

Include Masks (Comma Separated)
Enter one or more masks separated with commas. The wildcard mask "*.*" means that all files are being monitored.

Exclude Masks (Comma Separated)
Specify one or more masks for the kinds of files that you do not want to monitor. Separate each entry with a comma. Files that match these criteria do not appear on the result list.

Filter Condition
Select one or more check boxes to specify which changes in files you want to monitor:
Watch for New Files
Watch for Deleted Files
Watch for Changed Files
Time Changed
Size Changed
Attributes Changed

Poll Interval (Sec)
Enter the time in seconds that you want the event to wait between requests for data.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

#Save Changes tab

Save Changes
Click the check box to enable the task to save changes to files during the file monitoring session in a log.

Save in Common List
Enter the name of a log file that includes all changes during the file monitoring session. Click the browse button to select a file on the local system.

List File Name
Enter the file name of the log. Click the browse button to select a file on the local system.

Save in Different Lists
Click the check box to enable the task to save changes to file during the file monitoring session to several different logs based on the criteria you select.

Tip
You can click a browse button next to each of the following options to select a file on the local system.

List File Name (for New Files)
Saves a log of the names of files created during the monitoring session.

List File Name (For Deleted Files)
Saves a log of the names of files deleted during the monitoring session.

List File Name (For Changed Files)
Saves a log of the names of the files modified during the monitoring session.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener

.topic 610

Executes a task when the computer completes or terminates a specific dial-up connection. You can specify that RoboTask check for a connection at a specific interval; for example, you can specify that RoboTask check for a dial-up connection every 300 seconds, or every five minutes.

Dial-up Connection
Select a connection in the dropdown list. The items on the list are the names of the Internet connections for dial-up modems that you create in Windows with Network Connections in the Control Panel.

Interval (sec)
Enter the number of seconds that you want the task to wait between checks.

What to Check
Click one of the following options to tell the task to check if the connection is active or disconnected:

Disconnect
Connect

  Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener

.topic 620

Runs the task when you perform some actions with windows. This task can respond to creation, destruction, activation and deactivation of a window with specified parameters. Such task can be useful if you want to introduce automatic corrective actions that respond to an error message.

General
Window Caption
Specify the window title that should be traced. You can specify a specific part of the title if it shouldn't match completely. For example:
- Microsoft Internet Explorer
Notepad
You can select a title from the list of windows present in the system by clicking the button to the right of the text box. When captions are compared, the case is not taken into account.

Caption must match exactly
Select this checkbox if the caption should match exactly. In this case you should specify the full window title.

Window class
Specify the window class that should be traced. You can select a window class from the list of classes present in the system by clicking the button on the right of the text box.
When strings are compared, the case is not taken into account.

Class must match exactly
Select this checkbox if the window class string should match exactly.

Advanced
Watch hidden windows
Select this checkbox if you want the event to trace hidden windows.

Watch child windows
Select this checkbox if you want the event to trace child windows.

Assign window handle to variable
If you want to save Window Handle for further processing in the task, specify the name of the variable. Window Handle is a unique numeric identifier of a window in the system. It can be used in the Window Command action.

Watch For
Click one of the following window states:

Window Activated  - the event is triggered when a new or existing window is activated. For example, a window activates when a user presses ALT+Tab on the keyboard.
Window Destroyed - the event is triggered when the window is closed.
Window Created - the event is triggered when a new window is created.
Window Deactivated - the event is triggered when a new or existing window is deactivated. For example, a window deactivates when a user presses ALT+Tab on the keyboard.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener

.topic 630

Executes a task when the computer system time changes. No specific settings are associated with this triggering event.

  Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener

.topic 640

Executes a task when the computer battery is low on power. For example, you can use this triggering event to fire a message that displays on the screen, telling you to replace the computer battery on your laptop computer. No specific settings are associated with this triggering event.

  Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener

.topic 650

Executes a task when the printer spooler has changed. For example, you can use this triggering event to display a message if a particular document is sent to a printer. No specific settings are associated with this triggering event.

  Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Device Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener

.topic 660

Runs the task when a device (for example, CD or Flash Drive) is changed. The device name can be saved to a variable and used in the task.

Device Kind
Specify a type of device that triggers the task.
All (Logical Volume & Port) - any type of device;
Logical Volume - a logical volume mounted dynamically (CD, Flash Drive, etc.);
Port - a COM or LPT port.

Change Kind
Specify a type of change that triggers the task.
All (Arrival & Remove) - any type of event;
Arrival - a device (drive) appears in the system. For example, you have inserted a new CD;
Remove - a device is removed from the system. For example, you have pressed the eject button of the CD drive.

Assign Device Name to Variable
Specify a name of variable where you want to save the name of the device that has been changed.

  Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Palette Changed
On Display Changed
On Log Off
On Idle
Listener

.topic 670

Executes a task when the display palette, or colors on the computer screen, for Windows changes. This can happen when you switch between an MS-DOS application and a Windows-based application. No specific settings are associated with this triggering event.

  Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Display Changed
On Log Off
On Idle
Listener

.topic 680

Executes a task when the display on the computer screen changes. No specific settings are associated with this triggering event.

  Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Log Off
On Idle
Listener

.topic 1330

Executes a task when a user logs off or the computer shuts down. No specific settings are associated with this triggering event.

  Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Idle
Listener

.topic 690

Executes a task when the computer has been idle for a specified period of time.

Run Job When Computer Has Been Idle for ___ Minutes

Enter the time that you want in minutes.

  Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
Listener

.topic 1950

Allows you to start a task when a command from another computer is received. Works together with the Send Command action. Performs the primary analysis of the received string and starts the corresponding task if the received string meets the specified conditions.

Wait For Option
Select the mode of waiting for a string.

Any string - any received string will start the task. For example, it is convenient if you exchange messages that should be just recorded to the log.
Beginning of String - the received string should start with the key substring.
Substring - the key substring can be in any position of the received string.
Exact String - the received string must exactly match the key string.

Wait for String
Specify the key string that will start the task. This parameter does not make sense if the "Any String" mode is on.

Case Sensitive
Select this checkbox if strings should be compared with their letter case taken into account.

Assign Received String to Variable
Specify the name of the variable if the received string should be assigned to a variable. This value can be used in the task.

The simplest sample use is message exchange: the Listener receives a string, assigns it to a variable and starts the task. The task displays this variable as an informational message.

Plugin settings
You can set up parameters of Network plugin.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

  Related Topics
Scheduler
Hot Keys
Tray Icon
Cyclic
File Monitor
Dial-Up Connection Monitor
Window Watcher
On Time Changed
On Battery Power is Low
On Spooler Changed
On Device Changed
On Palette Changed
On Display Changed
On Log Off
Listener
Network Plugin settings

.topic 2150

.topic 1370
Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

.topic 1400
Test
Click this button to ensure that the parameters for the current action work.

.topic 1410

.topic 1630

.topic 1390
Add Folder for Watch Dialog Box

Folder Name
Enter the name of the folder that you want the task to monitor. Click the browse button to select folders on the local or remote computer.

Watch Subfolders
Click the check box to ensure the task monitors subfolders of the folder that you selected in the Folder Name box.

Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.

.topic 1440
New Task

Allows you to add a new task. You can select actions and triggering events.

.topic 1450
Edit Task

Allows you to modify a task. You can edit the settings for actions and triggering events.

.topic 1460
Delete Task

Removes the task that you select in the main window.

.topic 1470
Run Task

Starts the task that you select in the main window.

.topic 1480
Stop Task

Stops the task that you select in the main window.

.topic 1490
Show/Hide Task Tree

Displays or hides the task tree at the left of the main window.

.topic 1500
Settings

Allows you to set preferences for RoboTask.

.topic 1510
New Folder

Allows you to create a new folder and enter the name.

.topic 2130
Note:
Addresses in the message can be written in form of:
E-mail address only. For example:
john@yahoo.com
Recipient's name and address. For example:
John Smith <john@yahoo.com>
Several recipients separated with a semicolon. For example:
John Smith <john@yahoo.com>; Melissa Carver <melissa@hotmail.com>

.topic 1590
Rename Folder

Allows you to rename the selected task folder.

.topic 1520
Remove Folder

Removes the task folder that you select.

.topic 1530
Expand All

Displays all the folders in the tree.

.topic 1540
Expand All

Hides the folders in the tree and displays only the top level folder.

.topic 1550
Folder Pane

Displays a tree of the task folders. This is useful for organizing your tasks.

.topic 1560
Task Name Column

Displays the name of the task.

.topic 1570
Status Column

Displays whether the task is enabled or disabled. You must run the task manually if the task is disabled by double-clicking it. You can change the status of a task: select the task and right-click.

.topic 1580
Log Pane

Displays the log messages when you open RoboTask or when a task runs. You can set options for the log when you add a task or edit one on the Advanced tab of the Add Task dialog box.

.topic 1600

Quick Start Guide
Features
Getting Started in the RoboTask Window
Create Tasks
Run Tasks
Edit Tasks
Customize RoboTask
Purchasing
License Agreement
Trademarks and Copyrights
Using Variables in Tasks
Using Variables
Create a Variable
Add Variables to a Task
Menus	Menus
Task > New
Task > Edit
Task > Delete
Task > Run
Task > Stop
Task > Duplicate
Task > Create Shortcut on Desktop
Task > Exit
Options > View Log
Options > View Toolbar
Options > Settings
Options > Variables
Tools > Enable Automation
Tools > Enable All Tasks in List
Tools > Disable All Tasks in List
Help > Help Topics
Help > Send Bug Report
Help > About
Actions
General
Run Program/Open Document
Print Document
Send Network Message
Send Keystrokes
Pause
Log Off
Dialog Boxes
Show Message/Play Sound
Question Dialog
Open Dialog
Save Dialog
Browse for Folders
Browse for Computers
Files and Folders
Copy/Move File
Rename File
Delete File
Write Text File
Search for Files
Change Folder
Create Folder
Rename Folder
Remove Folder
Synchronize Folders
Zip
Pack Files
Extract Files
Internet
Check for Email
Send Email
Download Files
Ping Host
FTP
FTP Log On
FTP Log Off
FTP Download
FTP Upload
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP Remove Folderr
FTP PWD
FTP Transfer Type
FTP Command
FTP File Loop
Dial-Up
Dial Up/Hang Up
Variables
Create Variable
Set Variable
Remove Variable
Task Commands
Enable Task
Disable Task
Start Task
Loops and Flows
File Loop
Text Loop
Dataset Loop
Simple Loop
End Loop
Break
Continue
If Then
Else
End If
Window
Window Command
Check for Window
For Windows NT
Start Service
Stop Service
Lock Workstation
RoboTask Commands
Minimize RoboTask
Restore RoboTask
Exit RoboTask
Enable Automation
Disable Automation
Log Message

triggering actions


DeleteFolderButton

Remove Folder

Removes the task folder that you select.


DeleteTaskButton

Delete Task

Removes the task that you select in the main window.


EditTaskButton

Edit Task

Allows you to modify a task. You can edit the settings for actions and triggering events.


EditFolderButton

Rename Folder

Allows you to rename the selected task folder.


Email address

Note:
Addresses in the message can be written in form of:
· E-mail address only. For example:
john@yahoo.com
· Recipient's name and address. For example:
John Smith <john@yahoo.com>
· Several recipients separated with a semicolon. For example:
John Smith <john@yahoo.com>; Melissa Carver <melissa@hotmail.com>


ExpandAllButton

Expand All

Displays all the folders in the tree.


FileMasks

Tip
You can also use wildcards in this option. Some examples of wildcards are the following:
· *.txt - all the files with the .txt extension.
· mydoc?.doc - mydoc1.doc, mydoc2.doc, mydocA.doc, and so forth.
· *.tmp, *.$$$, *.bak - all the files with the .tmp, .$$$ and .bak extensions.
· {bakext} - file mask(s) from the {bakext} variable.


FileMasks2

Tip
You can also use wildcards in this option. Some examples of wildcards are the following:
· C:\Text Files\*.txt - all the files with the .txt extension in the C:\Text Files folder.
· C:\Doc Files\mydoc?.doc - mydoc1.doc, mydoc2.doc, mydocA.doc, and so forth.
· {bakext} - file mask(s) from the {bakext} variable.


FolderWindow

Folder Pane

Displays a tree of the task folders. This is useful for organizing your tasks.


LOgWindow

Log Pane

Displays the log messages when you open RoboTask or when a task runs. You can set options for the log when you add a task or edit one on the Advanced tab of the Add Task dialog box.


New item
Top

Quick Start Guide
Features
Getting Started in the RoboTask Window
Create Tasks
Run Tasks
Edit Tasks
Customize RoboTask
Purchasing
License Agreement
Trademarks and Copyrights
Using Variables in Tasks
Using Variables
Create a Variable
Add Variables to a Task
Menus Menus
Task > New
Task > Edit
Task > Delete
Task > Run
Task > Stop
Task > Duplicate
Task > Create Shortcut on Desktop
Task > Exit
Options > View Log
Options > View Toolbar
Options > Settings
Options > Variables
Tools > Enable Automation
Tools > Enable All Tasks in List
Tools > Disable All Tasks in List
Help > Help Topics
Help > Send Bug Report
Help > About
Actions
General
Run Program/Open Document
Print Document
Send Network Message
Send Keystrokes
Pause
Log Off
Dialog Boxes
Show Message/Play Sound
Question Dialog
Open Dialog
Save Dialog
Browse for Folders
Browse for Computers
Files and Folders
Copy/Move File
Rename File
Delete File
Write Text File
Search for Files
Change Folder
Create Folder
Rename Folder
Remove Folder
Synchronize Folders
Zip
Pack Files
Extract Files
Internet
Check for Email
Send Email
Download Files
Ping Host
FTP
FTP Log On
FTP Log Off
FTP Download
FTP Upload
FTP Rename File
FTP Delete File
FTP Change Folder
FTP Create Folder
FTP Remove Folderr
FTP PWD
FTP Transfer Type
FTP Command
FTP File Loop
Dial-Up
Dial Up/Hang Up
Variables
Create Variable
Set Variable
Remove Variable
Task Commands
Enable Task
Disable Task
Start Task
Loops and Flows
File Loop
Text Loop
Dataset Loop
Simple Loop
End Loop
Break
Continue
If Then
Else
End If
Window
Window Command
Check for Window
For Windows NT
Start Service
Stop Service
Lock Workstation
RoboTask Commands
Minimize RoboTask
Restore RoboTask
Exit RoboTask
Enable Automation
Disable Automation
Log Message

triggering actions


NewTaskButton

New Task

Allows you to add a new task. You can select actions and triggering events.


RunTaskButton

Run Task

Starts the task that you select in the main window.


SettingsButton

Settings

Allows you to set preferences for RoboTask.


ShowHideTasksButton

Show/Hide Task Tree

Displays or hides the task tree at the left of the main window.


Status Column

Displays whether the task is enabled or disabled. You must run the task manually if the task is disabled by double-clicking it. You can change the status of a task: select the task and right-click.


STopTaskButton

Stop Task

Stops the task that you select in the main window.


Testbutton

Test
Click this button to ensure that the parameters for the current action work.


Variable
Allows you to add a variable to the action or triggering event that you selected. You must place the cursor in a edit box in the settings dialog window of the action or event and then click the {V} button.